import { createCds } from './create';
import * as components from './components';
import * as directives from './directives';
import * as plugin from './plugins';
import * as utils from './utils';
import * as themes from './themes';
import * as transitions from './transitions';
declare module '@vue/runtime-core' {
    interface GlobalComponents {
        CdsAutocomplete: typeof components.CdsAutocomplete;
        CdsBadge: typeof components.CdsBadge;
        CdsBreadcrumbs: typeof components.CdsBreadcrumbs;
        CdsBreadcrumbsItem: typeof components.CdsBreadcrumbsItem;
        CdsButton: typeof components.CdsButton;
        CdsFunctionalButton: typeof components.CdsFunctionalButton;
        CdsCard: typeof components.CdsCard;
        CdsCardActions: typeof components.CdsCardActions;
        CdsCardDivider: typeof components.CdsCardDivider;
        CdsCardGroup: typeof components.CdsCardGroup;
        CdsCardItem: typeof components.CdsCardItem;
        CdsCardSubtitle: typeof components.CdsCardSubtitle;
        CdsCardText: typeof components.CdsCardText;
        CdsCardTitle: typeof components.CdsCardTitle;
        CdsCheckbox: typeof components.CdsCheckbox;
        CdsCheckboxGroup: typeof components.CdsCheckboxGroup;
        CdsCombobox: typeof components.CdsCombobox;
        CdsContainer: typeof components.CdsContainer;
        CdsContainerItem: typeof components.CdsContainerItem;
        CdsContentSwitcher: typeof components.CdsContentSwitcher;
        CdsContentSwitcherItem: typeof components.CdsContentSwitcherItem;
        CdsDatePicker: typeof components.CdsDatePicker;
        CdsDivider: typeof components.CdsDivider;
        CdsDrawer: typeof components.CdsDrawer;
        CdsDropdown: typeof components.CdsDropdown;
        CdsEmptyState: typeof components.CdsEmptyState;
        CdsExpandablePanel: typeof components.CdsExpandablePanel;
        CdsExpandablePanelContent: typeof components.CdsExpandablePanelContent;
        CdsExpandablePanels: typeof components.CdsExpandablePanels;
        CdsExpandablePanelTitle: typeof components.CdsExpandablePanelTitle;
        CdsFooter: typeof components.CdsFooter;
        CdsForm: typeof components.CdsForm;
        CdsCol: typeof components.CdsCol;
        CdsGrid: typeof components.CdsGrid;
        CdsRow: typeof components.CdsRow;
        CdsHeader: typeof components.CdsHeader;
        CdsIcon: typeof components.CdsIcon;
        CdsImage: typeof components.CdsImage;
        CdsInput: typeof components.CdsInput;
        CdsInputCounter: typeof components.CdsInputCounter;
        CdsInputDescription: typeof components.CdsInputDescription;
        CdsInputLabel: typeof components.CdsInputLabel;
        CdsInputMessages: typeof components.CdsInputMessages;
        CdsLayout: typeof components.CdsLayout;
        CdsLink: typeof components.CdsLink;
        CdsList: typeof components.CdsList;
        CdsListGroup: typeof components.CdsListGroup;
        CdsListItem: typeof components.CdsListItem;
        CdsLoader: typeof components.CdsLoader;
        CdsMain: typeof components.CdsMain;
        CdsMenu: typeof components.CdsMenu;
        CdsModal: typeof components.CdsModal;
        CdsNotification: typeof components.CdsNotification;
        CdsNotificationAlert: typeof components.CdsNotificationAlert;
        CdsOverlay: typeof components.CdsOverlay;
        CdsPage: typeof components.CdsPage;
        CdsPagination: typeof components.CdsPagination;
        CdsProgress: typeof components.CdsProgress;
        CdsRadio: typeof components.CdsRadio;
        CdsRadioButton: typeof components.CdsRadioButton;
        CdsSelect: typeof components.CdsSelect;
        CdsSidebar: typeof components.CdsSidebar;
        CdsSkeletonLoader: typeof components.CdsSkeletonLoader;
        CdsSlideGroup: typeof components.CdsSlideGroup;
        CdsSlideGroupItem: typeof components.CdsSlideGroupItem;
        CdsStages: typeof components.CdsStages;
        CdsStatus: typeof components.CdsStatus;
        CdsSteps: typeof components.CdsSteps;
        CdsStepsItem: typeof components.CdsStepsItem;
        CdsTable: typeof components.CdsTable;
        CdsTableColumn: typeof components.CdsTableColumn;
        CdsTableColumnGroup: typeof components.CdsTableColumnGroup;
        CdsTab: typeof components.CdsTab;
        CdsTabs: typeof components.CdsTabs;
        CdsTag: typeof components.CdsTag;
        CdsTextArea: typeof components.CdsTextArea;
        CdsTextInput: typeof components.CdsTextInput;
        CdsTimePicker: typeof components.CdsTimePicker;
        CdsToggle: typeof components.CdsToggle;
        CdsToolbar: typeof components.CdsToolbar;
        CdsToolbarTitle: typeof components.CdsToolbarTitle;
        CdsTooltip: typeof components.CdsTooltip;
        CdsTree: typeof components.CdsTree;
        CdsTreeDirectory: typeof components.CdsTreeDirectory;
        CdsTreeNode: typeof components.CdsTreeNode;
        CdsUploader: typeof components.CdsUploader;
    }
}
export * from './components';
export * from './directives';
export * from './composable';
export * from './transitions';
export { createCds, components, directives, themes, plugin, utils, transitions };
export default createCds;
