import { CdsList } from '../CdsList';
import { PropType } from 'vue';
export declare const componentName = "CdsAutocomplete";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    transition: {
        type: PropType<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
        default: string;
        validator: (value: unknown) => boolean;
    };
    items: {
        type: PropType<any[]>;
        default: () => never[];
    };
    itemTitle: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemValue: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemChildren: Omit<{
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<import('../../composable').TItemKey>>;
        default: NonNullable<import('../../composable').TItemKey>;
    };
    itemProps: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    returnObject: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    menuProps: {
        type: PropType<any>;
        default: null;
    };
    menuHeight: {
        type: PropType<string | number>;
        default: number;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prepend': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:append': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: PropType<string | number>;
        default: number;
    };
    name: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: PropType<any>;
        default: null;
    };
    validateOn: {
        type: PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
    label: {
        type: PropType<string>;
        default: undefined;
    };
    description: {
        type: PropType<string>;
        default: undefined;
    };
    value: {
        type: PropType<any>;
        default: null;
    };
    messages: {
        type: PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    active: {
        type: PropType<boolean>;
        default: boolean;
    };
    autofocus: {
        type: PropType<boolean>;
        default: boolean;
    };
    prefix: {
        type: PropType<string>;
        default: undefined;
    };
    suffix: {
        type: PropType<string>;
        default: undefined;
    };
    prependInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    type: {
        type: PropType<import('../../composable').TFieldTypes>;
        default: string;
        validator: (value: import('../../composable').TFieldTypes) => boolean;
    };
    role: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    placeholder: {
        type: PropType<string>;
        default: undefined;
    };
    counter: {
        type: PropType<boolean>;
        default: boolean;
    };
    limit: {
        type: PropType<number>;
        default: undefined;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    clearLabel: {
        type: PropType<string>;
        default: string;
    };
    persistentClearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prependInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:appendInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    customFilter: {
        type: PropType<(value: string, query: string, item?: any) => import('../../composable').TFilterMath>;
        default: null;
    };
    customKeyFilter: {
        type: PropType<{
            [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
        }>;
        default: null;
    };
    filterKeys: Omit<{
        type: PropType<string | string[]>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<string | string[]>>;
        default: NonNullable<string | string[]>;
    };
    filterMode: {
        type: PropType<"every" | "some" | "union" | "intersection">;
        default: string;
    };
    noFilter: {
        type: PropType<boolean>;
        default: boolean;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    openOnClear: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideSelected: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideNoData: {
        type: PropType<boolean>;
        default: boolean;
    };
    isSelectAll: {
        type: PropType<boolean>;
        default: boolean;
    };
    ellipsis: {
        type: PropType<boolean>;
        default: boolean;
    };
    listProps: {
        type: PropType<import('../../utils').ComponentProps<typeof CdsList>>;
        default: undefined;
    };
    menuIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    /**
     * Текстовое значение поиска для фильтрации данные
     */
    search: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * При поиске будет сразу выбирать первый найденный вариант
     */
    autoSelectFirst: {
        type: PropType<boolean | "exact">;
        default: undefined;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие при фокусе
     * @type { boolean }
     */
    'update:focused': (value: boolean) => true;
    /**
     * Событие при изменении значения (v-model)
     * @type { any }
     */
    'update:modelValue': (value: any) => true;
    /**
     * Событие открытия меню
     * @type { boolean }
     */
    'update:menu': (value: boolean) => true;
    /**
     * Событие при вводе значения в поле
     * @type { string }
     */
    'update:search': (value: string) => true;
    /**
     * Событие выбора всех элементов
     * @type { boolean }
     */
    'update:selectedAll': (value: boolean) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    transition: {
        type: PropType<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
        default: string;
        validator: (value: unknown) => boolean;
    };
    items: {
        type: PropType<any[]>;
        default: () => never[];
    };
    itemTitle: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemValue: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemChildren: Omit<{
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<import('../../composable').TItemKey>>;
        default: NonNullable<import('../../composable').TItemKey>;
    };
    itemProps: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    returnObject: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    menuProps: {
        type: PropType<any>;
        default: null;
    };
    menuHeight: {
        type: PropType<string | number>;
        default: number;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prepend': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:append': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: PropType<string | number>;
        default: number;
    };
    name: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: PropType<any>;
        default: null;
    };
    validateOn: {
        type: PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
    label: {
        type: PropType<string>;
        default: undefined;
    };
    description: {
        type: PropType<string>;
        default: undefined;
    };
    value: {
        type: PropType<any>;
        default: null;
    };
    messages: {
        type: PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    active: {
        type: PropType<boolean>;
        default: boolean;
    };
    autofocus: {
        type: PropType<boolean>;
        default: boolean;
    };
    prefix: {
        type: PropType<string>;
        default: undefined;
    };
    suffix: {
        type: PropType<string>;
        default: undefined;
    };
    prependInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    type: {
        type: PropType<import('../../composable').TFieldTypes>;
        default: string;
        validator: (value: import('../../composable').TFieldTypes) => boolean;
    };
    role: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    placeholder: {
        type: PropType<string>;
        default: undefined;
    };
    counter: {
        type: PropType<boolean>;
        default: boolean;
    };
    limit: {
        type: PropType<number>;
        default: undefined;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    clearLabel: {
        type: PropType<string>;
        default: string;
    };
    persistentClearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prependInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:appendInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    customFilter: {
        type: PropType<(value: string, query: string, item?: any) => import('../../composable').TFilterMath>;
        default: null;
    };
    customKeyFilter: {
        type: PropType<{
            [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
        }>;
        default: null;
    };
    filterKeys: Omit<{
        type: PropType<string | string[]>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<string | string[]>>;
        default: NonNullable<string | string[]>;
    };
    filterMode: {
        type: PropType<"every" | "some" | "union" | "intersection">;
        default: string;
    };
    noFilter: {
        type: PropType<boolean>;
        default: boolean;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    openOnClear: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideSelected: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideNoData: {
        type: PropType<boolean>;
        default: boolean;
    };
    isSelectAll: {
        type: PropType<boolean>;
        default: boolean;
    };
    ellipsis: {
        type: PropType<boolean>;
        default: boolean;
    };
    listProps: {
        type: PropType<import('../../utils').ComponentProps<typeof CdsList>>;
        default: undefined;
    };
    menuIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    /**
     * Текстовое значение поиска для фильтрации данные
     */
    search: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * При поиске будет сразу выбирать первый найденный вариант
     */
    autoSelectFirst: {
        type: PropType<boolean | "exact">;
        default: undefined;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: any) => any) | undefined;
    "onUpdate:focused"?: ((value: boolean) => any) | undefined;
    "onUpdate:menu"?: ((value: boolean) => any) | undefined;
    "onUpdate:search"?: ((value: string) => any) | undefined;
    "onUpdate:selectedAll"?: ((value: boolean) => any) | undefined;
}>, {
    name: string | undefined;
    search: string;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    error: boolean;
    menu: boolean | undefined;
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    'onClick:prepend': (...args: any[]) => any;
    'onClick:append': (...args: any[]) => any;
    loading: boolean;
    active: boolean;
    disabled: boolean;
    readonly: boolean;
    description: string;
    value: any;
    items: any[];
    itemTitle: import('../../composable').TItemKey;
    itemValue: import('../../composable').TItemKey;
    itemChildren: NonNullable<import('../../composable').TItemKey>;
    itemProps: import('../../composable').TItemKey;
    returnObject: boolean;
    focused: boolean;
    multiple: boolean;
    id: string;
    label: string;
    messages: string | string[];
    persistentMessages: boolean;
    errorMessages: string | string[];
    maxErrors: string | number;
    rules: import('../../composable').TValidationRule[];
    modelValue: any;
    validateOn: "input" | "blur" | "submit";
    validationValue: any;
    hideMessages: boolean;
    autofocus: boolean;
    prefix: string;
    suffix: string;
    prependInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    type: "number" | "text" | "password" | "email" | "tel" | "url";
    role: string;
    placeholder: string;
    counter: boolean;
    limit: number;
    clearable: boolean;
    clearLabel: string;
    persistentClearable: boolean;
    'onClick:prependInner': (...args: any[]) => any;
    'onClick:appendInner': (...args: any[]) => any;
    transition: string | boolean | (import('vue').TransitionProps & {
        component?: import('vue').Component;
    });
    eager: boolean;
    theme: string;
    openOnClear: boolean;
    hideSelected: boolean;
    hideNoData: boolean;
    isSelectAll: boolean;
    ellipsis: boolean;
    listProps: Omit<Partial<{
        tag: string;
        disabled: boolean;
        invertColor: boolean;
        items: any[];
        itemTitle: import('../../composable').TItemKey;
        itemValue: import('../../composable').TItemKey;
        itemChildren: import('../../composable').TItemKey;
        itemProps: import('../../composable').TItemKey;
        returnObject: boolean;
        required: boolean;
        selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        theme: string;
        lines: false | "one" | "two" | "three";
    }> & Omit<{
        readonly tag: string;
        readonly disabled: boolean;
        readonly invertColor: boolean;
        readonly items: any[];
        readonly itemTitle: import('../../composable').TItemKey;
        readonly itemValue: import('../../composable').TItemKey;
        readonly itemChildren: import('../../composable').TItemKey;
        readonly itemProps: import('../../composable').TItemKey;
        readonly returnObject: boolean;
        readonly required: boolean;
        readonly selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        readonly openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        readonly lines: false | "one" | "two" | "three";
        readonly opened?: unknown[] | undefined;
        readonly selected?: unknown[] | undefined;
        readonly theme?: string | undefined;
        readonly "onClick:open"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        readonly "onClick:select"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        readonly "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
        readonly "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
    } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, "tag" | "disabled" | "invertColor" | "items" | "itemTitle" | "itemValue" | "itemChildren" | "itemProps" | "returnObject" | "required" | "selectStrategy" | "openStrategy" | "theme" | "lines">, keyof import('vue').VNodeProps | keyof import('vue').AllowedComponentProps>;
    menuIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    customFilter: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
    customKeyFilter: {
        [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
    };
    filterKeys: NonNullable<string | string[]>;
    filterMode: "every" | "some" | "union" | "intersection";
    noFilter: boolean;
    menuProps: any;
    menuHeight: string | number;
    locale: import('../../locale').ILocale | "ru" | "en";
    autoSelectFirst: boolean | "exact";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
