import { IGroupProvide } from '../../composable';
import { TCdsIconsName } from '@central-design-system/icons';
import { PropType, InjectionKey } from 'vue';
export declare const CdsButtonToggleSymbol: InjectionKey<IGroupProvide>;
export declare const componentName = "CdsButton";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    symbol: {
        type: null;
        default: InjectionKey<IGroupProvide>;
    };
    value: {
        type: null;
        default: undefined;
    };
    selectedClass: {
        type: PropType<string>;
        default: undefined;
    };
    invertColor: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    href: {
        type: PropType<string>;
        default: undefined;
    };
    to: {
        type: PropType<import('vue-router').RouteLocationRaw>;
        default: undefined;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    prependIcon: {
        type: PropType<TCdsIconsName>;
        default: undefined;
        validator: (value: TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<TCdsIconsName>;
        default: undefined;
        validator: (value: TCdsIconsName) => boolean;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    appearance: {
        type: PropType<import('../../composable').TAppearance>;
        default: string;
        available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
        validator: (value: import('../../composable').TAppearance) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    /**
     * Кнопка активна
     */
    active: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * Название иконки (только иконка в кнопке) или `true` для иконки по умолчанию
     */
    icon: {
        type: PropType<TCdsIconsName | boolean>;
        default: undefined;
        validator: (value: TCdsIconsName | boolean) => boolean;
    };
}>, {
    href: import('vue').ComputedRef<string | undefined>;
    to: import('vue').ComputedRef<import('vue-router').RouteLocationRaw | undefined>;
    tag: string | import('vue').ComputedRef<string>;
    type: string | undefined;
    valueAttr: import('vue').ComputedRef<any>;
    internalIcon: import('vue').ComputedRef<"link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined>;
    hasPrepend: import('vue').ComputedRef<boolean>;
    hasAppend: import('vue').ComputedRef<boolean>;
    hasDefaultSlot: import('vue').ComputedRef<boolean>;
    isDisabled: import('vue').ComputedRef<boolean>;
    classes: import('vue').ComputedRef<any>;
    onClick: (event: MouseEvent) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    'group:selected': (value: {
        value: boolean;
    }) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    symbol: {
        type: null;
        default: InjectionKey<IGroupProvide>;
    };
    value: {
        type: null;
        default: undefined;
    };
    selectedClass: {
        type: PropType<string>;
        default: undefined;
    };
    invertColor: {
        type: PropType<boolean>;
        default: boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    href: {
        type: PropType<string>;
        default: undefined;
    };
    to: {
        type: PropType<import('vue-router').RouteLocationRaw>;
        default: undefined;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    prependIcon: {
        type: PropType<TCdsIconsName>;
        default: undefined;
        validator: (value: TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<TCdsIconsName>;
        default: undefined;
        validator: (value: TCdsIconsName) => boolean;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    appearance: {
        type: PropType<import('../../composable').TAppearance>;
        default: string;
        available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
        validator: (value: import('../../composable').TAppearance) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    /**
     * Кнопка активна
     */
    active: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * Название иконки (только иконка в кнопке) или `true` для иконки по умолчанию
     */
    icon: {
        type: PropType<TCdsIconsName | boolean>;
        default: undefined;
        validator: (value: TCdsIconsName | boolean) => boolean;
    };
}>> & Readonly<{
    "onGroup:selected"?: ((value: {
        value: boolean;
    }) => any) | undefined;
}>, {
    symbol: any;
    text: string | number;
    to: import('vue-router').RouteLocationRaw;
    href: string;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    icon: boolean | "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    loading: boolean;
    active: boolean;
    disabled: boolean;
    readonly: boolean;
    appearance: "primary" | "secondary" | "tertiary" | "inverse" | "transparent";
    invertColor: boolean;
    value: any;
    theme: string;
    selectedClass: string;
}, {}, {
    CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        fixed: {
            type: PropType<boolean>;
            default: boolean;
            description: string;
        };
        overlay: {
            type: PropType<boolean>;
            default: boolean;
            description: string;
        };
        description: {
            type: PropType<string>;
            default: string;
            description: string;
        };
    }>, {
        attrs: {
            [x: string]: unknown;
        };
        loaderClasses: import('vue').ComputedRef<{
            'cds-loader__overlay': boolean;
            'cds-loader__fixed': boolean;
        }>;
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        fixed: {
            type: PropType<boolean>;
            default: boolean;
            description: string;
        };
        overlay: {
            type: PropType<boolean>;
            default: boolean;
            description: string;
        };
        description: {
            type: PropType<string>;
            default: string;
            description: string;
        };
    }>> & Readonly<{}>, {
        fixed: boolean;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        description: string;
        overlay: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        name: {
            type: PropType<TCdsIconsName>;
            default: undefined;
            validator: (value: TCdsIconsName) => boolean;
        };
    }>, {
        iconComponent: import('vue').ComputedRef<string>;
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        invertColorClasses: import('vue').ComputedRef<string | undefined>;
    } | {
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        invertColorClasses: import('vue').ComputedRef<string | undefined>;
        iconComponent?: undefined;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        name: {
            type: PropType<TCdsIconsName>;
            default: undefined;
            validator: (value: TCdsIconsName) => boolean;
        };
    }>> & Readonly<{}>, {
        name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        size: "xs" | "sm" | "md" | "lg" | "xl";
        invertColor: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
