import { PropType } from 'vue';
export declare const componentName = "CdsCard";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    value: {
        type: null;
        default: undefined;
    };
    selectedClass: {
        type: PropType<string>;
        default: undefined;
    };
    href: {
        type: PropType<string>;
        default: undefined;
    };
    to: {
        type: PropType<import('vue-router').RouteLocationRaw>;
        default: undefined;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    height: {
        type: PropType<number | string>;
        default: string;
    };
    width: {
        type: PropType<number | string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Весь компонент кликабельный. Так же применяется, если есть атрибуты href или to
     */
    interactive: {
        type: PropType<boolean>;
        default: undefined;
    };
    /**
     * Фоновое изображение
     */
    image: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Подзаголовок
     */
    subtitle: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Отобразить разделитель между заголовком и текстом
     */
    divider: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Состояние выбранное карточки
     */
    selected: {
        type: PropType<boolean>;
        default: undefined;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    click: (event: MouseEvent) => true;
    'group:selected': (value: {
        value: boolean;
    }) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    value: {
        type: null;
        default: undefined;
    };
    selectedClass: {
        type: PropType<string>;
        default: undefined;
    };
    href: {
        type: PropType<string>;
        default: undefined;
    };
    to: {
        type: PropType<import('vue-router').RouteLocationRaw>;
        default: undefined;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    height: {
        type: PropType<number | string>;
        default: string;
    };
    width: {
        type: PropType<number | string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Весь компонент кликабельный. Так же применяется, если есть атрибуты href или to
     */
    interactive: {
        type: PropType<boolean>;
        default: undefined;
    };
    /**
     * Фоновое изображение
     */
    image: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Подзаголовок
     */
    subtitle: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Отобразить разделитель между заголовком и текстом
     */
    divider: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Состояние выбранное карточки
     */
    selected: {
        type: PropType<boolean>;
        default: undefined;
    };
}>> & Readonly<{
    onClick?: ((event: MouseEvent) => any) | undefined;
    "onGroup:selected"?: ((value: {
        value: boolean;
    }) => any) | undefined;
}>, {
    text: string | number;
    title: string;
    to: import('vue-router').RouteLocationRaw;
    href: string;
    tag: string;
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    loading: boolean;
    disabled: boolean;
    value: any;
    selected: boolean;
    height: string | number;
    width: string | number;
    maxHeight: string | number;
    maxWidth: string | number;
    minHeight: string | number;
    minWidth: string | number;
    theme: string;
    image: string;
    selectedClass: string;
    subtitle: string;
    interactive: boolean;
    divider: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
