import { PropType } from 'vue';
import * as CdsIcons from '@central-design-system/icons';
export declare const makeExpandablePanelTitleProps: <Defaults extends {
    expandIcon?: unknown;
    collapseIcon?: unknown;
    hideActions?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../../../utils').AppendDefault<{
    /**
     * Иконка раскрытия
     */
    expandIcon: {
        type: PropType<CdsIcons.TCdsIconsName>;
        default: string;
        validator: (value: CdsIcons.TCdsIconsName) => boolean;
    };
    /**
     * Иконка закрытия
     */
    collapseIcon: {
        type: PropType<CdsIcons.TCdsIconsName>;
        default: string;
        validator: (value: CdsIcons.TCdsIconsName) => boolean;
    };
    /**
     * Скрыть иконку раскрытия/закрытия
     */
    hideActions: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
