import { InjectionKey, PropType } from 'vue';
export declare const CssGridSymbol: InjectionKey<boolean>;
export interface IUseGrid {
    prefix: string;
}
export declare const makeGridProps: <Defaults extends {
    condensed?: unknown;
    narrow?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../../../utils').AppendDefault<{
    /**
     * Конденсированная сетка. Уменьшенный отступ до 1px по обеим сторонам
     */
    condensed: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Узкая сетка
     */
    narrow: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
export declare const useGrid: () => IUseGrid;
