import { PropType } from 'vue';
export declare const makeResponsiveProps: <Defaults extends {
    aspectRatio?: unknown;
    contentClass?: unknown;
    inline?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../../../utils').AppendDefault<{
    /**
     * Соотношение сторон изображения. Для изображения 1920x1080px это будет 1,7778. Если это значение не указано, оно будет рассчитано автоматически.
     */
    aspectRatio: {
        type: PropType<string | number>;
        default: undefined;
    };
    /**
     * Пользовательский класс для элемента внутреннего содержимого.
     */
    contentClass: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Отображается как инлайн-элемент вместо блока, также отключает flex-grow.
     */
    inline: {
        type: PropType<boolean>;
        default: undefined;
    };
}, Defaults>;
export declare function useAspectStyles(props: {
    aspectRatio?: string | number;
}): {
    aspectStyles: import('vue').ComputedRef<{
        paddingBottom: string;
    } | undefined>;
};
