import { EventProp } from '../../utils';
import { PropType } from 'vue';
export declare const componentName = "CdsInput";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    'onClick:prepend': PropType<EventProp>;
    'onClick:append': PropType<EventProp>;
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: PropType<string | number>;
        default: number;
    };
    name: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: PropType<any>;
        default: null;
    };
    validateOn: {
        type: PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
    label: {
        type: PropType<string>;
        default: undefined;
    };
    description: {
        type: PropType<string>;
        default: undefined;
    };
    value: {
        type: PropType<any>;
        default: null;
    };
    messages: {
        type: PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    'update:modelValue': (value: any) => true;
    'click:control': (event: MouseEvent) => true;
    'mousedown:control': (event: MouseEvent) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    'onClick:prepend': PropType<EventProp>;
    'onClick:append': PropType<EventProp>;
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: PropType<string | number>;
        default: number;
    };
    name: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: PropType<any>;
        default: null;
    };
    validateOn: {
        type: PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
    label: {
        type: PropType<string>;
        default: undefined;
    };
    description: {
        type: PropType<string>;
        default: undefined;
    };
    value: {
        type: PropType<any>;
        default: null;
    };
    messages: {
        type: PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: any) => any) | undefined;
    "onClick:control"?: ((event: MouseEvent) => any) | undefined;
    "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
}>, {
    name: string | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    error: boolean;
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    disabled: boolean;
    readonly: boolean;
    description: string;
    value: any;
    focused: boolean;
    id: string;
    label: string;
    messages: string | string[];
    persistentMessages: boolean;
    errorMessages: string | string[];
    maxErrors: string | number;
    rules: import('../../composable').TValidationRule[];
    modelValue: any;
    validateOn: "input" | "blur" | "submit";
    validationValue: any;
    hideMessages: boolean;
    theme: string;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
