import { PropType } from 'vue';
export declare const componentName = "CdsList";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    selectStrategy: {
        type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
        default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
    };
    openStrategy: {
        type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
        default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
    };
    opened: PropType<unknown[]>;
    selected: PropType<unknown[]>;
    required: BooleanConstructor;
    invertColor: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    items: {
        type: PropType<any[]>;
        default: () => never[];
    };
    itemTitle: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemValue: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemChildren: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemProps: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    returnObject: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Количество строк в описании элемента списка
     */
    lines: {
        type: PropType<"one" | "two" | "three" | false>;
        default: string;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие выбора элемента списка, возвращает массив id выбранных элементов списка
     * @type { unknown[] } value
     */
    'update:selected': (value: unknown[]) => true;
    /**
     * Событие открытия элемента списка, возвращает массив id открытых элементов списка
     * @type { unknown[] }
     */
    'update:opened': (value: unknown[]) => true;
    /**
     * Событие открытия элемента списка по клику, возвращает id элемента и его состояние
     * @type {{ id: unknown; value: boolean; path: unknown[], event: Event }}
     */
    'click:open': (value: {
        id: unknown;
        value: boolean;
        path: unknown[];
        event: Event;
    }) => true;
    /**
     * Событие выбора элемента списка по клику, возвращает id элемента и его состояние
     * @type {{ id: unknown; value: boolean; path: unknown[], event: Event }}
     */
    'click:select': (value: {
        id: unknown;
        value: boolean;
        path: unknown[];
        event: Event;
    }) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    selectStrategy: {
        type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
        default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
    };
    openStrategy: {
        type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
        default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
    };
    opened: PropType<unknown[]>;
    selected: PropType<unknown[]>;
    required: BooleanConstructor;
    invertColor: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    items: {
        type: PropType<any[]>;
        default: () => never[];
    };
    itemTitle: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemValue: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemChildren: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemProps: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    returnObject: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Количество строк в описании элемента списка
     */
    lines: {
        type: PropType<"one" | "two" | "three" | false>;
        default: string;
    };
}>> & Readonly<{
    "onClick:open"?: ((value: {
        id: unknown;
        value: boolean;
        path: unknown[];
        event: Event;
    }) => any) | undefined;
    "onClick:select"?: ((value: {
        id: unknown;
        value: boolean;
        path: unknown[];
        event: Event;
    }) => any) | undefined;
    "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
    "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
}>, {
    tag: string;
    disabled: boolean;
    invertColor: boolean;
    items: any[];
    itemTitle: import('../../composable').TItemKey;
    itemValue: import('../../composable').TItemKey;
    itemChildren: import('../../composable').TItemKey;
    itemProps: import('../../composable').TItemKey;
    returnObject: boolean;
    required: boolean;
    selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
    openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
    theme: string;
    lines: false | "one" | "two" | "three";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
