import { TCdsIconsName } from '@central-design-system/icons';
import { PropType } from 'vue';
export declare const componentName = "CdsListGroup";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    /**
     * Заголовок группы списка
     */
    title: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Иконка свернутой группы списка
     */
    collapseIcon: {
        type: PropType<TCdsIconsName>;
        default: string;
    };
    /**
     * Иконка развернутой группы списка
     */
    expandIcon: {
        type: PropType<TCdsIconsName>;
        default: string;
    };
    /**
     * Значение группы списка
     */
    value: {
        type: PropType<string | number>;
        default: undefined;
    };
    /**
     * Группа списка на всю ширину
     */
    fluid: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Подгруппа списка
     */
    subgroup: {
        type: PropType<boolean>;
        default: boolean;
    };
}>, {
    id: import('vue').ComputedRef<string>;
    isOpen: import('vue').ComputedRef<boolean>;
    activatorProps: import('vue').ComputedRef<{
        onClick: (event: Event) => void;
        id: string;
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        class: string;
        isClickable: boolean;
    }>;
    isExpandable: import('vue').ComputedRef<boolean>;
    classes: import('vue').ComputedRef<{
        'cds-list-group--open': boolean;
        'cds-list-group--prepend': boolean | undefined;
        'cds-list-group--fluid': boolean;
        'cds-list-group--subgroup': boolean;
    }>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    /**
     * Заголовок группы списка
     */
    title: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Иконка свернутой группы списка
     */
    collapseIcon: {
        type: PropType<TCdsIconsName>;
        default: string;
    };
    /**
     * Иконка развернутой группы списка
     */
    expandIcon: {
        type: PropType<TCdsIconsName>;
        default: string;
    };
    /**
     * Значение группы списка
     */
    value: {
        type: PropType<string | number>;
        default: undefined;
    };
    /**
     * Группа списка на всю ширину
     */
    fluid: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Подгруппа списка
     */
    subgroup: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{}>, {
    title: string;
    tag: string;
    value: string | number;
    collapseIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    expandIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    fluid: boolean;
    subgroup: boolean;
}, {}, {
    CdsListGroupActivator: import('vue').DefineComponent<{}, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
        [key: string]: any;
    }>[] | undefined, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsTransitionExpand: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        mode: import('vue').Prop<"in-out" | "out-in" | "default">;
    }>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
        [key: string]: any;
    }>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        mode: import('vue').Prop<"in-out" | "out-in" | "default">;
    }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
