import { Ref } from 'vue';
export type TFocusLocation = 'next' | 'previous' | 'first' | 'last';
export interface IUseFocus {
    contentRef: Ref<HTMLElement | null>;
    isFocused: Ref<boolean>;
    onFocusin: (event: FocusEvent) => void;
    onFocusout: (event: FocusEvent) => void;
    onFocus: (event: FocusEvent) => void;
    onKeydown: (event: KeyboardEvent) => void;
    focus: (location?: TFocusLocation) => void;
}
export declare function useFocus(): IUseFocus;
