import { PropType } from 'vue';
export declare const componentName = "CdsNotification";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    status: {
        type: PropType<import('../../composable').TStatus>;
        default: string;
        available: readonly ["info", "success", "warning", "error", "progress"];
        description: string;
        validator: (value: import('../../composable').TStatus) => boolean;
    };
    variant: {
        type: PropType<import('../../composable').TVariant>;
        default: string;
        validator: (value: import('../../composable').TVariant) => boolean;
    };
    icon: {
        type: PropType<false | import('@central-design-system/icons').TCdsIconsName>;
        default: null;
    };
    customIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName | undefined>;
        default: undefined;
        validator: (value?: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeLabel: {
        type: PropType<string>;
        default: string;
    };
    closeIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Состояние уведомления
     */
    modelValue: {
        type: PropType<boolean>;
        default: boolean;
    };
}>, () => false | import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие клика по кнопке закрытия
     * @param event
     */
    'click:close': (event: MouseEvent) => true;
    /**
     * Событие изменения состояния
     * @param value
     */
    'update:modelValue': (value: boolean) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    status: {
        type: PropType<import('../../composable').TStatus>;
        default: string;
        available: readonly ["info", "success", "warning", "error", "progress"];
        description: string;
        validator: (value: import('../../composable').TStatus) => boolean;
    };
    variant: {
        type: PropType<import('../../composable').TVariant>;
        default: string;
        validator: (value: import('../../composable').TVariant) => boolean;
    };
    icon: {
        type: PropType<false | import('@central-design-system/icons').TCdsIconsName>;
        default: null;
    };
    customIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName | undefined>;
        default: undefined;
        validator: (value?: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeLabel: {
        type: PropType<string>;
        default: string;
    };
    closeIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Состояние уведомления
     */
    modelValue: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    "onClick:close"?: ((event: MouseEvent) => any) | undefined;
}>, {
    text: string | number;
    title: string;
    tag: string;
    icon: false | "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    status: "error" | "info" | "success" | "warning" | "progress";
    modelValue: boolean;
    theme: string;
    customIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
    closable: boolean;
    closeLabel: string;
    closeIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    locale: import('../../locale').ILocale | "ru" | "en";
    variant: "default" | "important" | "compact";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
