import { PropType } from 'vue';
export declare const componentName = "CdsNotificationAlert";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    transition: Omit<{
        type: PropType<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
        default: string;
        validator: (value: unknown) => boolean;
    }, "default" | "type"> & {
        type: PropType<NonNullable<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>>;
        default: NonNullable<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
    };
    locationStrategy: {
        type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
            updateLocation: (event: Event | HTMLElement[]) => void;
        })>;
        default: string;
        validator: (value: any) => boolean;
    };
    location: Omit<{
        type: PropType<import('../../utils').TAnchor>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<import('../../utils').TAnchor>>;
        default: NonNullable<import('../../utils').TAnchor>;
    };
    origin: {
        type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
        default: string;
    };
    offset: {
        type: PropType<number | string | number[]>;
        default: null;
    };
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    height: {
        type: PropType<number | string>;
        default: string;
    };
    width: {
        type: PropType<number | string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
    closeDelay: {
        type: PropType<number | string>;
        default: null;
    };
    openDelay: {
        type: PropType<number | string>;
        default: null;
    };
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
    activator: {
        type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
        default: null;
    };
    activatorProps: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
    target: {
        type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
        default: undefined;
    };
    openOnClick: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    openOnHover: {
        type: PropType<boolean>;
        default: boolean;
    };
    openOnFocus: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    closeOnContentClick: {
        type: PropType<boolean>;
        default: boolean;
    };
    attach: {
        type: PropType<boolean | string | Element>;
        default: boolean;
    };
    contained: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    scrim: {
        type: PropType<boolean | string>;
        default: boolean;
    };
    modelValue: {
        type: PropType<boolean>;
        default: boolean;
    };
    closeOnBack: {
        type: PropType<boolean>;
        default: boolean;
    };
    zIndex: {
        type: PropType<number | string>;
        default: number;
    };
    contentClasses: {
        type: PropType<string | string[] | Record<string, boolean>>;
        default: null;
    };
    contentProps: {
        type: PropType<Record<string, unknown>>;
        default: () => {};
    };
    noClickAnimation: {
        type: PropType<boolean>;
        default: boolean;
    };
    opacity: {
        type: PropType<string | number>;
        default: undefined;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    status: {
        type: PropType<import('../../composable').TStatus>;
        default: string;
        available: readonly ["info", "success", "warning", "error", "progress"];
        description: string;
        validator: (value: import('../../composable').TStatus) => boolean;
    };
    variant: {
        type: PropType<import('../../composable').TVariant>;
        default: string;
        validator: (value: import('../../composable').TVariant) => boolean;
    };
    icon: {
        type: PropType<false | import('@central-design-system/icons').TCdsIconsName>;
        default: null;
    };
    customIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName | undefined>;
        default: undefined;
        validator: (value?: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeLabel: {
        type: PropType<string>;
        default: string;
    };
    closeIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Время (мс) через которое уведомление будет закрыто
     */
    timeout: {
        type: PropType<string | number>;
        default: number;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    'update:modelValue': (value: boolean) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    transition: Omit<{
        type: PropType<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
        default: string;
        validator: (value: unknown) => boolean;
    }, "default" | "type"> & {
        type: PropType<NonNullable<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>>;
        default: NonNullable<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
    };
    locationStrategy: {
        type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
            updateLocation: (event: Event | HTMLElement[]) => void;
        })>;
        default: string;
        validator: (value: any) => boolean;
    };
    location: Omit<{
        type: PropType<import('../../utils').TAnchor>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<import('../../utils').TAnchor>>;
        default: NonNullable<import('../../utils').TAnchor>;
    };
    origin: {
        type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
        default: string;
    };
    offset: {
        type: PropType<number | string | number[]>;
        default: null;
    };
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    height: {
        type: PropType<number | string>;
        default: string;
    };
    width: {
        type: PropType<number | string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
    closeDelay: {
        type: PropType<number | string>;
        default: null;
    };
    openDelay: {
        type: PropType<number | string>;
        default: null;
    };
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
    activator: {
        type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
        default: null;
    };
    activatorProps: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
    target: {
        type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
        default: undefined;
    };
    openOnClick: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    openOnHover: {
        type: PropType<boolean>;
        default: boolean;
    };
    openOnFocus: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    closeOnContentClick: {
        type: PropType<boolean>;
        default: boolean;
    };
    attach: {
        type: PropType<boolean | string | Element>;
        default: boolean;
    };
    contained: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    scrim: {
        type: PropType<boolean | string>;
        default: boolean;
    };
    modelValue: {
        type: PropType<boolean>;
        default: boolean;
    };
    closeOnBack: {
        type: PropType<boolean>;
        default: boolean;
    };
    zIndex: {
        type: PropType<number | string>;
        default: number;
    };
    contentClasses: {
        type: PropType<string | string[] | Record<string, boolean>>;
        default: null;
    };
    contentProps: {
        type: PropType<Record<string, unknown>>;
        default: () => {};
    };
    noClickAnimation: {
        type: PropType<boolean>;
        default: boolean;
    };
    opacity: {
        type: PropType<string | number>;
        default: undefined;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    tag: {
        type: PropType<string>;
        default: string;
        description: string;
    };
    status: {
        type: PropType<import('../../composable').TStatus>;
        default: string;
        available: readonly ["info", "success", "warning", "error", "progress"];
        description: string;
        validator: (value: import('../../composable').TStatus) => boolean;
    };
    variant: {
        type: PropType<import('../../composable').TVariant>;
        default: string;
        validator: (value: import('../../composable').TVariant) => boolean;
    };
    icon: {
        type: PropType<false | import('@central-design-system/icons').TCdsIconsName>;
        default: null;
    };
    customIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName | undefined>;
        default: undefined;
        validator: (value?: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    closable: {
        type: BooleanConstructor;
        default: boolean;
    };
    closeLabel: {
        type: PropType<string>;
        default: string;
    };
    closeIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    /**
     * Время (мс) через которое уведомление будет закрыто
     */
    timeout: {
        type: PropType<string | number>;
        default: number;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
}>, {
    text: string | number;
    title: string;
    tag: string;
    location: NonNullable<import('../../utils').TAnchor>;
    icon: false | "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    disabled: boolean;
    status: "error" | "info" | "success" | "warning" | "progress";
    modelValue: boolean;
    transition: NonNullable<string | boolean | (import('vue').TransitionProps & {
        component?: import('vue').Component;
    })>;
    attach: string | boolean | Element;
    contained: boolean;
    persistent: boolean;
    scrim: string | boolean;
    closeOnBack: boolean;
    zIndex: string | number;
    contentClasses: string | string[] | Record<string, boolean>;
    contentProps: Record<string, unknown>;
    noClickAnimation: boolean;
    opacity: string | number;
    eager: boolean;
    closeDelay: string | number;
    openDelay: string | number;
    height: string | number;
    width: string | number;
    maxHeight: string | number;
    maxWidth: string | number;
    minHeight: string | number;
    minWidth: string | number;
    activatorProps: Record<string, any>;
    activator: string | Element | import('vue').ComponentPublicInstance;
    theme: string;
    origin: import('../../utils').TAnchor | "auto" | "overlap";
    target: Element | "parent" | (string & {}) | import('vue').ComponentPublicInstance | "cursor" | [x: number, y: number] | undefined;
    offset: string | number | number[];
    customIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
    closable: boolean;
    closeLabel: string;
    closeIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    openOnClick: boolean | undefined;
    openOnHover: boolean;
    openOnFocus: boolean | undefined;
    closeOnContentClick: boolean;
    locationStrategy: "static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
        updateLocation: (event: Event | HTMLElement[]) => void;
    });
    locale: import('../../locale').ILocale | "ru" | "en";
    variant: "default" | "important" | "compact";
    timeout: string | number;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
