import { PropType } from 'vue';
export declare const componentName = "CdsPagination";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    tag: Omit<{
        type: PropType<string>;
        default: string;
        description: string;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    /**
     * Начальная страница
     */
    start: {
        type: PropType<number | string>;
        default: number;
    };
    /**
     * Количество страниц
     */
    length: {
        type: PropType<number | string>;
        default: number;
        validator: (value: number) => boolean;
    };
    /**
     * Количество видимых страниц
     */
    totalVisible: {
        type: PropType<number | string>;
        default: undefined;
    };
    /**
     * Текст отображаемые между страницами при сокрытии
     */
    ellipsis: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Включает отображение поля для ввода номера страницы
     */
    quickJumper: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Значение v-model
     */
    modelValue: {
        type: PropType<number>;
        default: (props: any) => number;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие изменения значения v-model
     */
    'update:modelValue': (value?: number) => true;
    /**
     * Событие перехода на первую страницу
     */
    first: (value: number) => true;
    /**
     * Событие перехода на последнюю страницу
     */
    last: (value: number) => true;
    /**
     * Событие перехода на следующую страницу
     */
    next: (value: number) => true;
    /**
     * Событие перехода на предыдущую страницу
     */
    prev: (value: number) => true;
    /**
     * Событие перехода с помощью поля ввода номера страницы
     */
    quickJump: (value: number) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    tag: Omit<{
        type: PropType<string>;
        default: string;
        description: string;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    /**
     * Начальная страница
     */
    start: {
        type: PropType<number | string>;
        default: number;
    };
    /**
     * Количество страниц
     */
    length: {
        type: PropType<number | string>;
        default: number;
        validator: (value: number) => boolean;
    };
    /**
     * Количество видимых страниц
     */
    totalVisible: {
        type: PropType<number | string>;
        default: undefined;
    };
    /**
     * Текст отображаемые между страницами при сокрытии
     */
    ellipsis: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Включает отображение поля для ввода номера страницы
     */
    quickJumper: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Значение v-model
     */
    modelValue: {
        type: PropType<number>;
        default: (props: any) => number;
    };
}>> & Readonly<{
    onNext?: ((value: number) => any) | undefined;
    onFirst?: ((value: number) => any) | undefined;
    onLast?: ((value: number) => any) | undefined;
    "onUpdate:modelValue"?: ((value?: number | undefined) => any) | undefined;
    onPrev?: ((value: number) => any) | undefined;
    onQuickJump?: ((value: number) => any) | undefined;
}>, {
    start: string | number;
    tag: string;
    length: string | number;
    disabled: boolean;
    modelValue: number;
    theme: string;
    ellipsis: string;
    totalVisible: string | number;
    quickJumper: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
