import { Ref } from 'vue';
export interface IRadioButtonProvide {
    model: Ref<number | string | null | undefined>;
    isGroup: Ref<boolean>;
    disabledGroup: Ref<boolean>;
    readonlyGroup: Ref<boolean>;
    errorGroup: Ref<boolean>;
    handleChangeRadio: (value: string) => void;
}
export declare const radioButtonProvideDefaultValue: IRadioButtonProvide;
export declare const RadioButtonKey: unique symbol;
export declare const componentName = "CdsRadioButton";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: import('vue').PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    direction: Omit<{
        type: import('vue').PropType<import('../../composable').TDirection>;
        default: string;
        available: readonly ["horizontal", "vertical"];
        validator: (value: import('../../composable').TDirection) => boolean;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<"horizontal" | "vertical">>;
        default: NonNullable<"horizontal" | "vertical">;
    };
    error: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: import('vue').PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: import('vue').PropType<string | number>;
        default: number;
    };
    name: {
        type: import('vue').PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: import('vue').PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: import('vue').PropType<any>;
        default: null;
    };
    validateOn: {
        type: import('vue').PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: import('vue').PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    label: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    description: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    value: {
        type: import('vue').PropType<any>;
        default: null;
    };
    messages: {
        type: import('vue').PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
}>, {
    inputProps: Ref<{
        readonly error?: boolean | undefined;
        readonly disabled?: boolean | undefined;
        readonly readonly?: boolean | undefined;
        readonly value?: any;
        readonly messages?: string | string[] | undefined;
        readonly persistentMessages?: boolean | undefined;
        readonly errorMessages?: string | string[] | undefined;
        readonly maxErrors?: string | number | undefined;
        readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
            then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
        })[] | undefined;
        readonly modelValue?: any;
        readonly validateOn?: "input" | "blur" | "submit" | undefined;
        readonly hideMessages?: boolean | undefined;
        readonly direction?: NonNullable<"horizontal" | "vertical"> | undefined;
        readonly name?: string | undefined;
        readonly description?: string | undefined;
        readonly id?: string | undefined;
        readonly label?: string | undefined;
        readonly validationValue?: any;
        readonly theme?: string | undefined;
        readonly "onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
    }, Partial<import('@vue/shared').LooseRequired<Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        direction: Omit<{
            type: import('vue').PropType<import('../../composable').TDirection>;
            default: string;
            available: readonly ["horizontal", "vertical"];
            validator: (value: import('../../composable').TDirection) => boolean;
        }, "default" | "type"> & {
            type: import('vue').PropType<NonNullable<"horizontal" | "vertical">>;
            default: NonNullable<"horizontal" | "vertical">;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
    }> & {}>> | {
        readonly error?: boolean | undefined;
        readonly disabled?: boolean | undefined;
        readonly readonly?: boolean | undefined;
        readonly value?: any;
        readonly messages?: string | string[] | undefined;
        readonly persistentMessages?: boolean | undefined;
        readonly errorMessages?: string | string[] | undefined;
        readonly maxErrors?: string | number | undefined;
        readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
            then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
        })[] | undefined;
        readonly modelValue?: any;
        readonly validateOn?: "input" | "blur" | "submit" | undefined;
        readonly hideMessages?: boolean | undefined;
        readonly direction?: NonNullable<"horizontal" | "vertical"> | undefined;
        readonly name?: string | undefined;
        readonly description?: string | undefined;
        readonly id?: string | undefined;
        readonly label?: string | undefined;
        readonly validationValue?: any;
        readonly theme?: string | undefined;
        readonly "onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
    }>;
    hasLabel: import('vue').ComputedRef<boolean>;
    hasDescription: import('vue').ComputedRef<boolean>;
    directionClasses: import('vue').ComputedRef<string>;
    themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие при изменении значения (v-model)
     * @type { string[] }
     */
    'update:modelValue': (value: string[]) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: import('vue').PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    direction: Omit<{
        type: import('vue').PropType<import('../../composable').TDirection>;
        default: string;
        available: readonly ["horizontal", "vertical"];
        validator: (value: import('../../composable').TDirection) => boolean;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<"horizontal" | "vertical">>;
        default: NonNullable<"horizontal" | "vertical">;
    };
    error: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: import('vue').PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: import('vue').PropType<string | number>;
        default: number;
    };
    name: {
        type: import('vue').PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: import('vue').PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: import('vue').PropType<any>;
        default: null;
    };
    validateOn: {
        type: import('vue').PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: import('vue').PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    label: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    description: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    value: {
        type: import('vue').PropType<any>;
        default: null;
    };
    messages: {
        type: import('vue').PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
}>, {
    name: string | undefined;
    error: boolean;
    disabled: boolean;
    readonly: boolean;
    description: string;
    value: any;
    id: string;
    label: string;
    messages: string | string[];
    persistentMessages: boolean;
    errorMessages: string | string[];
    maxErrors: string | number;
    rules: import('../../composable').TValidationRule[];
    modelValue: any;
    validateOn: "input" | "blur" | "submit";
    validationValue: any;
    hideMessages: boolean;
    direction: NonNullable<"horizontal" | "vertical">;
    theme: string;
}, {}, {
    CdsInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: any) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsInputLabel: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        tag: Omit<{
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        }, "default" | "type"> & {
            type: import('vue').PropType<string>;
            default: string;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>, {
        disabledClasses: import('vue').ComputedRef<string | undefined>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        tag: Omit<{
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        }, "default" | "type"> & {
            type: import('vue').PropType<string>;
            default: string;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>> & Readonly<{}>, {
        text: string | number;
        tag: string;
        disabled: boolean;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsInputDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        tag: {
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        tag: {
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>> & Readonly<{}>, {
        text: string | number;
        tag: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
