import { PropType } from 'vue';
export declare const componentName = "CdsSidebar";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    /**
     * Показать/Скрыть
     */
    modelValue: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Скрывать overlay в открытом состоянии
     */
    disabledOverlay: {
        type: PropType<boolean>;
        default: boolean;
    };
}>, {
    attrs: {
        [x: string]: unknown;
    };
    sizeClasses: import('vue').ComputedRef<string>;
    themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
    showOverlay: import('vue').ComputedRef<boolean>;
    hasToolbarSlot: import('vue').ComputedRef<boolean>;
    hasAppendSlot: import('vue').ComputedRef<boolean>;
    hide: () => void;
    onClickOutside: (event: MouseEvent) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие изменения модели
     * @type { boolean }
     */
    'update:modelValue': (value: boolean) => true;
    /**
     * Клик вне боковой панели в открытом состоянии
     */
    'click:outside': (event: MouseEvent) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    title: {
        type: PropType<string>;
        default: string;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    /**
     * Показать/Скрыть
     */
    modelValue: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Скрывать overlay в открытом состоянии
     */
    disabledOverlay: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    "onClick:outside"?: ((event: MouseEvent) => any) | undefined;
}>, {
    title: string;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    modelValue: boolean;
    theme: string;
    disabledOverlay: boolean;
}, {}, {
    CdsFunctionalButton: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>> & Readonly<{}>, {
        to: import('vue-router').RouteLocationRaw;
        href: string;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        loading: boolean;
        disabled: boolean;
        readonly: boolean;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsTransitionExpandX: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        mode: import('vue').Prop<"in-out" | "out-in" | "default">;
    }>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
        [key: string]: any;
    }>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        mode: import('vue').Prop<"in-out" | "out-in" | "default">;
    }>> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
