import { TSkeletonLoaderType } from './types';
import { PropType } from 'vue';
export declare const componentName = "CdsSkeletonLoader";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    height: {
        type: PropType<number | string>;
        default: string;
    };
    width: {
        type: PropType<number | string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Тип скелета
     */
    type: {
        type: PropType<TSkeletonLoaderType | (string & {}) | ReadonlyArray<TSkeletonLoaderType | (string & {})>>;
        default: string;
    };
    /**
     * Показывать ли скелет при загрузке
     */
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Текст для aria label во время загрузки
     */
    loadingText: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Использовать скелет в виде заготовки для прототипирования
     */
    boilerplate: {
        type: PropType<boolean>;
        default: boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    height: {
        type: PropType<number | string>;
        default: string;
    };
    width: {
        type: PropType<number | string>;
        default: string;
    };
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Тип скелета
     */
    type: {
        type: PropType<TSkeletonLoaderType | (string & {}) | ReadonlyArray<TSkeletonLoaderType | (string & {})>>;
        default: string;
    };
    /**
     * Показывать ли скелет при загрузке
     */
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    /**
     * Текст для aria label во время загрузки
     */
    loadingText: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Использовать скелет в виде заготовки для прототипирования
     */
    boilerplate: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{}>, {
    loading: boolean;
    type: "text" | "article" | "button" | "table" | (string & {}) | "block" | "table-row" | "list-item" | "subtitle" | "divider" | "actions" | "chip" | "avatar" | "heading" | "sentences" | "paragraph" | "card" | "card-avatar" | "date-picker" | "date-picker-options" | "date-picker-days" | "list-item-avatar" | "list-item-two-line" | "list-item-avatar-two-line" | "list-item-three-line" | "list-item-avatar-three-line" | "table-heading" | "table-thead" | "table-tbody" | "table-row-divider" | "table-tfoot" | readonly ("text" | "article" | "button" | "table" | (string & {}) | "block" | "table-row" | "list-item" | "subtitle" | "divider" | "actions" | "chip" | "avatar" | "heading" | "sentences" | "paragraph" | "card" | "card-avatar" | "date-picker" | "date-picker-options" | "date-picker-days" | "list-item-avatar" | "list-item-two-line" | "list-item-avatar-two-line" | "list-item-three-line" | "list-item-avatar-three-line" | "table-heading" | "table-thead" | "table-tbody" | "table-row-divider" | "table-tfoot")[];
    height: string | number;
    width: string | number;
    maxHeight: string | number;
    maxWidth: string | number;
    minHeight: string | number;
    minWidth: string | number;
    theme: string;
    loadingText: string;
    boilerplate: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
