import { VNode } from 'vue';
type TSkeletonBone<T> = T | TSkeletonBone<T>[];
export type TSkeletonBones = TSkeletonBone<VNode>;
export type TSkeletonLoaderType = keyof typeof allowedTypes;
export declare const allowedTypes: {
    readonly actions: "button@2";
    readonly article: "heading, paragraph";
    readonly avatar: "avatar";
    readonly button: "button";
    readonly card: "block, heading";
    readonly 'card-avatar': "block, list-item-avatar";
    readonly chip: "chip";
    readonly 'date-picker': "date-picker-options, date-picker-days, list-item";
    readonly 'date-picker-options': "actions";
    readonly 'date-picker-days': "avatar@42";
    readonly divider: "divider";
    readonly heading: "heading";
    readonly block: "block";
    readonly 'list-item': "text";
    readonly 'list-item-avatar': "avatar, text";
    readonly 'list-item-two-line': "sentences";
    readonly 'list-item-avatar-two-line': "avatar, sentences";
    readonly 'list-item-three-line': "paragraph";
    readonly 'list-item-avatar-three-line': "avatar, paragraph";
    readonly paragraph: "text@3";
    readonly sentences: "text@2";
    readonly subtitle: "text";
    readonly table: "table-heading, table-thead, table-tbody, table-tfoot";
    readonly 'table-heading': "chip, text";
    readonly 'table-thead': "heading@6";
    readonly 'table-tbody': "table-row-divider@6";
    readonly 'table-row-divider': "table-row, divider";
    readonly 'table-row': "text@6";
    readonly 'table-tfoot': "text@2, actions";
    readonly text: "text";
};
export {};
