import { PropType } from 'vue';
export declare const componentName = "CdsTab";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    direction: {
        type: PropType<import('../../composable').TDirection>;
        default: string;
        available: readonly ["horizontal", "vertical"];
        validator: (value: import('../../composable').TDirection) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    value: {
        type: null;
        default: undefined;
    };
    selectedClass: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    hideSlider: {
        type: PropType<boolean>;
        default: boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    'group:selected': (value: {
        value: boolean;
    }) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    direction: {
        type: PropType<import('../../composable').TDirection>;
        default: string;
        available: readonly ["horizontal", "vertical"];
        validator: (value: import('../../composable').TDirection) => boolean;
    };
    text: {
        type: PropType<string | number>;
        default: undefined;
    };
    value: {
        type: null;
        default: undefined;
    };
    selectedClass: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    hideSlider: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & Readonly<{
    "onGroup:selected"?: ((value: {
        value: boolean;
    }) => any) | undefined;
}>, {
    text: string | number;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    loading: boolean;
    disabled: boolean;
    readonly: boolean;
    value: any;
    direction: "horizontal" | "vertical";
    selectedClass: string;
    hideSlider: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
