export declare const componentName = "CdsTextInput";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: import('vue').PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    size: {
        type: import('vue').PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    loading: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    'onClick:prepend': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:append': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    prependIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    error: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: import('vue').PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: import('vue').PropType<string | number>;
        default: number;
    };
    name: {
        type: import('vue').PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: import('vue').PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: import('vue').PropType<any>;
        default: null;
    };
    validateOn: {
        type: import('vue').PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: import('vue').PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    label: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    description: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    value: {
        type: import('vue').PropType<any>;
        default: null;
    };
    messages: {
        type: import('vue').PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    active: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    autofocus: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    prefix: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    suffix: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    prependInnerIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendInnerIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    type: {
        type: import('vue').PropType<import('../../composable').TFieldTypes>;
        default: string;
        validator: (value: import('../../composable').TFieldTypes) => boolean;
    };
    role: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    placeholder: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    counter: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    limit: {
        type: import('vue').PropType<number>;
        default: undefined;
    };
    clearable: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    clearLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    persistentClearable: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    'onClick:prependInner': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:appendInner': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
}>, {
    id: import('vue').ComputedRef<string>;
    model: import('vue').Ref<any, any> & {
        readonly externalValue: any;
    };
    fieldRef: import('vue').Ref<HTMLElement | undefined, HTMLElement | undefined>;
    inputRef: import('vue').Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
    validationRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: any) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: any) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
    isFocused: import('vue').Ref<boolean, boolean>;
    rootAttrs: import('vue').Ref<{}, {}>;
    inputAttrs: import('vue').Ref<{}, {}>;
    inputProps: import('vue').Ref<{
        readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
        readonly error?: boolean | undefined;
        readonly loading?: boolean | undefined;
        readonly active?: boolean | undefined;
        readonly disabled?: boolean | undefined;
        readonly readonly?: boolean | undefined;
        readonly value?: any;
        readonly focused?: boolean | undefined;
        readonly messages?: string | string[] | undefined;
        readonly persistentMessages?: boolean | undefined;
        readonly errorMessages?: string | string[] | undefined;
        readonly maxErrors?: string | number | undefined;
        readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
            then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
        })[] | undefined;
        readonly modelValue?: any;
        readonly validateOn?: "input" | "blur" | "submit" | undefined;
        readonly hideMessages?: boolean | undefined;
        readonly autofocus?: boolean | undefined;
        readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
        readonly counter?: boolean | undefined;
        readonly clearable?: boolean | undefined;
        readonly clearLabel?: string | undefined;
        readonly persistentClearable?: boolean | undefined;
        readonly name?: string | undefined;
        readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly description?: string | undefined;
        readonly id?: string | undefined;
        readonly label?: string | undefined;
        readonly validationValue?: any;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly role?: string | undefined;
        readonly placeholder?: string | undefined;
        readonly limit?: number | undefined;
        readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly theme?: string | undefined;
        readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
    }, Partial<import('@vue/shared').LooseRequired<Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: import('vue').PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: import('vue').PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        active: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        suffix: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: import('vue').PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        counter: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: import('vue').PropType<number>;
            default: undefined;
        };
        clearable: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: import('vue').PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: import('vue').PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: import('vue').PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
        "onClick:append"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
        "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
    }> & {}>> | {
        readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
        readonly error?: boolean | undefined;
        readonly loading?: boolean | undefined;
        readonly active?: boolean | undefined;
        readonly disabled?: boolean | undefined;
        readonly readonly?: boolean | undefined;
        readonly value?: any;
        readonly focused?: boolean | undefined;
        readonly messages?: string | string[] | undefined;
        readonly persistentMessages?: boolean | undefined;
        readonly errorMessages?: string | string[] | undefined;
        readonly maxErrors?: string | number | undefined;
        readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
            then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
        })[] | undefined;
        readonly modelValue?: any;
        readonly validateOn?: "input" | "blur" | "submit" | undefined;
        readonly hideMessages?: boolean | undefined;
        readonly autofocus?: boolean | undefined;
        readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
        readonly counter?: boolean | undefined;
        readonly clearable?: boolean | undefined;
        readonly clearLabel?: string | undefined;
        readonly persistentClearable?: boolean | undefined;
        readonly name?: string | undefined;
        readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly description?: string | undefined;
        readonly id?: string | undefined;
        readonly label?: string | undefined;
        readonly validationValue?: any;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly role?: string | undefined;
        readonly placeholder?: string | undefined;
        readonly limit?: number | undefined;
        readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
        readonly theme?: string | undefined;
        readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
    }>;
    hasLabel: import('vue').ComputedRef<boolean>;
    hasDescription: import('vue').ComputedRef<boolean>;
    hasPrepend: import('vue').ComputedRef<boolean>;
    hasAppend: import('vue').ComputedRef<boolean>;
    hasPrependInnerIcon: import('vue').ComputedRef<boolean>;
    hasAppendInnerIcon: import('vue').ComputedRef<boolean>;
    hasLoading: import('vue').ComputedRef<boolean>;
    hasClear: import('vue').ComputedRef<boolean>;
    counterValue: import('vue').ComputedRef<any>;
    iconClasses: import('vue').ComputedRef<Record<string, boolean>>;
    themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
    fieldClasses: import('vue').ComputedRef<Record<string, boolean>>;
    loadingClasses: import('vue').ComputedRef<string | undefined>;
    classesStates: Readonly<{
        hover: "cds-state-hover";
        focus: "cds-state-focus";
        active: "cds-state-active";
        visited: "cds-state-visited";
        disabled: "cds-state-disabled";
        checked: "cds-state-checked";
        indeterminate: "cds-state-indeterminate";
        invalid: "cds-state-invalid";
        empty: "cds-state-empty";
        loading: "cds-state-loading";
        readonly: "cds-state-readonly";
        dragging: "cds-state-dragging";
    }>;
    onBlur: () => void;
    onFocus: () => void;
    onInput: (event: Event) => void;
    onClear: (event: MouseEvent) => void;
    onControlClick: (event: MouseEvent) => void;
    onControlMousedown: (event: MouseEvent) => void;
    handleClickPrependInner: (event: MouseEvent) => void;
    handleClickAppendInner: (event: MouseEvent) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие при фокусе
     * @type { boolean }
     */
    'update:focused': (value: boolean) => true;
    /**
     * Событие при изменении значения (v-model)
     * @type { string }
     */
    'update:modelValue': (value: string) => true;
    /**
     * Событие очистки поля ввода
     */
    'click:clear': (event: MouseEvent) => true;
    /**
     * Событие клика по иконке перед значением поля
     */
    'click:prepend': (event: MouseEvent) => true;
    /**
     * Событие клика по иконке после значения поля
     */
    'click:append': (event: MouseEvent) => true;
    /**
     * Событие клика по иконке внутри элемента перед значением поля
     */
    'click:prependInner': (event: MouseEvent) => true;
    /**
     * Событие клика по иконке внутри элемента после значения поля
     */
    'click:appendInner': (event: MouseEvent) => true;
    /**
     * Событие клика по полю ввода
     */
    'click:control': (event: MouseEvent) => true;
    /**
     * Событие нажатия клавиши мыши на поле ввода
     */
    'mousedown:control': (event: MouseEvent) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: import('vue').PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    size: {
        type: import('vue').PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    loading: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    'onClick:prepend': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:append': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    prependIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    error: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: import('vue').PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: import('vue').PropType<string | number>;
        default: number;
    };
    name: {
        type: import('vue').PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: import('vue').PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: import('vue').PropType<any>;
        default: null;
    };
    validateOn: {
        type: import('vue').PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: import('vue').PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    label: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    description: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    value: {
        type: import('vue').PropType<any>;
        default: null;
    };
    messages: {
        type: import('vue').PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    active: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    autofocus: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    prefix: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    suffix: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    prependInnerIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendInnerIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    type: {
        type: import('vue').PropType<import('../../composable').TFieldTypes>;
        default: string;
        validator: (value: import('../../composable').TFieldTypes) => boolean;
    };
    role: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    placeholder: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    counter: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    limit: {
        type: import('vue').PropType<number>;
        default: undefined;
    };
    clearable: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    clearLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    persistentClearable: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    'onClick:prependInner': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:appendInner': {
        type: import('vue').PropType<import('../../utils').EventProp>;
        default: undefined;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: string) => any) | undefined;
    "onClick:control"?: ((event: MouseEvent) => any) | undefined;
    "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
    "onUpdate:focused"?: ((value: boolean) => any) | undefined;
    "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
    "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
    "onClick:append"?: ((event: MouseEvent) => any) | undefined;
    "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
    "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
}>, {
    name: string | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    error: boolean;
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    'onClick:prepend': (...args: any[]) => any;
    'onClick:append': (...args: any[]) => any;
    loading: boolean;
    active: boolean;
    disabled: boolean;
    readonly: boolean;
    description: string;
    value: any;
    focused: boolean;
    id: string;
    label: string;
    messages: string | string[];
    persistentMessages: boolean;
    errorMessages: string | string[];
    maxErrors: string | number;
    rules: import('../../composable').TValidationRule[];
    modelValue: any;
    validateOn: "input" | "blur" | "submit";
    validationValue: any;
    hideMessages: boolean;
    autofocus: boolean;
    prefix: string;
    suffix: string;
    prependInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    type: "number" | "text" | "password" | "email" | "tel" | "url";
    role: string;
    placeholder: string;
    counter: boolean;
    limit: number;
    clearable: boolean;
    clearLabel: string;
    persistentClearable: boolean;
    'onClick:prependInner': (...args: any[]) => any;
    'onClick:appendInner': (...args: any[]) => any;
    theme: string;
}, {}, {
    CdsInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: any) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        'onClick:prepend': import('vue').PropType<import('../../utils').EventProp>;
        'onClick:append': import('vue').PropType<import('../../utils').EventProp>;
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        error: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: import('vue').PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: import('vue').PropType<string | number>;
            default: number;
        };
        name: {
            type: import('vue').PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: import('vue').PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: import('vue').PropType<any>;
            default: null;
        };
        validateOn: {
            type: import('vue').PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: import('vue').PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        id: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        label: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        description: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        value: {
            type: import('vue').PropType<any>;
            default: null;
        };
        messages: {
            type: import('vue').PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsInputLabel: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        tag: Omit<{
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        }, "default" | "type"> & {
            type: import('vue').PropType<string>;
            default: string;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>, {
        disabledClasses: import('vue').ComputedRef<string | undefined>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        tag: Omit<{
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        }, "default" | "type"> & {
            type: import('vue').PropType<string>;
            default: string;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>> & Readonly<{}>, {
        text: string | number;
        tag: string;
        disabled: boolean;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsInputDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        tag: {
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        tag: {
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
    }>> & Readonly<{}>, {
        text: string | number;
        tag: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsInputCounter: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        max: {
            type: import('vue').PropType<number | string>;
            default: number;
        };
        current: {
            type: import('vue').PropType<number | string>;
            default: number;
        };
    }>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
        [key: string]: any;
    }>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        max: {
            type: import('vue').PropType<number | string>;
            default: number;
        };
        current: {
            type: import('vue').PropType<number | string>;
            default: number;
        };
    }>> & Readonly<{}>, {
        max: string | number;
        current: string | number;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        invertColor: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        name: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>, {
        iconComponent: import('vue').ComputedRef<string>;
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        invertColorClasses: import('vue').ComputedRef<string | undefined>;
    } | {
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        invertColorClasses: import('vue').ComputedRef<string | undefined>;
        iconComponent?: undefined;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        invertColor: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        name: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>> & Readonly<{}>, {
        name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        size: "xs" | "sm" | "md" | "lg" | "xl";
        invertColor: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        fixed: {
            type: import('vue').PropType<boolean>;
            default: boolean;
            description: string;
        };
        overlay: {
            type: import('vue').PropType<boolean>;
            default: boolean;
            description: string;
        };
        description: {
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        };
    }>, {
        attrs: {
            [x: string]: unknown;
        };
        loaderClasses: import('vue').ComputedRef<{
            'cds-loader__overlay': boolean;
            'cds-loader__fixed': boolean;
        }>;
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        fixed: {
            type: import('vue').PropType<boolean>;
            default: boolean;
            description: string;
        };
        overlay: {
            type: import('vue').PropType<boolean>;
            default: boolean;
            description: string;
        };
        description: {
            type: import('vue').PropType<string>;
            default: string;
            description: string;
        };
    }>> & Readonly<{}>, {
        fixed: boolean;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        description: string;
        overlay: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsFunctionalButton: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        loading: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        href: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        to: {
            type: import('vue').PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        loading: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        href: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        to: {
            type: import('vue').PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>> & Readonly<{}>, {
        to: import('vue-router').RouteLocationRaw;
        href: string;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        loading: boolean;
        disabled: boolean;
        readonly: boolean;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsTransition: import('vue').FunctionalComponent<import('../../composable').ITransitionProps, {}, any, {}>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
