import { default as DropIndicator } from './DropIndicator';
import { PropType } from 'vue';
import { NTree } from '../interface';
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    children: PropType<any>;
    activeKey: {
        type: PropType<NTree.TKey>;
    };
    focusable: {
        type: PropType<boolean>;
        default: undefined;
    };
    tabindex: {
        type: PropType<number>;
        default: undefined;
    };
    defaultCheckedKeys: {
        type: PropType<NTree.TKey[]>;
        default: () => never[];
    };
    dropIndicatorRender: {
        type: PropType<(props: {
            dropPosition: -1 | 0 | 1;
            dropLevelOffset: number;
            indent: number;
            prefixCls: string;
        }) => any>;
        default: typeof DropIndicator;
    };
    itemHeight: {
        type: PropType<number>;
        default: number;
    };
    replaceFields: {
        type: PropType<NTree.IFieldNames>;
        default: undefined;
    };
    onFocus: {
        type: PropType<(event: FocusEvent) => void>;
        default: undefined;
    };
    onBlur: {
        type: PropType<(event: FocusEvent) => void>;
        default: undefined;
    };
    onKeydown: {
        type: PropType<NTree.TEventHandler>;
        default: undefined;
    };
    onContextmenu: {
        type: PropType<NTree.TEventHandler>;
        default: undefined;
    };
    onClick: {
        type: PropType<NTree.TNodeMouseEventHandler>;
        default: undefined;
    };
    onDblclick: {
        type: PropType<NTree.TNodeMouseEventHandler>;
        default: undefined;
    };
    onScroll: {
        type: PropType<NTree.TEventHandler>;
        default: undefined;
    };
    onExpand: {
        type: PropType<(expandedKeys: NTree.TKey[], info: {
            node: NTree.IEventDataNode;
            expanded: boolean;
            nativeEvent: MouseEvent;
        }) => void>;
        default: undefined;
    };
    onCheck: {
        type: PropType<(checked: {
            checked: NTree.TKey[];
            halfChecked: NTree.TKey[];
        } | NTree.TKey[], info: NTree.ICheckInfo) => void>;
        default: undefined;
    };
    onSelect: {
        type: PropType<(selectedKeys: NTree.TKey[], info: {
            event: "select";
            selected: boolean;
            node: NTree.IEventDataNode;
            selectedNodes: NTree.IDataNode[];
            nativeEvent: MouseEvent;
        }) => void>;
        default: undefined;
    };
    onLoad: {
        type: PropType<(loadedKeys: NTree.TKey[], info: {
            event: "load";
            node: NTree.IEventDataNode;
        }) => void>;
        default: undefined;
    };
    onMouseenter: {
        type: PropType<(info: NTree.TNodeMouseEventParams) => void>;
        default: undefined;
    };
    onMouseleave: {
        type: PropType<(info: NTree.TNodeMouseEventParams) => void>;
        default: undefined;
    };
    onRightClick: {
        type: PropType<(info: NTree.TNodeMouseEventParams) => void>;
        default: undefined;
    };
    onDragstart: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDragenter: {
        type: PropType<(info: NTree.TNodeDragEventParams & {
            expandedKeys: NTree.TKey[];
        }) => void>;
        default: undefined;
    };
    onDragover: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDragleave: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDragend: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDrop: {
        type: PropType<(info: NTree.TNodeDragEventParams & {
            dragNode: NTree.IEventDataNode | null;
            dragNodesKeys: NTree.TKey[];
            dropPosition: number;
            dropToGap: boolean;
        }) => void>;
        default: undefined;
    };
    onActiveChange: {
        type: PropType<(key: NTree.TKey | null) => void>;
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    treeData: {
        type: PropType<NTree.IDataNode[]>;
        default: undefined;
    };
    selectable: {
        type: PropType<boolean>;
        default: boolean;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    checkable: {
        type: PropType<boolean>;
        default: boolean;
    };
    draggable: {
        type: PropType<NTree.TDraggableConfig | boolean>;
        default: boolean;
    };
    checkedKeys: {
        type: PropType<NTree.TKey[] | {
            checked: NTree.TKey[];
            halfChecked: NTree.TKey[];
        }>;
        default: undefined;
    };
    expandedKeys: {
        type: PropType<NTree.TKey[]>;
        default: undefined;
    };
    selectedKeys: {
        type: PropType<NTree.TKey[]>;
        default: undefined;
    };
    autoExpandParent: {
        type: PropType<boolean>;
        default: boolean;
    };
    defaultExpandedKeys: {
        type: PropType<NTree.TKey[]>;
        default: () => never[];
    };
    defaultExpandParent: {
        type: PropType<boolean>;
        default: boolean;
    };
    defaultExpandAll: {
        type: PropType<boolean>;
        default: boolean;
    };
    defaultSelectedKeys: {
        type: PropType<NTree.TKey[]>;
        default: undefined;
    };
    expandAction: {
        type: PropType<NTree.TExpandAction>;
        default: undefined;
    };
    checkStrictly: {
        type: PropType<boolean>;
        default: boolean;
    };
    allowDrop: {
        type: PropType<NTree.TAllowDrop>;
        default: () => true;
    };
    blockNode: {
        type: PropType<boolean>;
        default: boolean;
    };
    fieldNames: {
        type: PropType<NTree.IFieldNames>;
        default: undefined;
    };
    showLine: {
        type: PropType<boolean | {
            showLeafIcon: boolean | import('@central-design-system/icons').TCdsIconsName;
        }>;
        default: undefined;
    };
    showIcon: {
        type: PropType<boolean>;
        default: boolean;
    };
    filterTreeNode: {
        type: PropType<(treeNode: NTree.IEventDataNode) => boolean>;
        default: undefined;
    };
    loadData: {
        type: PropType<(treeNode: NTree.IEventDataNode) => Promise<any>>;
        default: undefined;
    };
    loadedKeys: {
        type: PropType<NTree.TKey[]>;
        default: () => never[];
    };
    icon: {
        type: PropType<(nodeProps: NTree.ITreeNodeAttribute) => any>;
        default: undefined;
    };
    switcherIcon: {
        type: PropType<(nodeProps: import('./SwitcherIcon').SwitcherIconProps) => any>;
        default: undefined;
    };
    openAnimation: {
        type: FunctionConstructor;
        default: undefined;
    };
    virtual: {
        type: PropType<boolean>;
        default: boolean;
    };
    height: {
        type: PropType<number>;
        default: undefined;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    children: PropType<any>;
    activeKey: {
        type: PropType<NTree.TKey>;
    };
    focusable: {
        type: PropType<boolean>;
        default: undefined;
    };
    tabindex: {
        type: PropType<number>;
        default: undefined;
    };
    defaultCheckedKeys: {
        type: PropType<NTree.TKey[]>;
        default: () => never[];
    };
    dropIndicatorRender: {
        type: PropType<(props: {
            dropPosition: -1 | 0 | 1;
            dropLevelOffset: number;
            indent: number;
            prefixCls: string;
        }) => any>;
        default: typeof DropIndicator;
    };
    itemHeight: {
        type: PropType<number>;
        default: number;
    };
    replaceFields: {
        type: PropType<NTree.IFieldNames>;
        default: undefined;
    };
    onFocus: {
        type: PropType<(event: FocusEvent) => void>;
        default: undefined;
    };
    onBlur: {
        type: PropType<(event: FocusEvent) => void>;
        default: undefined;
    };
    onKeydown: {
        type: PropType<NTree.TEventHandler>;
        default: undefined;
    };
    onContextmenu: {
        type: PropType<NTree.TEventHandler>;
        default: undefined;
    };
    onClick: {
        type: PropType<NTree.TNodeMouseEventHandler>;
        default: undefined;
    };
    onDblclick: {
        type: PropType<NTree.TNodeMouseEventHandler>;
        default: undefined;
    };
    onScroll: {
        type: PropType<NTree.TEventHandler>;
        default: undefined;
    };
    onExpand: {
        type: PropType<(expandedKeys: NTree.TKey[], info: {
            node: NTree.IEventDataNode;
            expanded: boolean;
            nativeEvent: MouseEvent;
        }) => void>;
        default: undefined;
    };
    onCheck: {
        type: PropType<(checked: {
            checked: NTree.TKey[];
            halfChecked: NTree.TKey[];
        } | NTree.TKey[], info: NTree.ICheckInfo) => void>;
        default: undefined;
    };
    onSelect: {
        type: PropType<(selectedKeys: NTree.TKey[], info: {
            event: "select";
            selected: boolean;
            node: NTree.IEventDataNode;
            selectedNodes: NTree.IDataNode[];
            nativeEvent: MouseEvent;
        }) => void>;
        default: undefined;
    };
    onLoad: {
        type: PropType<(loadedKeys: NTree.TKey[], info: {
            event: "load";
            node: NTree.IEventDataNode;
        }) => void>;
        default: undefined;
    };
    onMouseenter: {
        type: PropType<(info: NTree.TNodeMouseEventParams) => void>;
        default: undefined;
    };
    onMouseleave: {
        type: PropType<(info: NTree.TNodeMouseEventParams) => void>;
        default: undefined;
    };
    onRightClick: {
        type: PropType<(info: NTree.TNodeMouseEventParams) => void>;
        default: undefined;
    };
    onDragstart: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDragenter: {
        type: PropType<(info: NTree.TNodeDragEventParams & {
            expandedKeys: NTree.TKey[];
        }) => void>;
        default: undefined;
    };
    onDragover: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDragleave: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDragend: {
        type: PropType<(info: NTree.TNodeDragEventParams) => void>;
        default: undefined;
    };
    onDrop: {
        type: PropType<(info: NTree.TNodeDragEventParams & {
            dragNode: NTree.IEventDataNode | null;
            dragNodesKeys: NTree.TKey[];
            dropPosition: number;
            dropToGap: boolean;
        }) => void>;
        default: undefined;
    };
    onActiveChange: {
        type: PropType<(key: NTree.TKey | null) => void>;
        default: undefined;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    treeData: {
        type: PropType<NTree.IDataNode[]>;
        default: undefined;
    };
    selectable: {
        type: PropType<boolean>;
        default: boolean;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    checkable: {
        type: PropType<boolean>;
        default: boolean;
    };
    draggable: {
        type: PropType<NTree.TDraggableConfig | boolean>;
        default: boolean;
    };
    checkedKeys: {
        type: PropType<NTree.TKey[] | {
            checked: NTree.TKey[];
            halfChecked: NTree.TKey[];
        }>;
        default: undefined;
    };
    expandedKeys: {
        type: PropType<NTree.TKey[]>;
        default: undefined;
    };
    selectedKeys: {
        type: PropType<NTree.TKey[]>;
        default: undefined;
    };
    autoExpandParent: {
        type: PropType<boolean>;
        default: boolean;
    };
    defaultExpandedKeys: {
        type: PropType<NTree.TKey[]>;
        default: () => never[];
    };
    defaultExpandParent: {
        type: PropType<boolean>;
        default: boolean;
    };
    defaultExpandAll: {
        type: PropType<boolean>;
        default: boolean;
    };
    defaultSelectedKeys: {
        type: PropType<NTree.TKey[]>;
        default: undefined;
    };
    expandAction: {
        type: PropType<NTree.TExpandAction>;
        default: undefined;
    };
    checkStrictly: {
        type: PropType<boolean>;
        default: boolean;
    };
    allowDrop: {
        type: PropType<NTree.TAllowDrop>;
        default: () => true;
    };
    blockNode: {
        type: PropType<boolean>;
        default: boolean;
    };
    fieldNames: {
        type: PropType<NTree.IFieldNames>;
        default: undefined;
    };
    showLine: {
        type: PropType<boolean | {
            showLeafIcon: boolean | import('@central-design-system/icons').TCdsIconsName;
        }>;
        default: undefined;
    };
    showIcon: {
        type: PropType<boolean>;
        default: boolean;
    };
    filterTreeNode: {
        type: PropType<(treeNode: NTree.IEventDataNode) => boolean>;
        default: undefined;
    };
    loadData: {
        type: PropType<(treeNode: NTree.IEventDataNode) => Promise<any>>;
        default: undefined;
    };
    loadedKeys: {
        type: PropType<NTree.TKey[]>;
        default: () => never[];
    };
    icon: {
        type: PropType<(nodeProps: NTree.ITreeNodeAttribute) => any>;
        default: undefined;
    };
    switcherIcon: {
        type: PropType<(nodeProps: import('./SwitcherIcon').SwitcherIconProps) => any>;
        default: undefined;
    };
    openAnimation: {
        type: FunctionConstructor;
        default: undefined;
    };
    virtual: {
        type: PropType<boolean>;
        default: boolean;
    };
    height: {
        type: PropType<number>;
        default: undefined;
    };
}>> & Readonly<{}>, {
    draggable: boolean | NTree.TDraggableConfig;
    icon: (nodeProps: NTree.ITreeNodeAttribute) => any;
    disabled: boolean;
    multiple: boolean;
    onClick: NTree.TNodeMouseEventHandler;
    onFocus: (event: FocusEvent) => void;
    onBlur: (event: FocusEvent) => void;
    onContextmenu: NTree.TEventHandler;
    onDblclick: NTree.TNodeMouseEventHandler;
    onDragend: (info: NTree.TNodeDragEventParams) => void;
    onDragenter: (info: NTree.TNodeDragEventParams & {
        expandedKeys: NTree.TKey[];
    }) => void;
    onDragleave: (info: NTree.TNodeDragEventParams) => void;
    onDragover: (info: NTree.TNodeDragEventParams) => void;
    onDragstart: (info: NTree.TNodeDragEventParams) => void;
    onDrop: (info: NTree.TNodeDragEventParams & {
        dragNode: NTree.IEventDataNode | null;
        dragNodesKeys: NTree.TKey[];
        dropPosition: number;
        dropToGap: boolean;
    }) => void;
    onKeydown: NTree.TEventHandler;
    onLoad: (loadedKeys: NTree.TKey[], info: {
        event: "load";
        node: NTree.IEventDataNode;
    }) => void;
    onMouseenter: (info: NTree.TNodeMouseEventParams) => void;
    onMouseleave: (info: NTree.TNodeMouseEventParams) => void;
    onScroll: NTree.TEventHandler;
    onSelect: (selectedKeys: NTree.TKey[], info: {
        event: "select";
        selected: boolean;
        node: NTree.IEventDataNode;
        selectedNodes: NTree.IDataNode[];
        nativeEvent: MouseEvent;
    }) => void;
    height: number;
    tabindex: number;
    onExpand: (expandedKeys: NTree.TKey[], info: {
        node: NTree.IEventDataNode;
        expanded: boolean;
        nativeEvent: MouseEvent;
    }) => void;
    checkable: boolean;
    selectable: boolean;
    switcherIcon: (nodeProps: import('./SwitcherIcon').SwitcherIconProps) => any;
    treeData: NTree.IDataNode[];
    checkedKeys: NTree.TKey[] | {
        checked: NTree.TKey[];
        halfChecked: NTree.TKey[];
    };
    expandedKeys: NTree.TKey[];
    selectedKeys: NTree.TKey[];
    autoExpandParent: boolean;
    defaultExpandedKeys: NTree.TKey[];
    defaultExpandParent: boolean;
    defaultExpandAll: boolean;
    defaultSelectedKeys: NTree.TKey[];
    expandAction: NTree.TExpandAction;
    checkStrictly: boolean;
    allowDrop: NTree.TAllowDrop<NTree.IDataNode>;
    blockNode: boolean;
    fieldNames: NTree.IFieldNames;
    showLine: boolean | {
        showLeafIcon: boolean | import('@central-design-system/icons').TCdsIconsName;
    };
    showIcon: boolean;
    filterTreeNode: (treeNode: NTree.IEventDataNode) => boolean;
    loadData: (treeNode: NTree.IEventDataNode) => Promise<any>;
    loadedKeys: NTree.TKey[];
    openAnimation: Function;
    virtual: boolean;
    onCheck: (checked: {
        checked: NTree.TKey[];
        halfChecked: NTree.TKey[];
    } | NTree.TKey[], info: NTree.ICheckInfo) => void;
    dropIndicatorRender: (props: {
        dropPosition: -1 | 0 | 1;
        dropLevelOffset: number;
        indent: number;
        prefixCls: string;
    }) => any;
    itemHeight: number;
    focusable: boolean;
    onActiveChange: (key: NTree.TKey | null) => void;
    onRightClick: (info: NTree.TNodeMouseEventParams) => void;
    defaultCheckedKeys: NTree.TKey[];
    replaceFields: NTree.IFieldNames;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
