import { ExtractPropTypes, PropType } from 'vue';
import { NTree } from '../..';
export declare const makeTreeNodeProps: <Defaults extends {
    eventKey?: unknown;
    prefixCls?: unknown;
    title?: unknown;
    data?: unknown;
    parent?: unknown;
    isStart?: unknown;
    isEnd?: unknown;
    active?: unknown;
    onMousemove?: unknown;
    isLeaf?: unknown;
    checkable?: unknown;
    selectable?: unknown;
    disabled?: unknown;
    disableCheckbox?: unknown;
    icon?: unknown;
    switcherIcon?: unknown;
    domRef?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../../../utils').AppendDefault<{
    eventKey: {
        type: PropType<NTree.TKey>;
        default: string;
    };
    prefixCls: StringConstructor;
    title: (StringConstructor | FunctionConstructor)[];
    data: {
        type: PropType<NTree.IDataNode>;
        default: NTree.IDataNode;
    };
    parent: {
        type: PropType<NTree.IDataNode>;
        default: NTree.IDataNode;
    };
    isStart: {
        type: PropType<boolean[]>;
    };
    isEnd: {
        type: PropType<boolean[]>;
    };
    active: {
        type: BooleanConstructor;
        default: undefined;
    };
    onMousemove: {
        type: PropType<NTree.TEventHandler>;
    };
    isLeaf: {
        type: BooleanConstructor;
        default: undefined;
    };
    checkable: {
        type: BooleanConstructor;
        default: undefined;
    };
    selectable: {
        type: BooleanConstructor;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: undefined;
    };
    disableCheckbox: {
        type: BooleanConstructor;
        default: undefined;
    };
    icon: FunctionConstructor[];
    switcherIcon: FunctionConstructor[];
    domRef: {
        type: PropType<(arg: any) => void>;
    };
}, Defaults>;
export type ITreeNodeProps = Partial<ExtractPropTypes<ReturnType<typeof makeTreeNodeProps>>>;
