import { CdsButton } from '../CdsButton';
import { NUploader } from './interface';
export declare const LIST_IGNORE: string;
export declare const componentName = "CdsUploader";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    tag: Omit<{
        type: import('vue').PropType<string>;
        default: string;
        description: string;
    }, "default" | "type"> & {
        type: import('vue').PropType<string>;
        default: string;
    };
    theme: {
        type: import('vue').PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    prependIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    locale: {
        type: import('vue').PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    error: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: import('vue').PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: import('vue').PropType<string | number>;
        default: number;
    };
    name: {
        type: import('vue').PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: import('vue').PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: import('vue').PropType<any>;
        default: null;
    };
    validateOn: {
        type: import('vue').PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: import('vue').PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    label: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    description: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    value: {
        type: import('vue').PropType<any>;
        default: null;
    };
    messages: {
        type: import('vue').PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    capture: {
        type: import('vue').PropType<boolean | "user" | "environment">;
        default: undefined;
    };
    multiple: Omit<{
        type: import('vue').PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    action: Omit<{
        type: import('vue').PropType<NUploader.TAction>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<NUploader.TAction>>;
        default: NonNullable<NUploader.TAction>;
    };
    method: {
        type: import('vue').PropType<NUploader.TUploadRequestMethod>;
        default: undefined;
    };
    directory: {
        type: import('vue').PropType<boolean>;
        default: undefined;
    };
    defaultFileList: {
        type: import('vue').PropType<NUploader.IUploadFile[]>;
        default: undefined;
    };
    showUploadList: Omit<{
        type: import('vue').PropType<boolean | NUploader.TShowUploadList>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<boolean | NUploader.TShowUploadList>>;
        default: NonNullable<boolean | NUploader.TShowUploadList>;
    };
    itemRender: {
        type: import('vue').PropType<NUploader.TItemRender>;
        default: undefined;
    };
    listType: Omit<{
        type: import('vue').PropType<NUploader.TUploadListType>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<NUploader.TUploadListType>>;
        default: NonNullable<NUploader.TUploadListType>;
    };
    data: Omit<{
        type: import('vue').PropType<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)> | {}>;
        default: NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)> | {};
    };
    headers: {
        type: import('vue').PropType<NUploader.TUploadRequestHeaders>;
        default: undefined;
    };
    accept: Omit<{
        type: import('vue').PropType<string | string[]>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<string | string[]>>;
        default: NonNullable<string | string[]>;
    };
    customRequest: {
        type: import('vue').PropType<(options: NUploader.IUploadRequestOption) => void>;
        default: undefined;
    };
    withCredentials: {
        type: import('vue').PropType<boolean>;
        default: undefined;
    };
    openFileDialogOnClick: {
        type: import('vue').PropType<boolean>;
        default: undefined;
    };
    beforeUpload: {
        type: import('vue').PropType<(file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>>;
        default: undefined;
    };
    maxCount: {
        type: import('vue').PropType<number>;
        default: undefined;
    };
    isImageUrl: {
        type: import('vue').PropType<(file: NUploader.IUploadFile) => boolean>;
        default: undefined;
    };
    showTooltipWithError: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    buttonProps: {
        type: import('vue').PropType<typeof CdsButton>;
        default: null;
    };
    removeIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    downloadIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    uploadIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие при изменении значения (v-model)
     * @type { fileList: NUploader.IUploadChangeParam<NUploader.IUploadFile>['fileList'] }
     */
    'update:modelValue': (fileList: NUploader.IUploadChangeParam<NUploader.IUploadFile>["fileList"]) => true;
    /**
     * Событие изменения поля ввода
     * @type { info: NUploader.IUploadChangeParam<NUploader.IUploadFile> }
     */
    change: (info: NUploader.IUploadChangeParam<NUploader.IUploadFile>) => true;
    /**
     * Событие процесса загрузки файла
     * @type { event: NUploader.IUploadChangeParam['event'], file: NUploader.IUploadFile }
     */
    progress: (event: NUploader.IUploadChangeParam["event"], file: NUploader.IUploadFile) => true;
    /**
     * Событие успешной загрузки файла
     * @type { response: Record<string, unknown>, file: NUploader.IUploadFile }
     */
    success: (response: Record<string, unknown>, file: NUploader.IUploadFile) => true;
    /**
     * Событие ошибки загрузки файла
     * @type { error: NUploader.IUploadRequestError | ProgressEvent, response: any, file: NUploader.IUploadFile }
     */
    error: (error: NUploader.IUploadRequestError | ProgressEvent, response: any, file: NUploader.IUploadFile) => true;
    /**
     * Событие при удалении файла
     * @type { file: NUploader.IUploadFile }
     */
    remove: (file: NUploader.IUploadFile) => void | boolean | Promise<void | boolean>;
    /**
     * Событие при drag-n-drop файла
     * @type { event: DragEvent }
     */
    drop: (event: DragEvent) => true;
    /**
     * Событие при отклонении загрузки файла
     * @type { fileList: NUploader.IUploadFile[] }
     */
    reject: (fileList: NUploader.IUploadFile[]) => true;
    /**
     * Событие при скачивании файла
     * @type { file: NUploader.IUploadFile }
     */
    download: (file: NUploader.IUploadFile) => true;
    /**
     * Событие при просмотре превью файла
     * @type { file: NUploader.IUploadFile }
     */
    preview: (file: NUploader.IUploadFile) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    tag: Omit<{
        type: import('vue').PropType<string>;
        default: string;
        description: string;
    }, "default" | "type"> & {
        type: import('vue').PropType<string>;
        default: string;
    };
    theme: {
        type: import('vue').PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    prependIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    locale: {
        type: import('vue').PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    readonly: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    error: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: import('vue').PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: import('vue').PropType<string | number>;
        default: number;
    };
    name: {
        type: import('vue').PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: import('vue').PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: import('vue').PropType<any>;
        default: null;
    };
    validateOn: {
        type: import('vue').PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: import('vue').PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    label: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    description: {
        type: import('vue').PropType<string>;
        default: undefined;
    };
    value: {
        type: import('vue').PropType<any>;
        default: null;
    };
    messages: {
        type: import('vue').PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    capture: {
        type: import('vue').PropType<boolean | "user" | "environment">;
        default: undefined;
    };
    multiple: Omit<{
        type: import('vue').PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    action: Omit<{
        type: import('vue').PropType<NUploader.TAction>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<NUploader.TAction>>;
        default: NonNullable<NUploader.TAction>;
    };
    method: {
        type: import('vue').PropType<NUploader.TUploadRequestMethod>;
        default: undefined;
    };
    directory: {
        type: import('vue').PropType<boolean>;
        default: undefined;
    };
    defaultFileList: {
        type: import('vue').PropType<NUploader.IUploadFile[]>;
        default: undefined;
    };
    showUploadList: Omit<{
        type: import('vue').PropType<boolean | NUploader.TShowUploadList>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<boolean | NUploader.TShowUploadList>>;
        default: NonNullable<boolean | NUploader.TShowUploadList>;
    };
    itemRender: {
        type: import('vue').PropType<NUploader.TItemRender>;
        default: undefined;
    };
    listType: Omit<{
        type: import('vue').PropType<NUploader.TUploadListType>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<NUploader.TUploadListType>>;
        default: NonNullable<NUploader.TUploadListType>;
    };
    data: Omit<{
        type: import('vue').PropType<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)> | {}>;
        default: NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)> | {};
    };
    headers: {
        type: import('vue').PropType<NUploader.TUploadRequestHeaders>;
        default: undefined;
    };
    accept: Omit<{
        type: import('vue').PropType<string | string[]>;
        default: undefined;
    }, "default" | "type"> & {
        type: import('vue').PropType<NonNullable<string | string[]>>;
        default: NonNullable<string | string[]>;
    };
    customRequest: {
        type: import('vue').PropType<(options: NUploader.IUploadRequestOption) => void>;
        default: undefined;
    };
    withCredentials: {
        type: import('vue').PropType<boolean>;
        default: undefined;
    };
    openFileDialogOnClick: {
        type: import('vue').PropType<boolean>;
        default: undefined;
    };
    beforeUpload: {
        type: import('vue').PropType<(file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>>;
        default: undefined;
    };
    maxCount: {
        type: import('vue').PropType<number>;
        default: undefined;
    };
    isImageUrl: {
        type: import('vue').PropType<(file: NUploader.IUploadFile) => boolean>;
        default: undefined;
    };
    showTooltipWithError: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    buttonProps: {
        type: import('vue').PropType<typeof CdsButton>;
        default: null;
    };
    removeIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    downloadIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    uploadIcon: {
        type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
}>> & Readonly<{
    onDownload?: ((file: NUploader.IUploadFile<any>) => any) | undefined;
    onError?: ((error: ProgressEvent<EventTarget> | NUploader.IUploadRequestError, response: any, file: NUploader.IUploadFile<any>) => any) | undefined;
    onRemove?: ((file: NUploader.IUploadFile<any>) => any) | undefined;
    onSuccess?: ((response: Record<string, unknown>, file: NUploader.IUploadFile<any>) => any) | undefined;
    onProgress?: ((event: {
        percent: number;
    } | undefined, file: NUploader.IUploadFile<any>) => any) | undefined;
    onChange?: ((info: NUploader.IUploadChangeParam<NUploader.IUploadFile<any>>) => any) | undefined;
    onDrop?: ((event: DragEvent) => any) | undefined;
    "onUpdate:modelValue"?: ((fileList: NUploader.IUploadFile<any>[]) => any) | undefined;
    onReject?: ((fileList: NUploader.IUploadFile<any>[]) => any) | undefined;
    onPreview?: ((file: NUploader.IUploadFile<any>) => any) | undefined;
}>, {
    tag: string;
    name: string | undefined;
    directory: boolean;
    error: boolean;
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    disabled: boolean;
    readonly: boolean;
    description: string;
    value: any;
    multiple: boolean;
    id: string;
    label: string;
    messages: string | string[];
    persistentMessages: boolean;
    errorMessages: string | string[];
    maxErrors: string | number;
    rules: import('../../composable').TValidationRule[];
    modelValue: any;
    validateOn: "input" | "blur" | "submit";
    validationValue: any;
    hideMessages: boolean;
    data: NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)> | {};
    theme: string;
    locale: import('../../locale').ILocale | "ru" | "en";
    action: NonNullable<NUploader.TAction>;
    headers: NUploader.TUploadRequestHeaders;
    capture: boolean | "user" | "environment";
    method: NUploader.TUploadRequestMethod;
    defaultFileList: NUploader.IUploadFile<any>[];
    showUploadList: NonNullable<boolean | NUploader.TShowUploadList>;
    itemRender: NUploader.TItemRender<any>;
    listType: NonNullable<NUploader.TUploadListType>;
    accept: NonNullable<string | string[]>;
    customRequest: (options: NUploader.IUploadRequestOption) => void;
    withCredentials: boolean;
    openFileDialogOnClick: boolean;
    beforeUpload: (file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>;
    maxCount: number;
    isImageUrl: (file: NUploader.IUploadFile) => boolean;
    showTooltipWithError: boolean;
    buttonProps: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        symbol: {
            type: null;
            default: import('vue').InjectionKey<import('../../composable').IGroupProvide>;
        };
        value: {
            type: null;
            default: undefined;
        };
        selectedClass: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        invertColor: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        loading: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        href: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        to: {
            type: import('vue').PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        appearance: {
            type: import('vue').PropType<import('../../composable').TAppearance>;
            default: string;
            available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
            validator: (value: import('../../composable').TAppearance) => boolean;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
        active: {
            type: BooleanConstructor;
            default: undefined;
        };
        icon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName | boolean>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName | boolean) => boolean;
        };
    }>, {
        href: import('vue').ComputedRef<string | undefined>;
        to: import('vue').ComputedRef<import('vue-router').RouteLocationRaw | undefined>;
        tag: string | import('vue').ComputedRef<string>;
        type: string | undefined;
        valueAttr: import('vue').ComputedRef<any>;
        internalIcon: import('vue').ComputedRef<"link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
        hasDefaultSlot: import('vue').ComputedRef<boolean>;
        isDisabled: import('vue').ComputedRef<boolean>;
        classes: import('vue').ComputedRef<any>;
        onClick: (event: MouseEvent) => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'group:selected': (value: {
            value: boolean;
        }) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        symbol: {
            type: null;
            default: import('vue').InjectionKey<import('../../composable').IGroupProvide>;
        };
        value: {
            type: null;
            default: undefined;
        };
        selectedClass: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        invertColor: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        loading: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        href: {
            type: import('vue').PropType<string>;
            default: undefined;
        };
        to: {
            type: import('vue').PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: import('vue').PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        size: {
            type: import('vue').PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        theme: {
            type: import('vue').PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        appearance: {
            type: import('vue').PropType<import('../../composable').TAppearance>;
            default: string;
            available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
            validator: (value: import('../../composable').TAppearance) => boolean;
        };
        text: {
            type: import('vue').PropType<string | number>;
            default: undefined;
        };
        active: {
            type: BooleanConstructor;
            default: undefined;
        };
        icon: {
            type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName | boolean>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName | boolean) => boolean;
        };
    }>> & Readonly<{
        "onGroup:selected"?: ((value: {
            value: boolean;
        }) => any) | undefined;
    }>, {
        symbol: any;
        text: string | number;
        to: import('vue-router').RouteLocationRaw;
        href: string;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        icon: boolean | "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        loading: boolean;
        active: boolean;
        disabled: boolean;
        readonly: boolean;
        appearance: "primary" | "secondary" | "tertiary" | "inverse" | "transparent";
        invertColor: boolean;
        value: any;
        theme: string;
        selectedClass: string;
    }, {}, {
        CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: import('vue').PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: import('vue').PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: import('vue').PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: import('vue').PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: import('vue').PropType<string>;
                default: string;
                description: string;
            };
        }>, {
            attrs: {
                [x: string]: unknown;
            };
            loaderClasses: import('vue').ComputedRef<{
                'cds-loader__overlay': boolean;
                'cds-loader__fixed': boolean;
            }>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: import('vue').PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: import('vue').PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: import('vue').PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: import('vue').PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: import('vue').PropType<string>;
                default: string;
                description: string;
            };
        }>> & Readonly<{}>, {
            fixed: boolean;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            description: string;
            overlay: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: import('vue').PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: import('vue').PropType<boolean>;
                default: boolean;
            };
            size: {
                type: import('vue').PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: import('vue').PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: import('vue').PropType<boolean>;
                default: boolean;
            };
            size: {
                type: import('vue').PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: import('vue').PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    removeIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    downloadIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    uploadIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
