import { NUploader } from '../interface';
import { PropType } from 'vue';
export declare const componentName = "CdsAjaxUploader";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    tag: Omit<{
        type: PropType<string>;
        default: string;
        description: string;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    capture: {
        type: PropType<boolean | "user" | "environment">;
        default: undefined;
    };
    multiple: Omit<{
        type: PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    action: {
        type: PropType<NUploader.TAction>;
        default: undefined;
    };
    method: {
        type: PropType<NUploader.TUploadRequestMethod>;
        default: undefined;
    };
    directory: {
        type: PropType<boolean>;
        default: undefined;
    };
    defaultFileList: {
        type: PropType<NUploader.IUploadFile[]>;
        default: undefined;
    };
    showUploadList: {
        type: PropType<boolean | NUploader.TShowUploadList>;
        default: undefined;
    };
    itemRender: {
        type: PropType<NUploader.TItemRender>;
        default: undefined;
    };
    listType: {
        type: PropType<NUploader.TUploadListType>;
        default: undefined;
    };
    data: Omit<{
        type: PropType<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<{} | NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>>;
        default: {} | NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
    };
    headers: Omit<{
        type: PropType<NUploader.TUploadRequestHeaders>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<NUploader.TUploadRequestHeaders | {}>;
        default: NUploader.TUploadRequestHeaders | {};
    };
    accept: {
        type: PropType<string | string[]>;
        default: undefined;
    };
    customRequest: Omit<{
        type: PropType<(options: NUploader.IUploadRequestOption) => void>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<((options: NUploader.IUploadRequestOption) => void) | null>;
        default: ((options: NUploader.IUploadRequestOption) => void) | null;
    };
    withCredentials: Omit<{
        type: PropType<boolean>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    openFileDialogOnClick: Omit<{
        type: PropType<boolean>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    beforeUpload: Omit<{
        type: PropType<(file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<((file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>) | null>;
        default: ((file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>) | null;
    };
    maxCount: {
        type: PropType<number>;
        default: undefined;
    };
    isImageUrl: {
        type: PropType<(file: NUploader.IUploadFile) => boolean>;
        default: undefined;
    };
    showTooltipWithError: {
        type: PropType<boolean>;
        default: boolean;
    };
    buttonProps: {
        type: PropType<typeof import('../..').CdsButton>;
        default: null;
    };
    removeIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    downloadIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    uploadIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
}>, {
    fileInput: import('vue').Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
    abort: (file?: any) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    mouseenter: (event: MouseEvent) => true;
    mouseleave: (event: MouseEvent) => true;
    click: (event: MouseEvent | KeyboardEvent) => true;
    batchStart: (fileList: {
        file: NUploader.IRcFile | null;
        parsedFile: Exclude<NUploader.TBeforeUploadFileType, boolean> | null;
    }[]) => true;
    reject: (fileList: NUploader.IRcFile[]) => true;
    start: (file: NUploader.IRcFile) => true;
    error: (error: NUploader.IUploadRequestError | ProgressEvent, response: Record<string, unknown>, file: NUploader.IRcFile | null) => true;
    success: (response: Record<string, unknown>, file: NUploader.IRcFile | null, xhr?: XMLHttpRequest) => true;
    progress: (event: NUploader.IUploadProgressEvent, file: NUploader.IRcFile | null) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    tag: Omit<{
        type: PropType<string>;
        default: string;
        description: string;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    name: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    capture: {
        type: PropType<boolean | "user" | "environment">;
        default: undefined;
    };
    multiple: Omit<{
        type: PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    action: {
        type: PropType<NUploader.TAction>;
        default: undefined;
    };
    method: {
        type: PropType<NUploader.TUploadRequestMethod>;
        default: undefined;
    };
    directory: {
        type: PropType<boolean>;
        default: undefined;
    };
    defaultFileList: {
        type: PropType<NUploader.IUploadFile[]>;
        default: undefined;
    };
    showUploadList: {
        type: PropType<boolean | NUploader.TShowUploadList>;
        default: undefined;
    };
    itemRender: {
        type: PropType<NUploader.TItemRender>;
        default: undefined;
    };
    listType: {
        type: PropType<NUploader.TUploadListType>;
        default: undefined;
    };
    data: Omit<{
        type: PropType<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<{} | NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>>;
        default: {} | NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
    };
    headers: Omit<{
        type: PropType<NUploader.TUploadRequestHeaders>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<NUploader.TUploadRequestHeaders | {}>;
        default: NUploader.TUploadRequestHeaders | {};
    };
    accept: {
        type: PropType<string | string[]>;
        default: undefined;
    };
    customRequest: Omit<{
        type: PropType<(options: NUploader.IUploadRequestOption) => void>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<((options: NUploader.IUploadRequestOption) => void) | null>;
        default: ((options: NUploader.IUploadRequestOption) => void) | null;
    };
    withCredentials: Omit<{
        type: PropType<boolean>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    openFileDialogOnClick: Omit<{
        type: PropType<boolean>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    beforeUpload: Omit<{
        type: PropType<(file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<((file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>) | null>;
        default: ((file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>) | null;
    };
    maxCount: {
        type: PropType<number>;
        default: undefined;
    };
    isImageUrl: {
        type: PropType<(file: NUploader.IUploadFile) => boolean>;
        default: undefined;
    };
    showTooltipWithError: {
        type: PropType<boolean>;
        default: boolean;
    };
    buttonProps: {
        type: PropType<typeof import('../..').CdsButton>;
        default: null;
    };
    removeIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    downloadIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    uploadIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
}>> & Readonly<{
    onStart?: ((file: NUploader.IRcFile) => any) | undefined;
    onClick?: ((event: MouseEvent | KeyboardEvent) => any) | undefined;
    onError?: ((error: ProgressEvent<EventTarget> | NUploader.IUploadRequestError, response: Record<string, unknown>, file: NUploader.IRcFile | null) => any) | undefined;
    onSuccess?: ((response: Record<string, unknown>, file: NUploader.IRcFile | null, xhr?: XMLHttpRequest | undefined) => any) | undefined;
    onProgress?: ((event: NUploader.IUploadProgressEvent, file: NUploader.IRcFile | null) => any) | undefined;
    onMouseenter?: ((event: MouseEvent) => any) | undefined;
    onMouseleave?: ((event: MouseEvent) => any) | undefined;
    onBatchStart?: ((fileList: {
        file: NUploader.IRcFile | null;
        parsedFile: Exclude<NUploader.TBeforeUploadFileType, boolean> | null;
    }[]) => any) | undefined;
    onReject?: ((fileList: NUploader.IRcFile[]) => any) | undefined;
}>, {
    tag: string;
    name: string;
    directory: boolean;
    disabled: boolean;
    readonly: boolean;
    multiple: boolean;
    id: string;
    data: {} | NonNullable<Record<string, unknown> | ((file: NUploader.IRcFile | string | Blob) => Record<string, unknown>)>;
    action: NUploader.TAction;
    headers: NUploader.TUploadRequestHeaders | {};
    capture: boolean | "user" | "environment";
    method: NUploader.TUploadRequestMethod;
    defaultFileList: NUploader.IUploadFile<any>[];
    showUploadList: boolean | NUploader.TShowUploadList;
    itemRender: NUploader.TItemRender<any>;
    listType: NUploader.TUploadListType;
    accept: string | string[];
    customRequest: ((options: NUploader.IUploadRequestOption) => void) | null;
    withCredentials: boolean;
    openFileDialogOnClick: boolean;
    beforeUpload: ((file: NUploader.IUploadFile, fileList: NUploader.IUploadFile[]) => NUploader.TBeforeUploadFileType | Promise<void | NUploader.TBeforeUploadFileType>) | null;
    maxCount: number;
    isImageUrl: (file: NUploader.IUploadFile) => boolean;
    showTooltipWithError: boolean;
    buttonProps: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        symbol: {
            type: null;
            default: import('vue').InjectionKey<import('../../../composable').IGroupProvide>;
        };
        value: {
            type: null;
            default: undefined;
        };
        selectedClass: {
            type: PropType<string>;
            default: undefined;
        };
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        size: {
            type: PropType<import('../../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../../composable').TSize) => boolean;
        };
        theme: {
            type: PropType<import('../../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        appearance: {
            type: PropType<import('../../../composable').TAppearance>;
            default: string;
            available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
            validator: (value: import('../../../composable').TAppearance) => boolean;
        };
        text: {
            type: PropType<string | number>;
            default: undefined;
        };
        active: {
            type: BooleanConstructor;
            default: undefined;
        };
        icon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName | boolean>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName | boolean) => boolean;
        };
    }>, {
        href: import('vue').ComputedRef<string | undefined>;
        to: import('vue').ComputedRef<import('vue-router').RouteLocationRaw | undefined>;
        tag: string | import('vue').ComputedRef<string>;
        type: string | undefined;
        valueAttr: import('vue').ComputedRef<any>;
        internalIcon: import('vue').ComputedRef<"link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
        hasDefaultSlot: import('vue').ComputedRef<boolean>;
        isDisabled: import('vue').ComputedRef<boolean>;
        classes: import('vue').ComputedRef<any>;
        onClick: (event: MouseEvent) => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'group:selected': (value: {
            value: boolean;
        }) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        symbol: {
            type: null;
            default: import('vue').InjectionKey<import('../../../composable').IGroupProvide>;
        };
        value: {
            type: null;
            default: undefined;
        };
        selectedClass: {
            type: PropType<string>;
            default: undefined;
        };
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        size: {
            type: PropType<import('../../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../../composable').TSize) => boolean;
        };
        theme: {
            type: PropType<import('../../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        appearance: {
            type: PropType<import('../../../composable').TAppearance>;
            default: string;
            available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
            validator: (value: import('../../../composable').TAppearance) => boolean;
        };
        text: {
            type: PropType<string | number>;
            default: undefined;
        };
        active: {
            type: BooleanConstructor;
            default: undefined;
        };
        icon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName | boolean>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName | boolean) => boolean;
        };
    }>> & Readonly<{
        "onGroup:selected"?: ((value: {
            value: boolean;
        }) => any) | undefined;
    }>, {
        symbol: any;
        text: string | number;
        to: import('vue-router').RouteLocationRaw;
        href: string;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        icon: boolean | "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        loading: boolean;
        active: boolean;
        disabled: boolean;
        readonly: boolean;
        appearance: "primary" | "secondary" | "tertiary" | "inverse" | "transparent";
        invertColor: boolean;
        value: any;
        theme: string;
        selectedClass: string;
    }, {}, {
        CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>, {
            attrs: {
                [x: string]: unknown;
            };
            loaderClasses: import('vue').ComputedRef<{
                'cds-loader__overlay': boolean;
                'cds-loader__fixed': boolean;
            }>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>> & Readonly<{}>, {
            fixed: boolean;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            description: string;
            overlay: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    removeIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    downloadIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    uploadIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
