import { MaybeRef } from '../utils';
import { ComputedRef, PropType } from 'vue';
export type TAppearance = typeof allowedAppearance[number];
export interface IAppearanceProps {
    appearance: TAppearance;
}
export interface IUseAppearance {
    appearanceClasses: ComputedRef<string>;
}
export declare const allowedAppearance: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
export declare const makeAppearanceProps: <Defaults extends {
    appearance?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Внешний вид
     */
    appearance: {
        type: PropType<TAppearance>;
        default: string;
        available: readonly ["primary", "secondary", "tertiary", "inverse", "transparent"];
        validator: (value: TAppearance) => boolean;
    };
}, Defaults>;
export declare function useAppearance(props: MaybeRef<IAppearanceProps>, name: string): IUseAppearance;
