import { ComputedRef, PropType } from 'vue';
export type TColor = typeof allowedColor[number];
export type TPrimitiveColors = {
    [key in TColor]: {
        background: string;
        color: string;
        hover: string;
    };
};
export type IColorProps = {
    color: TColor;
};
export interface IUseColor {
    colorInline: ComputedRef<{
        background: string;
        color: string;
        hover: string;
    }>;
}
export declare const allowedColor: readonly ["default", "chocolate", "lemon", "lime", "cyan", "teal", "indigo", "purple", "pink"];
export declare const makeColorProps: <Defaults extends {
    color?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Цвет
     */
    color: {
        type: PropType<TColor>;
        available: readonly ["default", "chocolate", "lemon", "lime", "cyan", "teal", "indigo", "purple", "pink"];
        default: string;
        validator: (value: TColor) => boolean;
    };
}, Defaults>;
export declare function useColor(props: IColorProps, name: string): IUseColor;
