import { PropType } from 'vue';
export interface IDelayProps {
    closeDelay: number | string;
    openDelay: number | string;
}
export interface IUseDelay {
    clearDelay: () => void;
    runCloseDelay: () => Promise<unknown>;
    runOpenDelay: () => Promise<unknown>;
}
export declare const makeDelayProps: <Defaults extends {
    closeDelay?: unknown;
    openDelay?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Задержка в миллисекундах перед закрытием оверлея. Только для события hover и focus.
     */
    closeDelay: {
        type: PropType<number | string>;
        default: null;
    };
    /**
     * Задержка в миллисекундах перед открытием оверлея. Только для события hover и focus.
     */
    openDelay: {
        type: PropType<number | string>;
        default: null;
    };
}, Defaults>;
export declare function useDelay(props: IDelayProps, cb?: (value: boolean) => void): IUseDelay;
