import { PropType, ComputedRef } from 'vue';
export interface IDimensionsProps {
    height: number | string;
    maxHeight: number | string;
    maxWidth: number | string;
    minHeight: number | string;
    minWidth: number | string;
    width: number | string;
}
export interface IUseDimensions {
    dimensionsStyles: ComputedRef<Record<string, any>>;
}
export declare const makeDimensionProps: <Defaults extends {
    height?: unknown;
    width?: unknown;
    maxHeight?: unknown;
    maxWidth?: unknown;
    minHeight?: unknown;
    minWidth?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Высота
     */
    height: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Ширина
     */
    width: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Максимальная высота
     */
    maxHeight: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Максимальная ширина
     */
    maxWidth: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Минимальная высота
     */
    minHeight: {
        type: PropType<number | string>;
        default: string;
    };
    /**
     * Минимальная ширина
     */
    minWidth: {
        type: PropType<number | string>;
        default: string;
    };
}, Defaults>;
export declare function useDimensions(props: IDimensionsProps): IUseDimensions;
