import { MaybeRef } from '../utils';
import { ComputedRef, PropType } from 'vue';
export type TDirection = typeof allowedDirection[number];
export interface IDirectionProps {
    direction: TDirection;
}
export interface IUseDirection {
    directionClasses: ComputedRef<string>;
}
export declare const allowedDirection: readonly ["horizontal", "vertical"];
export declare const makeDirectionProps: <Defaults extends {
    direction?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Расположение горизонтальное или вертикальное
     */
    direction: {
        type: PropType<TDirection>;
        default: string;
        available: readonly ["horizontal", "vertical"];
        validator: (value: TDirection) => boolean;
    };
}, Defaults>;
export declare function useDirection(props: MaybeRef<IDirectionProps>, name: string): IUseDirection;
