import { ComputedRef, PropType, Ref } from 'vue';
export interface IFocusProps {
    focused: boolean;
}
export interface IUseFocus {
    isFocused: Ref<boolean>;
    focusClasses: ComputedRef<Record<string, boolean>>;
    focus: () => void;
    blur: () => void;
}
export declare const makeFocusProps: <Defaults extends {
    focused?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Элемент в фокусе
     */
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
export declare function useFocus(props: IFocusProps, name: string): IUseFocus;
