import { Ref, ComputedRef, PropType } from 'vue';
export interface ILazyProps {
    eager: boolean;
}
export interface IUseLazy {
    isBooted: Ref<boolean>;
    hasContent: ComputedRef<boolean>;
    onAfterLeave: () => void;
}
export declare const makeLazyProps: <Defaults extends {
    eager?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Принудительно рендерит контент компонента в DOM, даже если компонент скрыт. Полезно для SEO оптимизации.
     */
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
export declare function useLazy(props: ILazyProps, active: Ref<boolean>): IUseLazy;
