import { ComputedRef, PropType } from 'vue';
import { RouteLocationRaw, useLink as TUseLink } from 'vue-router';
export interface ILinkProps {
    href: string | undefined;
    to: RouteLocationRaw | undefined;
    disabled?: boolean;
}
export interface IUseLink extends Omit<Partial<ReturnType<typeof TUseLink>>, 'href' | 'isActive'> {
    isActive: ComputedRef<boolean> | undefined;
    isLink: ComputedRef<boolean>;
    href: ComputedRef<string | undefined>;
    to: ComputedRef<RouteLocationRaw | undefined>;
    tag: ComputedRef<string>;
    handleClick: (event: MouseEvent) => void;
}
export declare const makeLinkProps: <Defaults extends {
    href?: unknown;
    to?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Обычная ссылка
     */
    href: {
        type: PropType<string>;
        default: undefined;
    };
    /**
     * Ссылка или объект Vue Router
     */
    to: {
        type: PropType<RouteLocationRaw>;
        default: undefined;
    };
}, Defaults>;
export declare function useLink(props: ILinkProps, emit: Function): IUseLink;
