import { ComputedRef, PropType } from 'vue';
export interface ILoadingProps {
    loading: boolean;
}
export interface IUseLoading {
    loadingClasses: ComputedRef<string | undefined>;
    hasLoading: ComputedRef<boolean>;
}
export declare const makeLoadingProps: <Defaults extends {
    loading?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Состояние загрузки
     */
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
export declare function useLoading(props: ILoadingProps): IUseLoading;
