import { IDisabledProps } from './disabled';
import { Ref, PropType, WritableComputedRef } from 'vue';
export interface IMenuProps extends IDisabledProps {
    menu: boolean | undefined;
}
export interface IUseMenu<MenuRef> {
    internalMenu: WritableComputedRef<boolean | undefined>;
    menuRef: Ref<MenuRef | undefined>;
}
export declare const DEFAULT_MENU_HEIGHT = 176;
export declare const DEFAULT_MENU_OFFSET = 4;
export declare const makeMenuProps: <Defaults extends {
    menu?: unknown;
    menuProps?: unknown;
    menuHeight?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Состояние выпадающего меню (открыто/закрыто)
     */
    menu: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    /**
     * Свойства для компонент CdsMenu
     */
    menuProps: {
        type: PropType<any>;
        default: null;
    };
    /**
     * Максимальная высота выпадающего меню (10rem по умолчанию)
     */
    menuHeight: {
        type: PropType<string | number>;
        default: number;
    };
}, Defaults>;
export declare function useMenu<MenuRef>(props: IMenuProps): IUseMenu<MenuRef>;
