export type TOpenStrategyFn = (data: {
    id: unknown;
    value: boolean;
    opened: Set<unknown>;
    children: Map<unknown, unknown[]>;
    parents: Map<unknown, unknown>;
    event?: Event;
}) => Set<unknown>;
export type TOpenSelectStrategyFn = (data: {
    id: unknown;
    value: boolean;
    opened: Set<unknown>;
    selected: Map<unknown, 'on' | 'off' | 'indeterminate'>;
    children: Map<unknown, unknown[]>;
    parents: Map<unknown, unknown>;
    event?: Event;
}) => Set<unknown> | null;
export type TOpenStrategy = {
    open: TOpenStrategyFn;
    select: TOpenSelectStrategyFn;
};
export type TOpenStrategyProp = 'single' | 'multiple' | 'list' | TOpenStrategy;
export declare const singleOpenStrategy: TOpenStrategy;
export declare const multipleOpenStrategy: TOpenStrategy;
export declare const listOpenStrategy: TOpenStrategy;
