import { ComputedRef, PropType } from 'vue';
export interface IReadonlyProps {
    readonly: boolean;
}
export interface IUseReadonly {
    readonlyClasses: ComputedRef<string | undefined>;
}
export declare const makeReadonlyProps: <Defaults extends {
    readonly?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Только для чтения
     */
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
export declare function useReadonly(props: IReadonlyProps): IUseReadonly;
