import { MaybeRef } from '../utils';
import { ComputedRef, PropType } from 'vue';
export type TSize = typeof allowedSize[number];
export interface ISizeProps {
    size: TSize;
}
export interface IUseSize {
    sizeClasses: ComputedRef<string>;
}
export declare const allowedSize: readonly ["xs", "sm", "md", "lg", "xl"];
export declare const makeSizeProps: <Defaults extends {
    size?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Размер
     */
    size: {
        type: PropType<TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: TSize) => boolean;
    };
}, Defaults>;
export declare function useSize(props: MaybeRef<ISizeProps>, name: string): IUseSize;
