import { Ref, UnwrapRef } from 'vue';
/**
 * Хук для работы с состоянием как в react.js на основе ref vue 3
 * Может быть удобен в некоторых случаях
 * @param defaultStateValue
 */
export declare function useState<T, R = Ref<T>>(defaultStateValue?: T | (() => T)): [R, (val: T) => void];
export declare function useMergedState<T, R = Ref<T>>(defaultStateValue: T | (() => T), option?: {
    defaultValue?: T | (() => T);
    value?: Ref<T> | Ref<UnwrapRef<T>>;
    onChange?: (val: T, prevValue: T) => void;
    postState?: (val: T) => T;
}): [R, (val: T) => void];
