import { MaybeRef } from '../utils';
import { ComputedRef, PropType } from 'vue';
export type TStatus = typeof allowedStatus[number];
export interface IStatusProps {
    status: TStatus;
}
export interface IUseStatus {
    statusClasses: ComputedRef<string>;
}
export declare const allowedStatus: readonly ["info", "success", "warning", "error", "progress"];
export declare const makeStatusProps: <Defaults extends {
    status?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Статус состояния
     */
    status: {
        type: PropType<TStatus>;
        default: string;
        available: readonly ["info", "success", "warning", "error", "progress"];
        description: string;
        validator: (value: TStatus) => boolean;
    };
}, Defaults>;
export declare function useStatus(props: MaybeRef<IStatusProps>, name: string): IUseStatus;
