import { ComputedRef, PropType } from 'vue';
export interface ITransparentProps {
    transparent: boolean;
}
export interface IUseTransparentProps {
    transparentClasses: ComputedRef<string | undefined>;
}
export declare const makeTransparentProps: <Defaults extends {
    transparent?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    /**
     * Позволяет использовать компонент на прозрачном фоне
     */
    transparent: {
        type: PropType<boolean>;
        default: boolean;
    };
}, Defaults>;
export declare function useTransparent(props: ITransparentProps, name: string): IUseTransparentProps;
