import { MaybeRef } from '../utils';
import { ComputedRef, PropType } from 'vue';
export type TVariant = typeof allowedVariant[number];
export interface IVariantProps {
    variant: TVariant;
}
export interface IUseVariant {
    variantClasses: ComputedRef<string>;
}
export declare const allowedVariant: readonly ["default", "compact", "important"];
export declare const makeVariantProps: <Defaults extends {
    variant?: unknown;
} = {}>(defaults?: Defaults | undefined) => import('../utils').AppendDefault<{
    variant: {
        type: PropType<TVariant>;
        default: string;
        validator: (value: TVariant) => boolean;
    };
}, Defaults>;
export declare function useVariant(props: MaybeRef<IVariantProps>, name: string): IUseVariant;
export declare function genOverlays(isClickable: boolean, name: string): import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
    [key: string]: any;
}>;
