import { ILocale, TAvailableLocale } from './locale';
import { IDisplayOptions, IThemeOptions } from './composable';
import { ITeleportOptions } from './components/CdsOverlay/composable';
import { App, Component, Directive } from 'vue';
export interface ICdsOptions {
    components?: Record<string, Component>;
    directives?: Record<string, Directive>;
    icons?: Record<string, Component>;
    illustrations?: Record<string, Component>;
    display?: IDisplayOptions;
    theme?: IThemeOptions;
    cssGrid?: boolean;
    ssr?: boolean;
    locale?: TAvailableLocale | ILocale;
    teleport?: Partial<ITeleportOptions>;
}
interface NuxtApp {
    $nuxt?: {
        hook: (name: string, fn: () => void) => void;
    };
}
export declare function createCds(options?: ICdsOptions): {
    install: (app: App & NuxtApp) => void;
    display: import('./composable').IDisplayInstance;
    theme: import('./composable').ThemeInstance & {
        install: (app: App) => void;
    };
};
export {};
