declare const _default: {
    dark: boolean;
    colors: {
        'surface-secondary': "#33373F";
        'surface-primary': "#272A30";
        'surface-overlay': "#272A30CC";
        'surface-inverse': "#DCDDE3";
        'surface-elevated': "#33373F";
        'status-warning-surface': "#C9A449";
        'status-warning-line': "#BE9737";
        'status-warning-fill-hover': "#8A6502";
        'status-warning-fill': "#614301";
        'status-warning-content': "#EADBBA";
        'status-success-surface': "#6EBA66";
        'status-success-line': "#5DAF55";
        'status-success-fill-hover': "#1F7C22";
        'status-success-fill': "#0D5512";
        'status-success-content': "#CAE4C4";
        'status-progress-surface': "#4DB1FF";
        'status-progress-line': "#0EA4F8";
        'status-progress-fill-hover': "#0172AC";
        'status-progress-fill': "#014F77";
        'status-progress-content': "#C7E0FF";
        'status-info-surface': "#A5A9B2";
        'status-info-line': "#989DA8";
        'status-info-fill-hover': "#666C79";
        'status-info-fill': "#454951";
        'status-info-content': "#DCDDE3";
        'status-indication-surface': "#FF9E92";
        'status-indication-line': "#FF9E92";
        'status-indication-fill-hover': "#B8423D";
        'status-indication-fill': "#822825";
        'status-indication-content': "#FFD2CC";
        'status-danger-surface': "#FF9E92";
        'status-danger-line': "#FF9E92";
        'status-danger-fill-hover': "#B8423D";
        'status-danger-fill': "#822825";
        'status-danger-content': "#FFD2CC";
        'page-primary': "#1A1A1A";
        'other-teal-surface': "#0ABACE";
        'other-teal-line': "#01ACBF";
        'other-teal-fill-hover': "#007886";
        'other-teal-fill': "#04525B";
        'other-teal-content': "#D4F2F7";
        'other-purple-surface': "#B79AF5";
        'other-purple-line': "#AE8BEE";
        'other-purple-fill-hover': "#8457B8";
        'other-purple-fill': "#5E3882";
        'other-purple-content': "#F3E9FE";
        'other-pink-surface': "#E889D1";
        'other-pink-line': "#E078C7";
        'other-pink-fill-hover': "#AC4296";
        'other-pink-fill': "#7A2869";
        'other-pink-content': "#FDE6F6";
        'other-lime-surface': "#9BB24D";
        'other-lime-line': "#8DA63B";
        'other-lime-fill-hover': "#5B7400";
        'other-lime-fill': "#3D4F00";
        'other-lime-content': "#EBEED8";
        'other-lemon-surface': "#ABAE48";
        'other-lemon-line': "#9DA235";
        'other-lemon-fill-hover': "#6A7100";
        'other-lemon-fill': "#484C01";
        'other-lemon-content': "#EEEED9";
        'other-indigo-surface': "#96A4FF";
        'other-indigo-line': "#8B95F9";
        'other-indigo-fill-hover': "#6362C5";
        'other-indigo-fill': "#40428D";
        'other-indigo-content': "#EBEBFF";
        'other-cyan-surface': "#0ABEA3";
        'other-cyan-line': "#0AB098";
        'other-cyan-fill-hover': "#067A69";
        'other-cyan-fill': "#005348";
        'other-cyan-content': "#D5F3EB";
        'other-chocolate-surface': "#D49E6D";
        'other-chocolate-line': "#CA915C";
        'other-chocolate-fill-hover': "#985E1F";
        'other-chocolate-fill': "#6E3B01";
        'other-chocolate-content': "#FAEADB";
        'line-tertiary-hover': "#7A808E";
        'line-tertiary': "#565D67";
        'line-selected-hover': "#92BAFE";
        'line-selected': "#5D9DFC";
        'line-secondary-hover': "#989DA8";
        'line-secondary': "#7A808E";
        'line-primary-hover': "#B5B7C0";
        'line-primary': "#989DA8";
        'line-focus-outline': "#1159B5";
        'line-focus': "#5D9DFC";
        'line-elevated': "#828A9766";
        'line-disable': "#666C79";
        'fill-selected-hover': "#92BAFE";
        'fill-selected': "#5D9DFC";
        'fill-secondary-hover': "#565D67";
        'fill-secondary-active': "#666C79";
        'fill-secondary': "#454951";
        'fill-primary-hover': "#454951";
        'fill-primary-active': "#565D67";
        'fill-primary': "#272A30";
        'fill-elevated': "#7A808E";
        'fill-disable': "#454951";
        'content-tertiary': "#B5B7C0";
        'content-secondary': "#CFD2D7";
        'content-primary': "#ECECEF";
        'content-placeholder': "#A5A9B2";
        'content-on-dark': "#F9F9FC";
        'content-link-visited': "#C0AEF8";
        'content-link': "#92BAFE";
        'content-inverse': "#1A1A1A";
        'content-disable': "#989DA8";
        'brand-secondary-hover': "#014F77";
        'brand-secondary-border': "#016193";
        'brand-secondary-active': "#016193";
        'brand-secondary': "#002D47";
        'brand-primary-hover': "#016193";
        'brand-primary-content': "#C7E0FF";
        'brand-primary-border': "#0287CA";
        'brand-primary-active': "#014F77";
        'brand-primary': "#0287CA";
    };
    variables: {
        'spacing-900': string;
        'spacing-800': string;
        'spacing-700': string;
        'spacing-600': string;
        'spacing-500': string;
        'spacing-50': string;
        'spacing-400': string;
        'spacing-300': string;
        'spacing-200': string;
        'spacing-1100': string;
        'spacing-1000': string;
        'spacing-100': string;
        'shadow-y-minus-400': string;
        'shadow-y-minus-300': string;
        'shadow-y-minus-200': string;
        'shadow-y-minus-100': string;
        'shadow-y-400': string;
        'shadow-y-300': string;
        'shadow-y-200': string;
        'shadow-y-100': string;
        'shadow-x-minus-400': string;
        'shadow-x-minus-300': string;
        'shadow-x-minus-200': string;
        'shadow-x-minus-100': string;
        'shadow-x-400': string;
        'shadow-x-300': string;
        'shadow-x-200': string;
        'shadow-x-100': string;
        'shadow-blur-400': string;
        'shadow-blur-300': string;
        'shadow-blur-200': string;
        'shadow-blur-100': string;
        'font-weight-regular': number;
        'font-weight-bold': number;
        'font-size-900': string;
        'font-size-800': string;
        'font-size-700': string;
        'font-size-600': string;
        'font-size-500': string;
        'font-size-50': string;
        'font-size-400': string;
        'font-size-300': string;
        'font-size-200': string;
        'font-size-1100': string;
        'font-size-1000': string;
        'font-size-100': string;
        'font-line-height-900': string;
        'font-line-height-800': string;
        'font-line-height-700': string;
        'font-line-height-600': string;
        'font-line-height-500': string;
        'font-line-height-50': string;
        'font-line-height-400': string;
        'font-line-height-300': string;
        'font-line-height-200': string;
        'font-line-height-1100': string;
        'font-line-height-1000': string;
        'font-line-height-100': string;
        'font-letter-spacing-500': string;
        'font-family': string;
        'border-radius-300': string;
        'border-radius-200': string;
        'border-radius-100': string;
        'border-200': string;
        'border-100': string;
        'base-unit': string;
    };
};
export default _default;
