declare const _default: {
    dark: boolean;
    colors: {
        'surface-secondary': "#FFFFFF";
        'surface-primary': "#FFFFFF";
        'surface-overlay': "#272A3080";
        'surface-inverse': "#404653";
        'surface-elevated': "#FFFFFF";
        'status-warning-surface': "#A6840A";
        'status-warning-line': "#B69210";
        'status-warning-fill-hover': "#DEC048";
        'status-warning-fill': "#F2DB82";
        'status-warning-content': "#584001";
        'status-success-surface': "#3C9C2C";
        'status-success-line': "#50A946";
        'status-success-fill-hover': "#97D283";
        'status-success-fill': "#BCE8AB";
        'status-success-content': "#005005";
        'status-progress-surface': "#198FD8";
        'status-progress-line': "#2B9DE9";
        'status-progress-fill-hover': "#90C8FF";
        'status-progress-fill': "#C3DFFF";
        'status-progress-content': "#004871";
        'status-info-surface': "#828A97";
        'status-info-line': "#9298A4";
        'status-info-fill-hover': "#C0C3CB";
        'status-info-fill': "#DADDE2";
        'status-info-content': "#404653";
        'status-indication-surface': "#D1453F";
        'status-indication-line': "#D1453F";
        'status-indication-fill-hover': "#FFAE9E";
        'status-indication-fill': "#FFD1C6";
        'status-indication-content': "#831118";
        'status-danger-surface': "#D1453F";
        'status-danger-line': "#D1453F";
        'status-danger-fill-hover': "#FFAE9E";
        'status-danger-fill': "#FFD1C6";
        'status-danger-content': "#831118";
        'page-primary': "#ECEEF2";
        'other-teal-surface': "#3A969E";
        'other-teal-line': "#3CA5AD";
        'other-teal-fill-hover': "#48D6DB";
        'other-teal-fill': "#A1E9E9";
        'other-teal-content': "#022B2F";
        'other-purple-surface': "#A96FDE";
        'other-purple-line': "#B381E1";
        'other-purple-fill-hover': "#D6B8EF";
        'other-purple-fill': "#E8D5F6";
        'other-purple-content': "#2F0F50";
        'other-pink-surface': "#D25CB8";
        'other-pink-line': "#DB70C4";
        'other-pink-fill-hover': "#F3ACE7";
        'other-pink-fill': "#F8D1F2";
        'other-pink-content': "#420D35";
        'other-lime-surface': "#78922C";
        'other-lime-line': "#85A12D";
        'other-lime-fill-hover': "#B6CC65";
        'other-lime-fill': "#D4E490";
        'other-lime-content': "#202901";
        'other-lemon-surface': "#8E8C23";
        'other-lemon-line': "#9D9B25";
        'other-lemon-fill-hover': "#CBC65F";
        'other-lemon-fill': "#E6DF83";
        'other-lemon-content': "#282601";
        'other-indigo-surface': "#807EEC";
        'other-indigo-line': "#918DEC";
        'other-indigo-fill-hover': "#C3BDF9";
        'other-indigo-fill': "#DDD9FC";
        'other-indigo-content': "#1F1F55";
        'other-cyan-surface': "#439786";
        'other-cyan-line': "#48A692";
        'other-cyan-fill-hover': "#58D8BE";
        'other-cyan-fill': "#9FEBD8";
        'other-cyan-content': "#052B24";
        'other-chocolate-surface': "#AC7F58";
        'other-chocolate-line': "#B78F6D";
        'other-chocolate-fill-hover': "#D8BEA9";
        'other-chocolate-fill': "#E7D9CC";
        'other-chocolate-content': "#361D01";
        'line-tertiary-hover': "#AFB3BD";
        'line-tertiary': "#CCCFD6";
        'line-selected-hover': "#2978D4";
        'line-selected': "#4D98F9";
        'line-secondary-hover': "#9298A4";
        'line-secondary': "#AFB3BD";
        'line-primary-hover': "#727987";
        'line-primary': "#9298A4";
        'line-focus-outline': "#A4C5FE";
        'line-focus': "#4D98F9";
        'line-elevated': "#FFFFFF00";
        'line-disable': "#C0C3CB";
        'fill-selected-hover': "#2978D4";
        'fill-selected': "#4D98F9";
        'fill-secondary-hover': "#CCCFD6";
        'fill-secondary-active': "#C0C3CB";
        'fill-secondary': "#DADDE2";
        'fill-primary-hover': "#DADDE2";
        'fill-primary-active': "#CCCFD6";
        'fill-primary': "#FFFFFF";
        'fill-elevated': "#FFFFFF";
        'fill-disable': "#DADDE2";
        'content-tertiary': "#727987";
        'content-secondary': "#4F5666";
        'content-primary': "#212631";
        'content-placeholder': "#828A97";
        'content-on-dark': "#FFFFFF";
        'content-link-visited': "#BD49A2";
        'content-link': "#2978D4";
        'content-inverse': "#FFFFFF";
        'content-disable': "#9298A4";
        'brand-secondary-hover': "#A9D3FF";
        'brand-secondary-border': "#C3DFFF";
        'brand-secondary-active': "#90C8FF";
        'brand-secondary': "#C3DFFF";
        'brand-primary-hover': "#198FD8";
        'brand-primary-content': "#004871";
        'brand-primary-border': "#1D7DBC";
        'brand-primary-active': "#2B9DE9";
        'brand-primary': "#1D7DBC";
    };
    variables: {
        'spacing-900': string;
        'spacing-800': string;
        'spacing-700': string;
        'spacing-600': string;
        'spacing-500': string;
        'spacing-50': string;
        'spacing-400': string;
        'spacing-300': string;
        'spacing-200': string;
        'spacing-1100': string;
        'spacing-1000': string;
        'spacing-100': string;
        'shadow-y-minus-400': string;
        'shadow-y-minus-300': string;
        'shadow-y-minus-200': string;
        'shadow-y-minus-100': string;
        'shadow-y-400': string;
        'shadow-y-300': string;
        'shadow-y-200': string;
        'shadow-y-100': string;
        'shadow-x-minus-400': string;
        'shadow-x-minus-300': string;
        'shadow-x-minus-200': string;
        'shadow-x-minus-100': string;
        'shadow-x-400': string;
        'shadow-x-300': string;
        'shadow-x-200': string;
        'shadow-x-100': string;
        'shadow-blur-400': string;
        'shadow-blur-300': string;
        'shadow-blur-200': string;
        'shadow-blur-100': string;
        'font-weight-regular': number;
        'font-weight-bold': number;
        'font-size-900': string;
        'font-size-800': string;
        'font-size-700': string;
        'font-size-600': string;
        'font-size-500': string;
        'font-size-50': string;
        'font-size-400': string;
        'font-size-300': string;
        'font-size-200': string;
        'font-size-1100': string;
        'font-size-1000': string;
        'font-size-100': string;
        'font-line-height-900': string;
        'font-line-height-800': string;
        'font-line-height-700': string;
        'font-line-height-600': string;
        'font-line-height-500': string;
        'font-line-height-50': string;
        'font-line-height-400': string;
        'font-line-height-300': string;
        'font-line-height-200': string;
        'font-line-height-1100': string;
        'font-line-height-1000': string;
        'font-line-height-100': string;
        'font-letter-spacing-500': string;
        'font-family': string;
        'border-radius-300': string;
        'border-radius-200': string;
        'border-radius-100': string;
        'border-200': string;
        'border-100': string;
        'base-unit': string;
    };
};
export default _default;
