import { noop } from '../../utils';
import { CdsList } from '../CdsList';
import { CdsHighlight } from './composable/highlight';
import { IInternalItem } from '../../composable';
import { PropType } from 'vue';
export declare const componentName = "CdsCombobox";
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    transition: {
        type: PropType<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
        default: string;
        validator: (value: unknown) => boolean;
    };
    items: {
        type: PropType<any[]>;
        default: () => never[];
    };
    itemTitle: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemValue: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemChildren: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemProps: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    returnObject: Omit<{
        type: PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    menu: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    menuProps: {
        type: PropType<any>;
        default: null;
    };
    menuHeight: {
        type: PropType<string | number>;
        default: number;
    };
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prepend': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:append': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: PropType<string | number>;
        default: number;
    };
    name: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: PropType<any>;
        default: null;
    };
    validateOn: {
        type: PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
    label: {
        type: PropType<string>;
        default: undefined;
    };
    description: {
        type: PropType<string>;
        default: undefined;
    };
    value: {
        type: PropType<any>;
        default: null;
    };
    messages: {
        type: PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    active: {
        type: PropType<boolean>;
        default: boolean;
    };
    autofocus: {
        type: PropType<boolean>;
        default: boolean;
    };
    prefix: {
        type: PropType<string>;
        default: undefined;
    };
    suffix: {
        type: PropType<string>;
        default: undefined;
    };
    prependInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    type: {
        type: PropType<import('../../composable').TFieldTypes>;
        default: string;
        validator: (value: import('../../composable').TFieldTypes) => boolean;
    };
    role: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    placeholder: {
        type: PropType<string>;
        default: undefined;
    };
    counter: {
        type: PropType<boolean>;
        default: boolean;
    };
    limit: {
        type: PropType<number>;
        default: undefined;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    clearLabel: {
        type: PropType<string>;
        default: string;
    };
    persistentClearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prependInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:appendInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    customFilter: {
        type: PropType<(value: string, query: string, item?: any) => import('../../composable').TFilterMath>;
        default: null;
    };
    customKeyFilter: {
        type: PropType<{
            [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
        }>;
        default: null;
    };
    filterKeys: Omit<{
        type: PropType<string | string[]>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<string | string[]>>;
        default: NonNullable<string | string[]>;
    };
    filterMode: {
        type: PropType<"every" | "some" | "union" | "intersection">;
        default: string;
    };
    noFilter: {
        type: PropType<boolean>;
        default: boolean;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    openOnClear: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideSelected: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideNoData: Omit<{
        type: PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    isSelectAll: {
        type: PropType<boolean>;
        default: boolean;
    };
    ellipsis: {
        type: PropType<boolean>;
        default: boolean;
    };
    listProps: {
        type: PropType<import('../../utils').ComponentProps<typeof CdsList>>;
        default: undefined;
    };
    menuIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    /**
     * Разделители для ввода нескольких значений, при вводе будет создавать новый элемент.
     */
    delimiters: {
        type: PropType<string[]>;
        default: () => never[];
    };
    /**
     * При поиске будет сразу выбирать первый найденный вариант
     */
    autoSelectFirst: {
        type: PropType<boolean | "exact">;
        default: undefined;
    };
}>, {
    model: import('vue').Ref<readonly IInternalItem<any>[], readonly IInternalItem<any>[]> & {
        readonly externalValue: any;
    };
    search: import('vue').WritableComputedRef<string, string>;
    internalMenu: import('vue').WritableComputedRef<boolean | undefined, boolean | undefined>;
    menuDisabled: import('vue').ComputedRef<boolean | undefined>;
    displayItems: import('vue').ComputedRef<IInternalItem<any>[]>;
    selected: import('vue').ComputedRef<any[]>;
    selectedAll: import('vue').ComputedRef<boolean>;
    selectStrategy: import('vue').ComputedRef<"independent" | "single-independent">;
    selections: import('vue').ComputedRef<IInternalItem<any>[]>;
    selectionIndex: import('vue').Ref<number, number>;
    selectedIndeterminate: import('vue').ComputedRef<boolean>;
    isFocused: import('vue').Ref<boolean, boolean>;
    isDirty: import('vue').ComputedRef<boolean>;
    isPure: import('vue').ShallowRef<boolean, boolean>;
    inputRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>, {
        id: import('vue').ComputedRef<string>;
        model: import('vue').Ref<any, any> & {
            readonly externalValue: any;
        };
        fieldRef: import('vue').Ref<HTMLElement | undefined, HTMLElement | undefined>;
        inputRef: import('vue').Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        validationRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
        isFocused: import('vue').Ref<boolean, boolean>;
        rootAttrs: import('vue').Ref<{}, {}>;
        inputAttrs: import('vue').Ref<{}, {}>;
        inputProps: import('vue').Ref<{
            readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
            readonly error?: boolean | undefined;
            readonly loading?: boolean | undefined;
            readonly active?: boolean | undefined;
            readonly disabled?: boolean | undefined;
            readonly readonly?: boolean | undefined;
            readonly value?: any;
            readonly focused?: boolean | undefined;
            readonly messages?: string | string[] | undefined;
            readonly persistentMessages?: boolean | undefined;
            readonly errorMessages?: string | string[] | undefined;
            readonly maxErrors?: string | number | undefined;
            readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            readonly modelValue?: any;
            readonly validateOn?: "input" | "blur" | "submit" | undefined;
            readonly hideMessages?: boolean | undefined;
            readonly autofocus?: boolean | undefined;
            readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
            readonly counter?: boolean | undefined;
            readonly clearable?: boolean | undefined;
            readonly clearLabel?: string | undefined;
            readonly persistentClearable?: boolean | undefined;
            readonly name?: string | undefined;
            readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly description?: string | undefined;
            readonly id?: string | undefined;
            readonly label?: string | undefined;
            readonly validationValue?: any;
            readonly prefix?: string | undefined;
            readonly suffix?: string | undefined;
            readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly role?: string | undefined;
            readonly placeholder?: string | undefined;
            readonly limit?: number | undefined;
            readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly theme?: string | undefined;
            readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        }, Partial<import('@vue/shared').LooseRequired<Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            'onClick:prepend': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            'onClick:append': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            active: {
                type: PropType<boolean>;
                default: boolean;
            };
            autofocus: {
                type: PropType<boolean>;
                default: boolean;
            };
            prefix: {
                type: PropType<string>;
                default: undefined;
            };
            suffix: {
                type: PropType<string>;
                default: undefined;
            };
            prependInnerIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendInnerIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            type: {
                type: PropType<import('../../composable').TFieldTypes>;
                default: string;
                validator: (value: import('../../composable').TFieldTypes) => boolean;
            };
            role: {
                type: PropType<string>;
                default: undefined;
            };
            placeholder: {
                type: PropType<string>;
                default: undefined;
            };
            counter: {
                type: PropType<boolean>;
                default: boolean;
            };
            limit: {
                type: PropType<number>;
                default: undefined;
            };
            clearable: {
                type: PropType<boolean>;
                default: boolean;
            };
            clearLabel: {
                type: PropType<string>;
                default: string;
            };
            persistentClearable: {
                type: PropType<boolean>;
                default: boolean;
            };
            'onClick:prependInner': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            'onClick:appendInner': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
            "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((event: MouseEvent) => any) | undefined;
            "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
            "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
        }> & {}>> | {
            readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
            readonly error?: boolean | undefined;
            readonly loading?: boolean | undefined;
            readonly active?: boolean | undefined;
            readonly disabled?: boolean | undefined;
            readonly readonly?: boolean | undefined;
            readonly value?: any;
            readonly focused?: boolean | undefined;
            readonly messages?: string | string[] | undefined;
            readonly persistentMessages?: boolean | undefined;
            readonly errorMessages?: string | string[] | undefined;
            readonly maxErrors?: string | number | undefined;
            readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            readonly modelValue?: any;
            readonly validateOn?: "input" | "blur" | "submit" | undefined;
            readonly hideMessages?: boolean | undefined;
            readonly autofocus?: boolean | undefined;
            readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
            readonly counter?: boolean | undefined;
            readonly clearable?: boolean | undefined;
            readonly clearLabel?: string | undefined;
            readonly persistentClearable?: boolean | undefined;
            readonly name?: string | undefined;
            readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly description?: string | undefined;
            readonly id?: string | undefined;
            readonly label?: string | undefined;
            readonly validationValue?: any;
            readonly prefix?: string | undefined;
            readonly suffix?: string | undefined;
            readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly role?: string | undefined;
            readonly placeholder?: string | undefined;
            readonly limit?: number | undefined;
            readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly theme?: string | undefined;
            readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        }>;
        hasLabel: import('vue').ComputedRef<boolean>;
        hasDescription: import('vue').ComputedRef<boolean>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
        hasPrependInnerIcon: import('vue').ComputedRef<boolean>;
        hasAppendInnerIcon: import('vue').ComputedRef<boolean>;
        hasLoading: import('vue').ComputedRef<boolean>;
        hasClear: import('vue').ComputedRef<boolean>;
        counterValue: import('vue').ComputedRef<any>;
        iconClasses: import('vue').ComputedRef<Record<string, boolean>>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        fieldClasses: import('vue').ComputedRef<Record<string, boolean>>;
        loadingClasses: import('vue').ComputedRef<string | undefined>;
        classesStates: Readonly<{
            hover: "cds-state-hover";
            focus: "cds-state-focus";
            active: "cds-state-active";
            visited: "cds-state-visited";
            disabled: "cds-state-disabled";
            checked: "cds-state-checked";
            indeterminate: "cds-state-indeterminate";
            invalid: "cds-state-invalid";
            empty: "cds-state-empty";
            loading: "cds-state-loading";
            readonly: "cds-state-readonly";
            dragging: "cds-state-dragging";
        }>;
        onBlur: () => void;
        onFocus: () => void;
        onInput: (event: Event) => void;
        onClear: (event: MouseEvent) => void;
        onControlClick: (event: MouseEvent) => void;
        onControlMousedown: (event: MouseEvent) => void;
        handleClickPrependInner: (event: MouseEvent) => void;
        handleClickAppendInner: (event: MouseEvent) => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:focused': (value: boolean) => true;
        'update:modelValue': (value: string) => true;
        'click:clear': (event: MouseEvent) => true;
        'click:prepend': (event: MouseEvent) => true;
        'click:append': (event: MouseEvent) => true;
        'click:prependInner': (event: MouseEvent) => true;
        'click:appendInner': (event: MouseEvent) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
        "onClick:append"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
        "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        'onClick:prepend': (...args: any[]) => any;
        'onClick:append': (...args: any[]) => any;
        loading: boolean;
        active: boolean;
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        autofocus: boolean;
        prefix: string;
        suffix: string;
        prependInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        type: "number" | "text" | "password" | "email" | "tel" | "url";
        role: string;
        placeholder: string;
        counter: boolean;
        limit: number;
        clearable: boolean;
        clearLabel: string;
        persistentClearable: boolean;
        'onClick:prependInner': (...args: any[]) => any;
        'onClick:appendInner': (...args: any[]) => any;
        theme: string;
    }, {}, {
        CdsInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputLabel: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {
            disabledClasses: import('vue').ComputedRef<string | undefined>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
            disabled: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputCounter: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            max: {
                type: PropType<number | string>;
                default: number;
            };
            current: {
                type: PropType<number | string>;
                default: number;
            };
        }>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
            [key: string]: any;
        }>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            max: {
                type: PropType<number | string>;
                default: number;
            };
            current: {
                type: PropType<number | string>;
                default: number;
            };
        }>> & Readonly<{}>, {
            max: string | number;
            current: string | number;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>, {
            attrs: {
                [x: string]: unknown;
            };
            loaderClasses: import('vue').ComputedRef<{
                'cds-loader__overlay': boolean;
                'cds-loader__fixed': boolean;
            }>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>> & Readonly<{}>, {
            fixed: boolean;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            description: string;
            overlay: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsFunctionalButton: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            href: {
                type: PropType<string>;
                default: undefined;
            };
            to: {
                type: PropType<import('vue-router').RouteLocationRaw>;
                default: undefined;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            href: {
                type: PropType<string>;
                default: undefined;
            };
            to: {
                type: PropType<import('vue-router').RouteLocationRaw>;
                default: undefined;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            to: import('vue-router').RouteLocationRaw;
            href: string;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            loading: boolean;
            disabled: boolean;
            readonly: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsTransition: import('vue').FunctionalComponent<import('../../composable').ITransitionProps, {}, any, {}>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>, {
        id: import('vue').ComputedRef<string>;
        model: import('vue').Ref<any, any> & {
            readonly externalValue: any;
        };
        fieldRef: import('vue').Ref<HTMLElement | undefined, HTMLElement | undefined>;
        inputRef: import('vue').Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        validationRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
        isFocused: import('vue').Ref<boolean, boolean>;
        rootAttrs: import('vue').Ref<{}, {}>;
        inputAttrs: import('vue').Ref<{}, {}>;
        inputProps: import('vue').Ref<{
            readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
            readonly error?: boolean | undefined;
            readonly loading?: boolean | undefined;
            readonly active?: boolean | undefined;
            readonly disabled?: boolean | undefined;
            readonly readonly?: boolean | undefined;
            readonly value?: any;
            readonly focused?: boolean | undefined;
            readonly messages?: string | string[] | undefined;
            readonly persistentMessages?: boolean | undefined;
            readonly errorMessages?: string | string[] | undefined;
            readonly maxErrors?: string | number | undefined;
            readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            readonly modelValue?: any;
            readonly validateOn?: "input" | "blur" | "submit" | undefined;
            readonly hideMessages?: boolean | undefined;
            readonly autofocus?: boolean | undefined;
            readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
            readonly counter?: boolean | undefined;
            readonly clearable?: boolean | undefined;
            readonly clearLabel?: string | undefined;
            readonly persistentClearable?: boolean | undefined;
            readonly name?: string | undefined;
            readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly description?: string | undefined;
            readonly id?: string | undefined;
            readonly label?: string | undefined;
            readonly validationValue?: any;
            readonly prefix?: string | undefined;
            readonly suffix?: string | undefined;
            readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly role?: string | undefined;
            readonly placeholder?: string | undefined;
            readonly limit?: number | undefined;
            readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly theme?: string | undefined;
            readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        }, Partial<import('@vue/shared').LooseRequired<Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            'onClick:prepend': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            'onClick:append': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            active: {
                type: PropType<boolean>;
                default: boolean;
            };
            autofocus: {
                type: PropType<boolean>;
                default: boolean;
            };
            prefix: {
                type: PropType<string>;
                default: undefined;
            };
            suffix: {
                type: PropType<string>;
                default: undefined;
            };
            prependInnerIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendInnerIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            type: {
                type: PropType<import('../../composable').TFieldTypes>;
                default: string;
                validator: (value: import('../../composable').TFieldTypes) => boolean;
            };
            role: {
                type: PropType<string>;
                default: undefined;
            };
            placeholder: {
                type: PropType<string>;
                default: undefined;
            };
            counter: {
                type: PropType<boolean>;
                default: boolean;
            };
            limit: {
                type: PropType<number>;
                default: undefined;
            };
            clearable: {
                type: PropType<boolean>;
                default: boolean;
            };
            clearLabel: {
                type: PropType<string>;
                default: string;
            };
            persistentClearable: {
                type: PropType<boolean>;
                default: boolean;
            };
            'onClick:prependInner': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            'onClick:appendInner': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
            "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((event: MouseEvent) => any) | undefined;
            "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
            "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
        }> & {}>> | {
            readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
            readonly error?: boolean | undefined;
            readonly loading?: boolean | undefined;
            readonly active?: boolean | undefined;
            readonly disabled?: boolean | undefined;
            readonly readonly?: boolean | undefined;
            readonly value?: any;
            readonly focused?: boolean | undefined;
            readonly messages?: string | string[] | undefined;
            readonly persistentMessages?: boolean | undefined;
            readonly errorMessages?: string | string[] | undefined;
            readonly maxErrors?: string | number | undefined;
            readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            readonly modelValue?: any;
            readonly validateOn?: "input" | "blur" | "submit" | undefined;
            readonly hideMessages?: boolean | undefined;
            readonly autofocus?: boolean | undefined;
            readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
            readonly counter?: boolean | undefined;
            readonly clearable?: boolean | undefined;
            readonly clearLabel?: string | undefined;
            readonly persistentClearable?: boolean | undefined;
            readonly name?: string | undefined;
            readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly description?: string | undefined;
            readonly id?: string | undefined;
            readonly label?: string | undefined;
            readonly validationValue?: any;
            readonly prefix?: string | undefined;
            readonly suffix?: string | undefined;
            readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly role?: string | undefined;
            readonly placeholder?: string | undefined;
            readonly limit?: number | undefined;
            readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly theme?: string | undefined;
            readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        }>;
        hasLabel: import('vue').ComputedRef<boolean>;
        hasDescription: import('vue').ComputedRef<boolean>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
        hasPrependInnerIcon: import('vue').ComputedRef<boolean>;
        hasAppendInnerIcon: import('vue').ComputedRef<boolean>;
        hasLoading: import('vue').ComputedRef<boolean>;
        hasClear: import('vue').ComputedRef<boolean>;
        counterValue: import('vue').ComputedRef<any>;
        iconClasses: import('vue').ComputedRef<Record<string, boolean>>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        fieldClasses: import('vue').ComputedRef<Record<string, boolean>>;
        loadingClasses: import('vue').ComputedRef<string | undefined>;
        classesStates: Readonly<{
            hover: "cds-state-hover";
            focus: "cds-state-focus";
            active: "cds-state-active";
            visited: "cds-state-visited";
            disabled: "cds-state-disabled";
            checked: "cds-state-checked";
            indeterminate: "cds-state-indeterminate";
            invalid: "cds-state-invalid";
            empty: "cds-state-empty";
            loading: "cds-state-loading";
            readonly: "cds-state-readonly";
            dragging: "cds-state-dragging";
        }>;
        onBlur: () => void;
        onFocus: () => void;
        onInput: (event: Event) => void;
        onClear: (event: MouseEvent) => void;
        onControlClick: (event: MouseEvent) => void;
        onControlMousedown: (event: MouseEvent) => void;
        handleClickPrependInner: (event: MouseEvent) => void;
        handleClickAppendInner: (event: MouseEvent) => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:focused': (value: boolean) => true;
        'update:modelValue': (value: string) => true;
        'click:clear': (event: MouseEvent) => true;
        'click:prepend': (event: MouseEvent) => true;
        'click:append': (event: MouseEvent) => true;
        'click:prependInner': (event: MouseEvent) => true;
        'click:appendInner': (event: MouseEvent) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
        "onClick:append"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
        "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        'onClick:prepend': (...args: any[]) => any;
        'onClick:append': (...args: any[]) => any;
        loading: boolean;
        active: boolean;
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        autofocus: boolean;
        prefix: string;
        suffix: string;
        prependInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        type: "number" | "text" | "password" | "email" | "tel" | "url";
        role: string;
        placeholder: string;
        counter: boolean;
        limit: number;
        clearable: boolean;
        clearLabel: string;
        persistentClearable: boolean;
        'onClick:prependInner': (...args: any[]) => any;
        'onClick:appendInner': (...args: any[]) => any;
        theme: string;
    }, {}, {
        CdsInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputLabel: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {
            disabledClasses: import('vue').ComputedRef<string | undefined>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
            disabled: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputCounter: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            max: {
                type: PropType<number | string>;
                default: number;
            };
            current: {
                type: PropType<number | string>;
                default: number;
            };
        }>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
            [key: string]: any;
        }>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            max: {
                type: PropType<number | string>;
                default: number;
            };
            current: {
                type: PropType<number | string>;
                default: number;
            };
        }>> & Readonly<{}>, {
            max: string | number;
            current: string | number;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>, {
            attrs: {
                [x: string]: unknown;
            };
            loaderClasses: import('vue').ComputedRef<{
                'cds-loader__overlay': boolean;
                'cds-loader__fixed': boolean;
            }>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>> & Readonly<{}>, {
            fixed: boolean;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            description: string;
            overlay: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsFunctionalButton: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            href: {
                type: PropType<string>;
                default: undefined;
            };
            to: {
                type: PropType<import('vue-router').RouteLocationRaw>;
                default: undefined;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            href: {
                type: PropType<string>;
                default: undefined;
            };
            to: {
                type: PropType<import('vue-router').RouteLocationRaw>;
                default: undefined;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            to: import('vue-router').RouteLocationRaw;
            href: string;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            loading: boolean;
            disabled: boolean;
            readonly: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsTransition: import('vue').FunctionalComponent<import('../../composable').ITransitionProps, {}, any, {}>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
    menuRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        height: {
            type: PropType<number | string>;
            default: string;
        };
        width: {
            type: PropType<number | string>;
            default: string;
        };
        maxHeight: {
            type: PropType<number | string>;
            default: string;
        };
        maxWidth: {
            type: PropType<number | string>;
            default: string;
        };
        minHeight: {
            type: PropType<number | string>;
            default: string;
        };
        minWidth: {
            type: PropType<number | string>;
            default: string;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrollStrategy: Omit<{
            type: PropType<("close" | "none" | "block" | "reposition") | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>>;
            default: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
        };
        locationStrategy: Omit<{
            type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>>;
            default: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
        };
        location: {
            type: PropType<import('../../utils').TAnchor>;
            default: string;
        };
        origin: {
            type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
            default: string;
        };
        offset: Omit<{
            type: PropType<number | string | number[]>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number | number[]>>;
            default: NonNullable<string | number | number[]>;
        };
        closeDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        openDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        activator: {
            type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
            default: null;
        };
        activatorProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        target: {
            type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
            default: undefined;
        };
        openOnClick: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        openOnHover: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnFocus: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        closeOnContentClick: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        attach: {
            type: PropType<boolean | string | Element>;
            default: boolean;
        };
        contained: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        persistent: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrim: Omit<{
            type: PropType<boolean | string>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | boolean>>;
            default: NonNullable<string | boolean>;
        };
        modelValue: {
            type: PropType<boolean>;
            default: boolean;
        };
        closeOnBack: {
            type: PropType<boolean>;
            default: boolean;
        };
        zIndex: {
            type: PropType<number | string>;
            default: number;
        };
        contentClasses: {
            type: PropType<string | string[] | Record<string, boolean>>;
            default: null;
        };
        contentProps: {
            type: PropType<Record<string, unknown>>;
            default: () => {};
        };
        noClickAnimation: {
            type: PropType<boolean>;
            default: boolean;
        };
        opacity: {
            type: PropType<string | number>;
            default: undefined;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: boolean) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        height: {
            type: PropType<number | string>;
            default: string;
        };
        width: {
            type: PropType<number | string>;
            default: string;
        };
        maxHeight: {
            type: PropType<number | string>;
            default: string;
        };
        maxWidth: {
            type: PropType<number | string>;
            default: string;
        };
        minHeight: {
            type: PropType<number | string>;
            default: string;
        };
        minWidth: {
            type: PropType<number | string>;
            default: string;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrollStrategy: Omit<{
            type: PropType<("close" | "none" | "block" | "reposition") | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>>;
            default: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
        };
        locationStrategy: Omit<{
            type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>>;
            default: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
        };
        location: {
            type: PropType<import('../../utils').TAnchor>;
            default: string;
        };
        origin: {
            type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
            default: string;
        };
        offset: Omit<{
            type: PropType<number | string | number[]>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number | number[]>>;
            default: NonNullable<string | number | number[]>;
        };
        closeDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        openDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        activator: {
            type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
            default: null;
        };
        activatorProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        target: {
            type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
            default: undefined;
        };
        openOnClick: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        openOnHover: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnFocus: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        closeOnContentClick: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        attach: {
            type: PropType<boolean | string | Element>;
            default: boolean;
        };
        contained: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        persistent: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrim: Omit<{
            type: PropType<boolean | string>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | boolean>>;
            default: NonNullable<string | boolean>;
        };
        modelValue: {
            type: PropType<boolean>;
            default: boolean;
        };
        closeOnBack: {
            type: PropType<boolean>;
            default: boolean;
        };
        zIndex: {
            type: PropType<number | string>;
            default: number;
        };
        contentClasses: {
            type: PropType<string | string[] | Record<string, boolean>>;
            default: null;
        };
        contentProps: {
            type: PropType<Record<string, unknown>>;
            default: () => {};
        };
        noClickAnimation: {
            type: PropType<boolean>;
            default: boolean;
        };
        opacity: {
            type: PropType<string | number>;
            default: undefined;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    }>, {
        location: import('../../utils').TAnchor;
        disabled: boolean;
        id: string;
        modelValue: boolean;
        transition: string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        });
        attach: string | boolean | Element;
        contained: boolean;
        persistent: boolean;
        scrim: NonNullable<string | boolean>;
        closeOnBack: boolean;
        zIndex: string | number;
        contentClasses: string | string[] | Record<string, boolean>;
        contentProps: Record<string, unknown>;
        noClickAnimation: boolean;
        opacity: string | number;
        eager: boolean;
        closeDelay: NonNullable<string | number>;
        openDelay: NonNullable<string | number>;
        height: string | number;
        width: string | number;
        maxHeight: string | number;
        maxWidth: string | number;
        minHeight: string | number;
        minWidth: string | number;
        activatorProps: Record<string, any>;
        activator: string | Element | import('vue').ComponentPublicInstance;
        theme: string;
        origin: import('../../utils').TAnchor | "auto" | "overlap";
        target: Element | "parent" | (string & {}) | import('vue').ComponentPublicInstance | "cursor" | [x: number, y: number] | undefined;
        offset: NonNullable<string | number | number[]>;
        openOnClick: boolean | undefined;
        openOnHover: boolean;
        openOnFocus: boolean | undefined;
        closeOnContentClick: boolean;
        locationStrategy: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
            updateLocation: (event: Event | HTMLElement[]) => void;
        })>;
        scrollStrategy: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        height: {
            type: PropType<number | string>;
            default: string;
        };
        width: {
            type: PropType<number | string>;
            default: string;
        };
        maxHeight: {
            type: PropType<number | string>;
            default: string;
        };
        maxWidth: {
            type: PropType<number | string>;
            default: string;
        };
        minHeight: {
            type: PropType<number | string>;
            default: string;
        };
        minWidth: {
            type: PropType<number | string>;
            default: string;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrollStrategy: Omit<{
            type: PropType<("close" | "none" | "block" | "reposition") | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>>;
            default: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
        };
        locationStrategy: Omit<{
            type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>>;
            default: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
        };
        location: {
            type: PropType<import('../../utils').TAnchor>;
            default: string;
        };
        origin: {
            type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
            default: string;
        };
        offset: Omit<{
            type: PropType<number | string | number[]>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number | number[]>>;
            default: NonNullable<string | number | number[]>;
        };
        closeDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        openDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        activator: {
            type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
            default: null;
        };
        activatorProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        target: {
            type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
            default: undefined;
        };
        openOnClick: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        openOnHover: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnFocus: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        closeOnContentClick: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        attach: {
            type: PropType<boolean | string | Element>;
            default: boolean;
        };
        contained: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        persistent: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrim: Omit<{
            type: PropType<boolean | string>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | boolean>>;
            default: NonNullable<string | boolean>;
        };
        modelValue: {
            type: PropType<boolean>;
            default: boolean;
        };
        closeOnBack: {
            type: PropType<boolean>;
            default: boolean;
        };
        zIndex: {
            type: PropType<number | string>;
            default: number;
        };
        contentClasses: {
            type: PropType<string | string[] | Record<string, boolean>>;
            default: null;
        };
        contentProps: {
            type: PropType<Record<string, unknown>>;
            default: () => {};
        };
        noClickAnimation: {
            type: PropType<boolean>;
            default: boolean;
        };
        opacity: {
            type: PropType<string | number>;
            default: undefined;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: boolean) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        height: {
            type: PropType<number | string>;
            default: string;
        };
        width: {
            type: PropType<number | string>;
            default: string;
        };
        maxHeight: {
            type: PropType<number | string>;
            default: string;
        };
        maxWidth: {
            type: PropType<number | string>;
            default: string;
        };
        minHeight: {
            type: PropType<number | string>;
            default: string;
        };
        minWidth: {
            type: PropType<number | string>;
            default: string;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrollStrategy: Omit<{
            type: PropType<("close" | "none" | "block" | "reposition") | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>>;
            default: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
        };
        locationStrategy: Omit<{
            type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>>;
            default: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
        };
        location: {
            type: PropType<import('../../utils').TAnchor>;
            default: string;
        };
        origin: {
            type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
            default: string;
        };
        offset: Omit<{
            type: PropType<number | string | number[]>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number | number[]>>;
            default: NonNullable<string | number | number[]>;
        };
        closeDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        openDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        activator: {
            type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
            default: null;
        };
        activatorProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        target: {
            type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
            default: undefined;
        };
        openOnClick: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        openOnHover: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnFocus: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        closeOnContentClick: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        attach: {
            type: PropType<boolean | string | Element>;
            default: boolean;
        };
        contained: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        persistent: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrim: Omit<{
            type: PropType<boolean | string>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | boolean>>;
            default: NonNullable<string | boolean>;
        };
        modelValue: {
            type: PropType<boolean>;
            default: boolean;
        };
        closeOnBack: {
            type: PropType<boolean>;
            default: boolean;
        };
        zIndex: {
            type: PropType<number | string>;
            default: number;
        };
        contentClasses: {
            type: PropType<string | string[] | Record<string, boolean>>;
            default: null;
        };
        contentProps: {
            type: PropType<Record<string, unknown>>;
            default: () => {};
        };
        noClickAnimation: {
            type: PropType<boolean>;
            default: boolean;
        };
        opacity: {
            type: PropType<string | number>;
            default: undefined;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    }>, {
        location: import('../../utils').TAnchor;
        disabled: boolean;
        id: string;
        modelValue: boolean;
        transition: string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        });
        attach: string | boolean | Element;
        contained: boolean;
        persistent: boolean;
        scrim: NonNullable<string | boolean>;
        closeOnBack: boolean;
        zIndex: string | number;
        contentClasses: string | string[] | Record<string, boolean>;
        contentProps: Record<string, unknown>;
        noClickAnimation: boolean;
        opacity: string | number;
        eager: boolean;
        closeDelay: NonNullable<string | number>;
        openDelay: NonNullable<string | number>;
        height: string | number;
        width: string | number;
        maxHeight: string | number;
        maxWidth: string | number;
        minHeight: string | number;
        minWidth: string | number;
        activatorProps: Record<string, any>;
        activator: string | Element | import('vue').ComponentPublicInstance;
        theme: string;
        origin: import('../../utils').TAnchor | "auto" | "overlap";
        target: Element | "parent" | (string & {}) | import('vue').ComponentPublicInstance | "cursor" | [x: number, y: number] | undefined;
        offset: NonNullable<string | number | number[]>;
        openOnClick: boolean | undefined;
        openOnHover: boolean;
        openOnFocus: boolean | undefined;
        closeOnContentClick: boolean;
        locationStrategy: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
            updateLocation: (event: Event | HTMLElement[]) => void;
        })>;
        scrollStrategy: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
    listRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        selectStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        };
        openStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        };
        opened: PropType<unknown[]>;
        selected: PropType<unknown[]>;
        required: BooleanConstructor;
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: {
            type: PropType<boolean>;
            default: boolean;
        };
        lines: {
            type: PropType<"one" | "two" | "three" | false>;
            default: string;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:selected': (value: unknown[]) => true;
        'update:opened': (value: unknown[]) => true;
        'click:open': (value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => true;
        'click:select': (value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        selectStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        };
        openStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        };
        opened: PropType<unknown[]>;
        selected: PropType<unknown[]>;
        required: BooleanConstructor;
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: {
            type: PropType<boolean>;
            default: boolean;
        };
        lines: {
            type: PropType<"one" | "two" | "three" | false>;
            default: string;
        };
    }>> & Readonly<{
        "onClick:open"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        "onClick:select"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
        "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
    }>, {
        tag: string;
        disabled: boolean;
        invertColor: boolean;
        items: any[];
        itemTitle: import('../../composable').TItemKey;
        itemValue: import('../../composable').TItemKey;
        itemChildren: import('../../composable').TItemKey;
        itemProps: import('../../composable').TItemKey;
        returnObject: boolean;
        required: boolean;
        selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        theme: string;
        lines: false | "one" | "two" | "three";
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        selectStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        };
        openStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        };
        opened: PropType<unknown[]>;
        selected: PropType<unknown[]>;
        required: BooleanConstructor;
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: {
            type: PropType<boolean>;
            default: boolean;
        };
        lines: {
            type: PropType<"one" | "two" | "three" | false>;
            default: string;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:selected': (value: unknown[]) => true;
        'update:opened': (value: unknown[]) => true;
        'click:open': (value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => true;
        'click:select': (value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        selectStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        };
        openStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        };
        opened: PropType<unknown[]>;
        selected: PropType<unknown[]>;
        required: BooleanConstructor;
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: {
            type: PropType<boolean>;
            default: boolean;
        };
        lines: {
            type: PropType<"one" | "two" | "three" | false>;
            default: string;
        };
    }>> & Readonly<{
        "onClick:open"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        "onClick:select"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
        "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
    }>, {
        tag: string;
        disabled: boolean;
        invertColor: boolean;
        items: any[];
        itemTitle: import('../../composable').TItemKey;
        itemValue: import('../../composable').TItemKey;
        itemChildren: import('../../composable').TItemKey;
        itemProps: import('../../composable').TItemKey;
        returnObject: boolean;
        required: boolean;
        selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        theme: string;
        lines: false | "one" | "two" | "three";
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
    inputProps: import('vue').Ref<{
        readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
        readonly error?: boolean | undefined;
        readonly loading?: boolean | undefined;
        readonly active?: boolean | undefined;
        readonly disabled?: boolean | undefined;
        readonly readonly?: boolean | undefined;
        readonly value?: any;
        readonly items?: any[] | undefined;
        readonly itemTitle?: import('../../composable').TItemKey | undefined;
        readonly itemValue?: import('../../composable').TItemKey | undefined;
        readonly itemChildren?: import('../../composable').TItemKey | undefined;
        readonly itemProps?: import('../../composable').TItemKey | undefined;
        readonly returnObject?: boolean | undefined;
        readonly focused?: boolean | undefined;
        readonly multiple?: boolean | undefined;
        readonly messages?: string | string[] | undefined;
        readonly persistentMessages?: boolean | undefined;
        readonly errorMessages?: string | string[] | undefined;
        readonly maxErrors?: string | number | undefined;
        readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
            then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
        })[] | undefined;
        readonly modelValue?: any;
        readonly validateOn?: "input" | "blur" | "submit" | undefined;
        readonly hideMessages?: boolean | undefined;
        readonly autofocus?: boolean | undefined;
        readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
        readonly role?: string | undefined;
        readonly counter?: boolean | undefined;
        readonly clearable?: boolean | undefined;
        readonly clearLabel?: string | undefined;
        readonly persistentClearable?: boolean | undefined;
        readonly transition?: string | boolean | {
            name?: string | undefined;
            type?: ("transition" | "animation") | undefined;
            css?: boolean | undefined;
            duration?: number | {
                enter: number;
                leave: number;
            } | undefined;
            enterFromClass?: string | undefined;
            enterActiveClass?: string | undefined;
            enterToClass?: string | undefined;
            appearFromClass?: string | undefined;
            appearActiveClass?: string | undefined;
            appearToClass?: string | undefined;
            leaveFromClass?: string | undefined;
            leaveActiveClass?: string | undefined;
            leaveToClass?: string | undefined;
            mode?: "in-out" | "out-in" | "default" | undefined;
            appear?: boolean | undefined;
            persisted?: boolean | undefined;
            onBeforeEnter?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onEnter?: (((el: Element, done: () => void) => void) | ((el: Element, done: () => void) => void)[]) | undefined;
            onAfterEnter?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onEnterCancelled?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onBeforeLeave?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onLeave?: (((el: Element, done: () => void) => void) | ((el: Element, done: () => void) => void)[]) | undefined;
            onAfterLeave?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onLeaveCancelled?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onBeforeAppear?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onAppear?: (((el: Element, done: () => void) => void) | ((el: Element, done: () => void) => void)[]) | undefined;
            onAfterAppear?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onAppearCancelled?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            component?: import('vue').FunctionalComponent<any, {}, any, {}> | {
                new (...args: any[]): any;
                __isFragment?: never;
                __isTeleport?: never;
                __isSuspense?: never;
            } | {
                [x: string]: any;
                setup?: ((this: void, props: import('@vue/shared').LooseRequired<any>, ctx: {
                    attrs: {
                        [x: string]: unknown;
                    };
                    slots: Readonly<{
                        [name: string]: import('vue').Slot<any> | undefined;
                    }>;
                    emit: ((event: unknown, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
                    expose: <Exposed extends Record<string, any> = Record<string, any>>(exposed?: Exposed) => void;
                }) => any) | undefined;
                name?: string | undefined;
                template?: string | object | undefined;
                render?: Function | undefined;
                components?: Record<string, import('vue').Component<any, any, any, import('vue').ComputedOptions, import('vue').MethodOptions, {}, any>> | undefined;
                directives?: Record<string, import('vue').Directive<any, any, string, string>> | undefined;
                inheritAttrs?: boolean | undefined;
                emits?: any;
                slots?: {} | undefined;
                expose?: string[] | undefined;
                serverPrefetch?: (() => void | Promise<any>) | undefined;
                compilerOptions?: {
                    isCustomElement?: ((tag: string) => boolean) | undefined;
                    whitespace?: "preserve" | "condense" | undefined;
                    comments?: boolean | undefined;
                    delimiters?: [string, string] | undefined;
                } | undefined;
                call?: ((this: unknown, ...args: unknown[]) => never) | undefined;
                __isFragment?: never | undefined;
                __isTeleport?: never | undefined;
                __isSuspense?: never | undefined;
                __defaults?: {} | undefined;
                compatConfig?: {
                    GLOBAL_MOUNT?: boolean | "suppress-warning" | undefined;
                    GLOBAL_MOUNT_CONTAINER?: boolean | "suppress-warning" | undefined;
                    GLOBAL_EXTEND?: boolean | "suppress-warning" | undefined;
                    GLOBAL_PROTOTYPE?: boolean | "suppress-warning" | undefined;
                    GLOBAL_SET?: boolean | "suppress-warning" | undefined;
                    GLOBAL_DELETE?: boolean | "suppress-warning" | undefined;
                    GLOBAL_OBSERVABLE?: boolean | "suppress-warning" | undefined;
                    GLOBAL_PRIVATE_UTIL?: boolean | "suppress-warning" | undefined;
                    CONFIG_SILENT?: boolean | "suppress-warning" | undefined;
                    CONFIG_DEVTOOLS?: boolean | "suppress-warning" | undefined;
                    CONFIG_KEY_CODES?: boolean | "suppress-warning" | undefined;
                    CONFIG_PRODUCTION_TIP?: boolean | "suppress-warning" | undefined;
                    CONFIG_IGNORED_ELEMENTS?: boolean | "suppress-warning" | undefined;
                    CONFIG_WHITESPACE?: boolean | "suppress-warning" | undefined;
                    CONFIG_OPTION_MERGE_STRATS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_SET?: boolean | "suppress-warning" | undefined;
                    INSTANCE_DELETE?: boolean | "suppress-warning" | undefined;
                    INSTANCE_DESTROY?: boolean | "suppress-warning" | undefined;
                    INSTANCE_EVENT_EMITTER?: boolean | "suppress-warning" | undefined;
                    INSTANCE_EVENT_HOOKS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_CHILDREN?: boolean | "suppress-warning" | undefined;
                    INSTANCE_LISTENERS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_SCOPED_SLOTS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_ATTRS_CLASS_STYLE?: boolean | "suppress-warning" | undefined;
                    OPTIONS_DATA_FN?: boolean | "suppress-warning" | undefined;
                    OPTIONS_DATA_MERGE?: boolean | "suppress-warning" | undefined;
                    OPTIONS_BEFORE_DESTROY?: boolean | "suppress-warning" | undefined;
                    OPTIONS_DESTROYED?: boolean | "suppress-warning" | undefined;
                    WATCH_ARRAY?: boolean | "suppress-warning" | undefined;
                    PROPS_DEFAULT_THIS?: boolean | "suppress-warning" | undefined;
                    V_ON_KEYCODE_MODIFIER?: boolean | "suppress-warning" | undefined;
                    CUSTOM_DIR?: boolean | "suppress-warning" | undefined;
                    ATTR_FALSE_VALUE?: boolean | "suppress-warning" | undefined;
                    ATTR_ENUMERATED_COERCION?: boolean | "suppress-warning" | undefined;
                    TRANSITION_CLASSES?: boolean | "suppress-warning" | undefined;
                    TRANSITION_GROUP_ROOT?: boolean | "suppress-warning" | undefined;
                    COMPONENT_ASYNC?: boolean | "suppress-warning" | undefined;
                    COMPONENT_FUNCTIONAL?: boolean | "suppress-warning" | undefined;
                    COMPONENT_V_MODEL?: boolean | "suppress-warning" | undefined;
                    RENDER_FUNCTION?: boolean | "suppress-warning" | undefined;
                    FILTERS?: boolean | "suppress-warning" | undefined;
                    PRIVATE_APIS?: boolean | "suppress-warning" | undefined;
                    MODE?: 2 | 3 | ((comp: import('vue').Component | null) => 2 | 3) | undefined;
                } | undefined;
                data?: ((this: any, vm: any) => any) | undefined;
                computed?: import('vue').ComputedOptions | undefined;
                methods?: import('vue').MethodOptions | undefined;
                watch?: {
                    [x: string]: (string | import('vue').WatchCallback | ({
                        handler: import('vue').WatchCallback | string;
                    } & import('vue').WatchOptions<boolean>)) | (string | import('vue').WatchCallback | ({
                        handler: import('vue').WatchCallback | string;
                    } & import('vue').WatchOptions<boolean>))[];
                } | undefined;
                provide?: import('vue').ComponentProvideOptions | undefined;
                inject?: {} | string[] | undefined;
                filters?: Record<string, Function> | undefined;
                mixins?: any[] | undefined;
                extends?: any;
                beforeCreate?: (() => void) | undefined;
                created?: (() => void) | undefined;
                beforeMount?: (() => void) | undefined;
                mounted?: (() => void) | undefined;
                beforeUpdate?: (() => void) | undefined;
                updated?: (() => void) | undefined;
                activated?: (() => void) | undefined;
                deactivated?: (() => void) | undefined;
                beforeDestroy?: (() => void) | undefined;
                beforeUnmount?: (() => void) | undefined;
                destroyed?: (() => void) | undefined;
                unmounted?: (() => void) | undefined;
                renderTracked?: ((e: import('vue').DebuggerEvent) => void) | undefined;
                renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | undefined;
                errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | undefined;
                delimiters?: [string, string] | undefined;
                __differentiator?: string | number | symbol | undefined;
                __isBuiltIn?: boolean | undefined;
                __file?: string | undefined;
                __name?: string | undefined;
                beforeRouteEnter?: (import('vue-router').TypesConfig extends Record<"beforeRouteEnter", infer T> ? T : import('vue-router').NavigationGuardWithThis<undefined>) | undefined;
                beforeRouteUpdate?: (import('vue-router').TypesConfig extends Record<"beforeRouteUpdate", infer T> ? T : import('vue-router').NavigationGuard) | undefined;
                beforeRouteLeave?: (import('vue-router').TypesConfig extends Record<"beforeRouteLeave", infer T> ? T : import('vue-router').NavigationGuard) | undefined;
            } | undefined;
        } | undefined;
        readonly delimiters?: string[] | undefined;
        readonly eager?: boolean | undefined;
        readonly openOnClear?: boolean | undefined;
        readonly hideSelected?: boolean | undefined;
        readonly hideNoData?: boolean | undefined;
        readonly isSelectAll?: boolean | undefined;
        readonly ellipsis?: boolean | undefined;
        readonly menuIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly customFilter?: ((value: string, query: string, item?: any) => import('../../composable').TFilterMath) | undefined;
        readonly customKeyFilter?: {
            [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
        } | undefined;
        readonly filterKeys?: NonNullable<string | string[]> | undefined;
        readonly filterMode?: ("every" | "some" | "union" | "intersection") | undefined;
        readonly noFilter?: boolean | undefined;
        readonly menuProps?: any;
        readonly menuHeight?: string | number | undefined;
        readonly name?: string | undefined;
        readonly menu?: boolean | undefined;
        readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly 'onClick:prepend'?: ((...args: any[]) => any) | undefined;
        readonly 'onClick:append'?: ((...args: any[]) => any) | undefined;
        readonly description?: string | undefined;
        readonly id?: string | undefined;
        readonly label?: string | undefined;
        readonly validationValue?: any;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly placeholder?: string | undefined;
        readonly limit?: number | undefined;
        readonly 'onClick:prependInner'?: ((...args: any[]) => any) | undefined;
        readonly 'onClick:appendInner'?: ((...args: any[]) => any) | undefined;
        readonly theme?: string | undefined;
        readonly listProps?: {
            tag?: string | undefined;
            disabled?: boolean | undefined;
            invertColor?: boolean | undefined;
            items?: any[] | undefined;
            itemTitle?: import('../../composable').TItemKey | undefined;
            itemValue?: import('../../composable').TItemKey | undefined;
            itemChildren?: import('../../composable').TItemKey | undefined;
            itemProps?: import('../../composable').TItemKey | undefined;
            returnObject?: boolean | undefined;
            readonly opened?: unknown[] | undefined;
            readonly selected?: unknown[] | undefined;
            required?: boolean | undefined;
            selectStrategy?: NonNullable<import('../../composable/nested').TSelectStrategyProp> | undefined;
            openStrategy?: "list" | "single" | "multiple" | {
                open: import('../../composable/nested').TOpenStrategyFn;
                select: import('../../composable/nested').TOpenSelectStrategyFn;
            } | undefined;
            readonly "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
            readonly "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
            theme?: string | undefined;
            lines?: false | "one" | "two" | "three" | undefined;
            readonly "onClick:open"?: ((value: {
                id: unknown;
                value: boolean;
                path: unknown[];
                event: Event;
            }) => any) | undefined;
            readonly "onClick:select"?: ((value: {
                id: unknown;
                value: boolean;
                path: unknown[];
                event: Event;
            }) => any) | undefined;
        } | undefined;
        readonly locale?: "ru" | "en" | {
            notification: {
                closeLabel?: string | undefined;
            };
            table: {
                filterTitle?: string | undefined;
                filterConfirm?: any;
                filterReset?: any;
                filterEmptyText?: any;
                filterCheckAll?: any;
                filterSearchPlaceholder?: any;
                emptyText?: any | (() => any);
                selectAll?: any;
                selectNone?: any;
                selectInvert?: any;
                selectionAll?: any;
                sortTitle?: string | undefined;
                expand?: string | undefined;
                collapse?: string | undefined;
                triggerDesc?: string | undefined;
                triggerAsc?: string | undefined;
                cancelSort?: string | undefined;
                showed?: string | undefined;
                from?: string | undefined;
                rowOnPage?: string | undefined;
            };
            date: {
                days: string[];
                daysShort: string[];
                months: string[];
                monthsLong: string[];
                monthsShort: string[];
                today: string;
                firstDayOfWeek: number;
                format24h: boolean;
                pluralDay: (day?: number) => string;
            };
            time: {
                now: string;
            };
            container: {
                prev?: string | undefined;
                next?: string | undefined;
            };
            uploader: {
                uploading?: string | undefined;
                uploadFile?: string | undefined;
                downloadFile?: string | undefined;
                removeFile?: string | undefined;
                uploadError?: string | undefined;
                previewFile?: string | undefined;
            };
            dropdown: {
                noData: string;
                selectAll: string;
            };
        } | undefined;
        readonly autoSelectFirst?: boolean | "exact" | undefined;
        readonly "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        readonly "onUpdate:menu"?: ((value: boolean) => any) | undefined;
        readonly "onUpdate:search"?: ((value: string) => any) | undefined;
        readonly "onUpdate:selectedAll"?: ((value: boolean) => any) | undefined;
    }, Partial<import('@vue/shared').LooseRequired<Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        locale: {
            type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
            default: undefined;
        };
        menu: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        menuProps: {
            type: PropType<any>;
            default: null;
        };
        menuHeight: {
            type: PropType<string | number>;
            default: number;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: Omit<{
            type: PropType<string>;
            default: undefined;
        }, "default" | "type"> & {
            type: PropType<string>;
            default: string;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        customFilter: {
            type: PropType<(value: string, query: string, item?: any) => import('../../composable').TFilterMath>;
            default: null;
        };
        customKeyFilter: {
            type: PropType<{
                [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
            }>;
            default: null;
        };
        filterKeys: Omit<{
            type: PropType<string | string[]>;
            default: string;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | string[]>>;
            default: NonNullable<string | string[]>;
        };
        filterMode: {
            type: PropType<"every" | "some" | "union" | "intersection">;
            default: string;
        };
        noFilter: {
            type: PropType<boolean>;
            default: boolean;
        };
        multiple: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnClear: {
            type: PropType<boolean>;
            default: boolean;
        };
        hideSelected: {
            type: PropType<boolean>;
            default: boolean;
        };
        hideNoData: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        isSelectAll: {
            type: PropType<boolean>;
            default: boolean;
        };
        ellipsis: {
            type: PropType<boolean>;
            default: boolean;
        };
        listProps: {
            type: PropType<import('../../utils').ComponentProps<typeof CdsList>>;
            default: undefined;
        };
        menuIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: string;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        /**
         * Разделители для ввода нескольких значений, при вводе будет создавать новый элемент.
         */
        delimiters: {
            type: PropType<string[]>;
            default: () => never[];
        };
        /**
         * При поиске будет сразу выбирать первый найденный вариант
         */
        autoSelectFirst: {
            type: PropType<boolean | "exact">;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        "onUpdate:menu"?: ((value: boolean) => any) | undefined;
        "onUpdate:search"?: ((value: string) => any) | undefined;
        "onUpdate:selectedAll"?: ((value: boolean) => any) | undefined;
    }> & {}>> | {
        readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
        readonly error?: boolean | undefined;
        readonly loading?: boolean | undefined;
        readonly active?: boolean | undefined;
        readonly disabled?: boolean | undefined;
        readonly readonly?: boolean | undefined;
        readonly value?: any;
        readonly items?: any[] | undefined;
        readonly itemTitle?: import('../../composable').TItemKey | undefined;
        readonly itemValue?: import('../../composable').TItemKey | undefined;
        readonly itemChildren?: import('../../composable').TItemKey | undefined;
        readonly itemProps?: import('../../composable').TItemKey | undefined;
        readonly returnObject?: boolean | undefined;
        readonly focused?: boolean | undefined;
        readonly multiple?: boolean | undefined;
        readonly messages?: string | string[] | undefined;
        readonly persistentMessages?: boolean | undefined;
        readonly errorMessages?: string | string[] | undefined;
        readonly maxErrors?: string | number | undefined;
        readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
            then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
        })[] | undefined;
        readonly modelValue?: any;
        readonly validateOn?: "input" | "blur" | "submit" | undefined;
        readonly hideMessages?: boolean | undefined;
        readonly autofocus?: boolean | undefined;
        readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
        readonly role?: string | undefined;
        readonly counter?: boolean | undefined;
        readonly clearable?: boolean | undefined;
        readonly clearLabel?: string | undefined;
        readonly persistentClearable?: boolean | undefined;
        readonly transition?: string | boolean | {
            name?: string | undefined;
            type?: ("transition" | "animation") | undefined;
            css?: boolean | undefined;
            duration?: number | {
                enter: number;
                leave: number;
            } | undefined;
            enterFromClass?: string | undefined;
            enterActiveClass?: string | undefined;
            enterToClass?: string | undefined;
            appearFromClass?: string | undefined;
            appearActiveClass?: string | undefined;
            appearToClass?: string | undefined;
            leaveFromClass?: string | undefined;
            leaveActiveClass?: string | undefined;
            leaveToClass?: string | undefined;
            mode?: "in-out" | "out-in" | "default" | undefined;
            appear?: boolean | undefined;
            persisted?: boolean | undefined;
            onBeforeEnter?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onEnter?: (((el: Element, done: () => void) => void) | ((el: Element, done: () => void) => void)[]) | undefined;
            onAfterEnter?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onEnterCancelled?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onBeforeLeave?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onLeave?: (((el: Element, done: () => void) => void) | ((el: Element, done: () => void) => void)[]) | undefined;
            onAfterLeave?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onLeaveCancelled?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onBeforeAppear?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onAppear?: (((el: Element, done: () => void) => void) | ((el: Element, done: () => void) => void)[]) | undefined;
            onAfterAppear?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            onAppearCancelled?: (((el: Element) => void) | ((el: Element) => void)[]) | undefined;
            component?: import('vue').FunctionalComponent<any, {}, any, {}> | {
                new (...args: any[]): any;
                __isFragment?: never;
                __isTeleport?: never;
                __isSuspense?: never;
            } | {
                [x: string]: any;
                setup?: ((this: void, props: import('@vue/shared').LooseRequired<any>, ctx: {
                    attrs: {
                        [x: string]: unknown;
                    };
                    slots: Readonly<{
                        [name: string]: import('vue').Slot<any> | undefined;
                    }>;
                    emit: ((event: unknown, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
                    expose: <Exposed extends Record<string, any> = Record<string, any>>(exposed?: Exposed) => void;
                }) => any) | undefined;
                name?: string | undefined;
                template?: string | object | undefined;
                render?: Function | undefined;
                components?: Record<string, import('vue').Component<any, any, any, import('vue').ComputedOptions, import('vue').MethodOptions, {}, any>> | undefined;
                directives?: Record<string, import('vue').Directive<any, any, string, string>> | undefined;
                inheritAttrs?: boolean | undefined;
                emits?: any;
                slots?: {} | undefined;
                expose?: string[] | undefined;
                serverPrefetch?: (() => void | Promise<any>) | undefined;
                compilerOptions?: {
                    isCustomElement?: ((tag: string) => boolean) | undefined;
                    whitespace?: "preserve" | "condense" | undefined;
                    comments?: boolean | undefined;
                    delimiters?: [string, string] | undefined;
                } | undefined;
                call?: ((this: unknown, ...args: unknown[]) => never) | undefined;
                __isFragment?: never | undefined;
                __isTeleport?: never | undefined;
                __isSuspense?: never | undefined;
                __defaults?: {} | undefined;
                compatConfig?: {
                    GLOBAL_MOUNT?: boolean | "suppress-warning" | undefined;
                    GLOBAL_MOUNT_CONTAINER?: boolean | "suppress-warning" | undefined;
                    GLOBAL_EXTEND?: boolean | "suppress-warning" | undefined;
                    GLOBAL_PROTOTYPE?: boolean | "suppress-warning" | undefined;
                    GLOBAL_SET?: boolean | "suppress-warning" | undefined;
                    GLOBAL_DELETE?: boolean | "suppress-warning" | undefined;
                    GLOBAL_OBSERVABLE?: boolean | "suppress-warning" | undefined;
                    GLOBAL_PRIVATE_UTIL?: boolean | "suppress-warning" | undefined;
                    CONFIG_SILENT?: boolean | "suppress-warning" | undefined;
                    CONFIG_DEVTOOLS?: boolean | "suppress-warning" | undefined;
                    CONFIG_KEY_CODES?: boolean | "suppress-warning" | undefined;
                    CONFIG_PRODUCTION_TIP?: boolean | "suppress-warning" | undefined;
                    CONFIG_IGNORED_ELEMENTS?: boolean | "suppress-warning" | undefined;
                    CONFIG_WHITESPACE?: boolean | "suppress-warning" | undefined;
                    CONFIG_OPTION_MERGE_STRATS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_SET?: boolean | "suppress-warning" | undefined;
                    INSTANCE_DELETE?: boolean | "suppress-warning" | undefined;
                    INSTANCE_DESTROY?: boolean | "suppress-warning" | undefined;
                    INSTANCE_EVENT_EMITTER?: boolean | "suppress-warning" | undefined;
                    INSTANCE_EVENT_HOOKS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_CHILDREN?: boolean | "suppress-warning" | undefined;
                    INSTANCE_LISTENERS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_SCOPED_SLOTS?: boolean | "suppress-warning" | undefined;
                    INSTANCE_ATTRS_CLASS_STYLE?: boolean | "suppress-warning" | undefined;
                    OPTIONS_DATA_FN?: boolean | "suppress-warning" | undefined;
                    OPTIONS_DATA_MERGE?: boolean | "suppress-warning" | undefined;
                    OPTIONS_BEFORE_DESTROY?: boolean | "suppress-warning" | undefined;
                    OPTIONS_DESTROYED?: boolean | "suppress-warning" | undefined;
                    WATCH_ARRAY?: boolean | "suppress-warning" | undefined;
                    PROPS_DEFAULT_THIS?: boolean | "suppress-warning" | undefined;
                    V_ON_KEYCODE_MODIFIER?: boolean | "suppress-warning" | undefined;
                    CUSTOM_DIR?: boolean | "suppress-warning" | undefined;
                    ATTR_FALSE_VALUE?: boolean | "suppress-warning" | undefined;
                    ATTR_ENUMERATED_COERCION?: boolean | "suppress-warning" | undefined;
                    TRANSITION_CLASSES?: boolean | "suppress-warning" | undefined;
                    TRANSITION_GROUP_ROOT?: boolean | "suppress-warning" | undefined;
                    COMPONENT_ASYNC?: boolean | "suppress-warning" | undefined;
                    COMPONENT_FUNCTIONAL?: boolean | "suppress-warning" | undefined;
                    COMPONENT_V_MODEL?: boolean | "suppress-warning" | undefined;
                    RENDER_FUNCTION?: boolean | "suppress-warning" | undefined;
                    FILTERS?: boolean | "suppress-warning" | undefined;
                    PRIVATE_APIS?: boolean | "suppress-warning" | undefined;
                    MODE?: 2 | 3 | ((comp: import('vue').Component | null) => 2 | 3) | undefined;
                } | undefined;
                data?: ((this: any, vm: any) => any) | undefined;
                computed?: import('vue').ComputedOptions | undefined;
                methods?: import('vue').MethodOptions | undefined;
                watch?: {
                    [x: string]: (string | import('vue').WatchCallback | ({
                        handler: import('vue').WatchCallback | string;
                    } & import('vue').WatchOptions<boolean>)) | (string | import('vue').WatchCallback | ({
                        handler: import('vue').WatchCallback | string;
                    } & import('vue').WatchOptions<boolean>))[];
                } | undefined;
                provide?: import('vue').ComponentProvideOptions | undefined;
                inject?: {} | string[] | undefined;
                filters?: Record<string, Function> | undefined;
                mixins?: any[] | undefined;
                extends?: any;
                beforeCreate?: (() => void) | undefined;
                created?: (() => void) | undefined;
                beforeMount?: (() => void) | undefined;
                mounted?: (() => void) | undefined;
                beforeUpdate?: (() => void) | undefined;
                updated?: (() => void) | undefined;
                activated?: (() => void) | undefined;
                deactivated?: (() => void) | undefined;
                beforeDestroy?: (() => void) | undefined;
                beforeUnmount?: (() => void) | undefined;
                destroyed?: (() => void) | undefined;
                unmounted?: (() => void) | undefined;
                renderTracked?: ((e: import('vue').DebuggerEvent) => void) | undefined;
                renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | undefined;
                errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | undefined;
                delimiters?: [string, string] | undefined;
                __differentiator?: string | number | symbol | undefined;
                __isBuiltIn?: boolean | undefined;
                __file?: string | undefined;
                __name?: string | undefined;
                beforeRouteEnter?: (import('vue-router').TypesConfig extends Record<"beforeRouteEnter", infer T> ? T : import('vue-router').NavigationGuardWithThis<undefined>) | undefined;
                beforeRouteUpdate?: (import('vue-router').TypesConfig extends Record<"beforeRouteUpdate", infer T> ? T : import('vue-router').NavigationGuard) | undefined;
                beforeRouteLeave?: (import('vue-router').TypesConfig extends Record<"beforeRouteLeave", infer T> ? T : import('vue-router').NavigationGuard) | undefined;
            } | undefined;
        } | undefined;
        readonly delimiters?: string[] | undefined;
        readonly eager?: boolean | undefined;
        readonly openOnClear?: boolean | undefined;
        readonly hideSelected?: boolean | undefined;
        readonly hideNoData?: boolean | undefined;
        readonly isSelectAll?: boolean | undefined;
        readonly ellipsis?: boolean | undefined;
        readonly menuIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly customFilter?: ((value: string, query: string, item?: any) => import('../../composable').TFilterMath) | undefined;
        readonly customKeyFilter?: {
            [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
        } | undefined;
        readonly filterKeys?: NonNullable<string | string[]> | undefined;
        readonly filterMode?: ("every" | "some" | "union" | "intersection") | undefined;
        readonly noFilter?: boolean | undefined;
        readonly menuProps?: any;
        readonly menuHeight?: string | number | undefined;
        readonly name?: string | undefined;
        readonly menu?: boolean | undefined;
        readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly 'onClick:prepend'?: ((...args: any[]) => any) | undefined;
        readonly 'onClick:append'?: ((...args: any[]) => any) | undefined;
        readonly description?: string | undefined;
        readonly id?: string | undefined;
        readonly label?: string | undefined;
        readonly validationValue?: any;
        readonly prefix?: string | undefined;
        readonly suffix?: string | undefined;
        readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
        readonly placeholder?: string | undefined;
        readonly limit?: number | undefined;
        readonly 'onClick:prependInner'?: ((...args: any[]) => any) | undefined;
        readonly 'onClick:appendInner'?: ((...args: any[]) => any) | undefined;
        readonly theme?: string | undefined;
        readonly listProps?: {
            tag?: string | undefined;
            disabled?: boolean | undefined;
            invertColor?: boolean | undefined;
            items?: any[] | undefined;
            itemTitle?: import('../../composable').TItemKey | undefined;
            itemValue?: import('../../composable').TItemKey | undefined;
            itemChildren?: import('../../composable').TItemKey | undefined;
            itemProps?: import('../../composable').TItemKey | undefined;
            returnObject?: boolean | undefined;
            readonly opened?: unknown[] | undefined;
            readonly selected?: unknown[] | undefined;
            required?: boolean | undefined;
            selectStrategy?: NonNullable<import('../../composable/nested').TSelectStrategyProp> | undefined;
            openStrategy?: "list" | "single" | "multiple" | {
                open: import('../../composable/nested').TOpenStrategyFn;
                select: import('../../composable/nested').TOpenSelectStrategyFn;
            } | undefined;
            readonly "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
            readonly "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
            theme?: string | undefined;
            lines?: false | "one" | "two" | "three" | undefined;
            readonly "onClick:open"?: ((value: {
                id: unknown;
                value: boolean;
                path: unknown[];
                event: Event;
            }) => any) | undefined;
            readonly "onClick:select"?: ((value: {
                id: unknown;
                value: boolean;
                path: unknown[];
                event: Event;
            }) => any) | undefined;
        } | undefined;
        readonly locale?: "ru" | "en" | {
            notification: {
                closeLabel?: string | undefined;
            };
            table: {
                filterTitle?: string | undefined;
                filterConfirm?: any;
                filterReset?: any;
                filterEmptyText?: any;
                filterCheckAll?: any;
                filterSearchPlaceholder?: any;
                emptyText?: any | (() => any);
                selectAll?: any;
                selectNone?: any;
                selectInvert?: any;
                selectionAll?: any;
                sortTitle?: string | undefined;
                expand?: string | undefined;
                collapse?: string | undefined;
                triggerDesc?: string | undefined;
                triggerAsc?: string | undefined;
                cancelSort?: string | undefined;
                showed?: string | undefined;
                from?: string | undefined;
                rowOnPage?: string | undefined;
            };
            date: {
                days: string[];
                daysShort: string[];
                months: string[];
                monthsLong: string[];
                monthsShort: string[];
                today: string;
                firstDayOfWeek: number;
                format24h: boolean;
                pluralDay: (day?: number) => string;
            };
            time: {
                now: string;
            };
            container: {
                prev?: string | undefined;
                next?: string | undefined;
            };
            uploader: {
                uploading?: string | undefined;
                uploadFile?: string | undefined;
                downloadFile?: string | undefined;
                removeFile?: string | undefined;
                uploadError?: string | undefined;
                previewFile?: string | undefined;
            };
            dropdown: {
                noData: string;
                selectAll: string;
            };
        } | undefined;
        readonly autoSelectFirst?: boolean | "exact" | undefined;
        readonly "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        readonly "onUpdate:menu"?: ((value: boolean) => any) | undefined;
        readonly "onUpdate:search"?: ((value: string) => any) | undefined;
        readonly "onUpdate:selectedAll"?: ((value: boolean) => any) | undefined;
    }>;
    externalValidationValue: import('vue').ComputedRef<any>;
    hasList: import('vue').ComputedRef<boolean>;
    showIcon: import('vue').ComputedRef<0 | "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube">;
    hasLabel: import('vue').ComputedRef<boolean>;
    hasDescription: import('vue').ComputedRef<boolean>;
    hasPrepend: import('vue').ComputedRef<boolean>;
    hasAppend: import('vue').ComputedRef<boolean>;
    hasPrependInnerIcon: import('vue').ComputedRef<boolean>;
    hasNoDataItem: import('vue').ComputedRef<boolean>;
    comboboxClasses: import('vue').ComputedRef<{
        [x: string]: number | boolean | undefined;
        'cds-combobox--active-menu': boolean | undefined;
        'cds-combobox--selected': number;
        'cds-combobox--selecting-index': boolean;
        'cds-combobox--ellipsis': boolean;
        'cds-combobox--disabled': boolean;
    }>;
    comboboxLocale: {
        noData: string;
        selectAll: string;
    };
    noop: typeof noop;
    select: (item: IInternalItem) => void;
    selectAll: () => void;
    mergeItemProps: (item: IInternalItem) => {
        [x: string]: unknown;
    };
    onClear: () => void;
    onKeydown: (event: KeyboardEvent) => void;
    onFocusin: () => void;
    onFocusout: (event: FocusEvent) => void;
    onAfterLeave: () => void;
    onMousedownControl: () => void;
    onMousedownMenuIcon: (event: MouseEvent) => void;
    onInputModelValue: (value: string) => void;
    onListKeydown: (event: KeyboardEvent) => Promise<void>;
    onListScroll: (event: Event) => void;
    getMatches: (item: IInternalItem<any>) => Record<string, import('../../composable').TFilterMath> | undefined;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    /**
     * Событие при фокусе
     * @type { boolean }
     */
    'update:focused': (value: boolean) => true;
    /**
     * Событие при изменении значения (v-model)
     * @type { any }
     */
    'update:modelValue': (value: any) => true;
    /**
     * Событие открытия меню
     * @type { boolean }
     */
    'update:menu': (value: boolean) => true;
    /**
     * Событие при вводе значения в поле
     * @type { string }
     */
    'update:search': (value: string) => true;
    /**
     * Событие выбора всех элементов
     * @type { boolean }
     */
    'update:selectedAll': (value: boolean) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    theme: {
        type: PropType<import('../../composable').TTheme | string>;
        available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
        default: undefined;
    };
    transition: {
        type: PropType<string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        })>;
        default: string;
        validator: (value: unknown) => boolean;
    };
    items: {
        type: PropType<any[]>;
        default: () => never[];
    };
    itemTitle: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemValue: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemChildren: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    itemProps: {
        type: PropType<import('../../composable').TItemKey>;
        default: string;
    };
    returnObject: Omit<{
        type: PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<import('../../composable').TSize>;
        default: string;
        available: readonly ["xs", "sm", "md", "lg", "xl"];
        validator: (value: import('../../composable').TSize) => boolean;
    };
    loading: {
        type: PropType<boolean>;
        default: boolean;
    };
    readonly: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    focused: {
        type: PropType<boolean>;
        default: boolean;
    };
    locale: {
        type: PropType<import('../../locale').TAvailableLocale | import('../../locale').ILocale>;
        default: undefined;
    };
    menu: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    menuProps: {
        type: PropType<any>;
        default: null;
    };
    menuHeight: {
        type: PropType<string | number>;
        default: number;
    };
    eager: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prepend': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:append': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    prependIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    errorMessages: {
        type: PropType<string | string[]>;
        default: () => never[];
    };
    maxErrors: {
        type: PropType<string | number>;
        default: number;
    };
    name: {
        type: PropType<string | undefined>;
        default: undefined;
    };
    rules: {
        type: PropType<import('../../composable').TValidationRule[]>;
        default: () => never[];
    };
    modelValue: {
        type: PropType<any>;
        default: null;
    };
    validateOn: {
        type: PropType<import('../../composable').TValidationOn>;
        default: string;
        available: readonly ["blur", "input", "submit"];
        validator: (value: import('../../composable').TValidationOn) => boolean;
    };
    validationValue: {
        type: PropType<any>;
        default: undefined;
    };
    hideMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    id: {
        type: PropType<string>;
        default: undefined;
    };
    label: {
        type: PropType<string>;
        default: undefined;
    };
    description: {
        type: PropType<string>;
        default: undefined;
    };
    value: {
        type: PropType<any>;
        default: null;
    };
    messages: {
        type: PropType<string[] | string>;
        default: () => never[];
    };
    persistentMessages: {
        type: PropType<boolean>;
        default: boolean;
    };
    active: {
        type: PropType<boolean>;
        default: boolean;
    };
    autofocus: {
        type: PropType<boolean>;
        default: boolean;
    };
    prefix: {
        type: PropType<string>;
        default: undefined;
    };
    suffix: {
        type: PropType<string>;
        default: undefined;
    };
    prependInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    appendInnerIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: undefined;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    type: {
        type: PropType<import('../../composable').TFieldTypes>;
        default: string;
        validator: (value: import('../../composable').TFieldTypes) => boolean;
    };
    role: Omit<{
        type: PropType<string>;
        default: undefined;
    }, "default" | "type"> & {
        type: PropType<string>;
        default: string;
    };
    placeholder: {
        type: PropType<string>;
        default: undefined;
    };
    counter: {
        type: PropType<boolean>;
        default: boolean;
    };
    limit: {
        type: PropType<number>;
        default: undefined;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    clearLabel: {
        type: PropType<string>;
        default: string;
    };
    persistentClearable: {
        type: PropType<boolean>;
        default: boolean;
    };
    'onClick:prependInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    'onClick:appendInner': {
        type: PropType<import('../../utils').EventProp>;
        default: undefined;
    };
    customFilter: {
        type: PropType<(value: string, query: string, item?: any) => import('../../composable').TFilterMath>;
        default: null;
    };
    customKeyFilter: {
        type: PropType<{
            [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
        }>;
        default: null;
    };
    filterKeys: Omit<{
        type: PropType<string | string[]>;
        default: string;
    }, "default" | "type"> & {
        type: PropType<NonNullable<string | string[]>>;
        default: NonNullable<string | string[]>;
    };
    filterMode: {
        type: PropType<"every" | "some" | "union" | "intersection">;
        default: string;
    };
    noFilter: {
        type: PropType<boolean>;
        default: boolean;
    };
    multiple: {
        type: PropType<boolean>;
        default: boolean;
    };
    openOnClear: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideSelected: {
        type: PropType<boolean>;
        default: boolean;
    };
    hideNoData: Omit<{
        type: PropType<boolean>;
        default: boolean;
    }, "default" | "type"> & {
        type: PropType<boolean>;
        default: boolean;
    };
    isSelectAll: {
        type: PropType<boolean>;
        default: boolean;
    };
    ellipsis: {
        type: PropType<boolean>;
        default: boolean;
    };
    listProps: {
        type: PropType<import('../../utils').ComponentProps<typeof CdsList>>;
        default: undefined;
    };
    menuIcon: {
        type: PropType<import('@central-design-system/icons').TCdsIconsName>;
        default: string;
        validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
    };
    /**
     * Разделители для ввода нескольких значений, при вводе будет создавать новый элемент.
     */
    delimiters: {
        type: PropType<string[]>;
        default: () => never[];
    };
    /**
     * При поиске будет сразу выбирать первый найденный вариант
     */
    autoSelectFirst: {
        type: PropType<boolean | "exact">;
        default: undefined;
    };
}>> & Readonly<{
    "onUpdate:modelValue"?: ((value: any) => any) | undefined;
    "onUpdate:focused"?: ((value: boolean) => any) | undefined;
    "onUpdate:menu"?: ((value: boolean) => any) | undefined;
    "onUpdate:search"?: ((value: string) => any) | undefined;
    "onUpdate:selectedAll"?: ((value: boolean) => any) | undefined;
}>, {
    name: string | undefined;
    size: "xs" | "sm" | "md" | "lg" | "xl";
    error: boolean;
    menu: boolean | undefined;
    prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    'onClick:prepend': (...args: any[]) => any;
    'onClick:append': (...args: any[]) => any;
    loading: boolean;
    active: boolean;
    disabled: boolean;
    readonly: boolean;
    description: string;
    value: any;
    items: any[];
    itemTitle: import('../../composable').TItemKey;
    itemValue: import('../../composable').TItemKey;
    itemChildren: import('../../composable').TItemKey;
    itemProps: import('../../composable').TItemKey;
    returnObject: boolean;
    focused: boolean;
    multiple: boolean;
    id: string;
    label: string;
    messages: string | string[];
    persistentMessages: boolean;
    errorMessages: string | string[];
    maxErrors: string | number;
    rules: import('../../composable').TValidationRule[];
    modelValue: any;
    validateOn: "input" | "blur" | "submit";
    validationValue: any;
    hideMessages: boolean;
    autofocus: boolean;
    prefix: string;
    suffix: string;
    prependInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    appendInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    type: "number" | "text" | "password" | "email" | "tel" | "url";
    role: string;
    placeholder: string;
    counter: boolean;
    limit: number;
    clearable: boolean;
    clearLabel: string;
    persistentClearable: boolean;
    'onClick:prependInner': (...args: any[]) => any;
    'onClick:appendInner': (...args: any[]) => any;
    transition: string | boolean | (import('vue').TransitionProps & {
        component?: import('vue').Component;
    });
    delimiters: string[];
    eager: boolean;
    theme: string;
    openOnClear: boolean;
    hideSelected: boolean;
    hideNoData: boolean;
    isSelectAll: boolean;
    ellipsis: boolean;
    listProps: Omit<Partial<{
        tag: string;
        disabled: boolean;
        invertColor: boolean;
        items: any[];
        itemTitle: import('../../composable').TItemKey;
        itemValue: import('../../composable').TItemKey;
        itemChildren: import('../../composable').TItemKey;
        itemProps: import('../../composable').TItemKey;
        returnObject: boolean;
        required: boolean;
        selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        theme: string;
        lines: false | "one" | "two" | "three";
    }> & Omit<{
        readonly tag: string;
        readonly disabled: boolean;
        readonly invertColor: boolean;
        readonly items: any[];
        readonly itemTitle: import('../../composable').TItemKey;
        readonly itemValue: import('../../composable').TItemKey;
        readonly itemChildren: import('../../composable').TItemKey;
        readonly itemProps: import('../../composable').TItemKey;
        readonly returnObject: boolean;
        readonly required: boolean;
        readonly selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        readonly openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        readonly lines: false | "one" | "two" | "three";
        readonly opened?: unknown[] | undefined;
        readonly selected?: unknown[] | undefined;
        readonly theme?: string | undefined;
        readonly "onClick:open"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        readonly "onClick:select"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        readonly "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
        readonly "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
    } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, "tag" | "disabled" | "invertColor" | "items" | "itemTitle" | "itemValue" | "itemChildren" | "itemProps" | "returnObject" | "required" | "selectStrategy" | "openStrategy" | "theme" | "lines">, keyof import('vue').VNodeProps | keyof import('vue').AllowedComponentProps>;
    menuIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
    customFilter: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
    customKeyFilter: {
        [x: string]: (value: string, query: string, item?: any) => import('../../composable').TFilterMath;
    };
    filterKeys: NonNullable<string | string[]>;
    filterMode: "every" | "some" | "union" | "intersection";
    noFilter: boolean;
    menuProps: any;
    menuHeight: string | number;
    locale: import('../../locale').ILocale | "ru" | "en";
    autoSelectFirst: boolean | "exact";
}, {}, {
    CdsTextInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>, {
        id: import('vue').ComputedRef<string>;
        model: import('vue').Ref<any, any> & {
            readonly externalValue: any;
        };
        fieldRef: import('vue').Ref<HTMLElement | undefined, HTMLElement | undefined>;
        inputRef: import('vue').Ref<HTMLInputElement | undefined, HTMLInputElement | undefined>;
        validationRef: import('vue').Ref<import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | undefined>;
        isFocused: import('vue').Ref<boolean, boolean>;
        rootAttrs: import('vue').Ref<{}, {}>;
        inputAttrs: import('vue').Ref<{}, {}>;
        inputProps: import('vue').Ref<{
            readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
            readonly error?: boolean | undefined;
            readonly loading?: boolean | undefined;
            readonly active?: boolean | undefined;
            readonly disabled?: boolean | undefined;
            readonly readonly?: boolean | undefined;
            readonly value?: any;
            readonly focused?: boolean | undefined;
            readonly messages?: string | string[] | undefined;
            readonly persistentMessages?: boolean | undefined;
            readonly errorMessages?: string | string[] | undefined;
            readonly maxErrors?: string | number | undefined;
            readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            readonly modelValue?: any;
            readonly validateOn?: "input" | "blur" | "submit" | undefined;
            readonly hideMessages?: boolean | undefined;
            readonly autofocus?: boolean | undefined;
            readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
            readonly counter?: boolean | undefined;
            readonly clearable?: boolean | undefined;
            readonly clearLabel?: string | undefined;
            readonly persistentClearable?: boolean | undefined;
            readonly name?: string | undefined;
            readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly description?: string | undefined;
            readonly id?: string | undefined;
            readonly label?: string | undefined;
            readonly validationValue?: any;
            readonly prefix?: string | undefined;
            readonly suffix?: string | undefined;
            readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly role?: string | undefined;
            readonly placeholder?: string | undefined;
            readonly limit?: number | undefined;
            readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly theme?: string | undefined;
            readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        }, Partial<import('@vue/shared').LooseRequired<Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            'onClick:prepend': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            'onClick:append': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            active: {
                type: PropType<boolean>;
                default: boolean;
            };
            autofocus: {
                type: PropType<boolean>;
                default: boolean;
            };
            prefix: {
                type: PropType<string>;
                default: undefined;
            };
            suffix: {
                type: PropType<string>;
                default: undefined;
            };
            prependInnerIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendInnerIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            type: {
                type: PropType<import('../../composable').TFieldTypes>;
                default: string;
                validator: (value: import('../../composable').TFieldTypes) => boolean;
            };
            role: {
                type: PropType<string>;
                default: undefined;
            };
            placeholder: {
                type: PropType<string>;
                default: undefined;
            };
            counter: {
                type: PropType<boolean>;
                default: boolean;
            };
            limit: {
                type: PropType<number>;
                default: undefined;
            };
            clearable: {
                type: PropType<boolean>;
                default: boolean;
            };
            clearLabel: {
                type: PropType<string>;
                default: string;
            };
            persistentClearable: {
                type: PropType<boolean>;
                default: boolean;
            };
            'onClick:prependInner': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
            'onClick:appendInner': {
                type: PropType<import('../../utils').EventProp>;
                default: undefined;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
            "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((event: MouseEvent) => any) | undefined;
            "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
            "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
        }> & {}>> | {
            readonly size?: "xs" | "sm" | "md" | "lg" | "xl" | undefined;
            readonly error?: boolean | undefined;
            readonly loading?: boolean | undefined;
            readonly active?: boolean | undefined;
            readonly disabled?: boolean | undefined;
            readonly readonly?: boolean | undefined;
            readonly value?: any;
            readonly focused?: boolean | undefined;
            readonly messages?: string | string[] | undefined;
            readonly persistentMessages?: boolean | undefined;
            readonly errorMessages?: string | string[] | undefined;
            readonly maxErrors?: string | number | undefined;
            readonly rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            readonly modelValue?: any;
            readonly validateOn?: "input" | "blur" | "submit" | undefined;
            readonly hideMessages?: boolean | undefined;
            readonly autofocus?: boolean | undefined;
            readonly type?: "number" | "text" | "password" | "email" | "tel" | "url" | undefined;
            readonly counter?: boolean | undefined;
            readonly clearable?: boolean | undefined;
            readonly clearLabel?: string | undefined;
            readonly persistentClearable?: boolean | undefined;
            readonly name?: string | undefined;
            readonly prependIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly 'onClick:prepend'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:append'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly description?: string | undefined;
            readonly id?: string | undefined;
            readonly label?: string | undefined;
            readonly validationValue?: any;
            readonly prefix?: string | undefined;
            readonly suffix?: string | undefined;
            readonly prependInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly appendInnerIcon?: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube" | undefined;
            readonly role?: string | undefined;
            readonly placeholder?: string | undefined;
            readonly limit?: number | undefined;
            readonly 'onClick:prependInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly 'onClick:appendInner'?: (((...args: any[]) => any) & ((event: MouseEvent) => any)) | undefined;
            readonly theme?: string | undefined;
            readonly "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            readonly "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
            readonly "onUpdate:focused"?: ((value: boolean) => any) | undefined;
            readonly "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        }>;
        hasLabel: import('vue').ComputedRef<boolean>;
        hasDescription: import('vue').ComputedRef<boolean>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
        hasPrependInnerIcon: import('vue').ComputedRef<boolean>;
        hasAppendInnerIcon: import('vue').ComputedRef<boolean>;
        hasLoading: import('vue').ComputedRef<boolean>;
        hasClear: import('vue').ComputedRef<boolean>;
        counterValue: import('vue').ComputedRef<any>;
        iconClasses: import('vue').ComputedRef<Record<string, boolean>>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        fieldClasses: import('vue').ComputedRef<Record<string, boolean>>;
        loadingClasses: import('vue').ComputedRef<string | undefined>;
        classesStates: Readonly<{
            hover: "cds-state-hover";
            focus: "cds-state-focus";
            active: "cds-state-active";
            visited: "cds-state-visited";
            disabled: "cds-state-disabled";
            checked: "cds-state-checked";
            indeterminate: "cds-state-indeterminate";
            invalid: "cds-state-invalid";
            empty: "cds-state-empty";
            loading: "cds-state-loading";
            readonly: "cds-state-readonly";
            dragging: "cds-state-dragging";
        }>;
        onBlur: () => void;
        onFocus: () => void;
        onInput: (event: Event) => void;
        onClear: (event: MouseEvent) => void;
        onControlClick: (event: MouseEvent) => void;
        onControlMousedown: (event: MouseEvent) => void;
        handleClickPrependInner: (event: MouseEvent) => void;
        handleClickAppendInner: (event: MouseEvent) => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:focused': (value: boolean) => true;
        'update:modelValue': (value: string) => true;
        'click:clear': (event: MouseEvent) => true;
        'click:prepend': (event: MouseEvent) => true;
        'click:append': (event: MouseEvent) => true;
        'click:prependInner': (event: MouseEvent) => true;
        'click:appendInner': (event: MouseEvent) => true;
        'click:control': (event: MouseEvent) => true;
        'mousedown:control': (event: MouseEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        loading: {
            type: PropType<boolean>;
            default: boolean;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prepend': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:append': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        autofocus: {
            type: PropType<boolean>;
            default: boolean;
        };
        prefix: {
            type: PropType<string>;
            default: undefined;
        };
        suffix: {
            type: PropType<string>;
            default: undefined;
        };
        prependInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendInnerIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        type: {
            type: PropType<import('../../composable').TFieldTypes>;
            default: string;
            validator: (value: import('../../composable').TFieldTypes) => boolean;
        };
        role: {
            type: PropType<string>;
            default: undefined;
        };
        placeholder: {
            type: PropType<string>;
            default: undefined;
        };
        counter: {
            type: PropType<boolean>;
            default: boolean;
        };
        limit: {
            type: PropType<number>;
            default: undefined;
        };
        clearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        clearLabel: {
            type: PropType<string>;
            default: string;
        };
        persistentClearable: {
            type: PropType<boolean>;
            default: boolean;
        };
        'onClick:prependInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
        'onClick:appendInner': {
            type: PropType<import('../../utils').EventProp>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        "onClick:control"?: ((event: MouseEvent) => any) | undefined;
        "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        "onClick:clear"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prepend"?: ((event: MouseEvent) => any) | undefined;
        "onClick:append"?: ((event: MouseEvent) => any) | undefined;
        "onClick:prependInner"?: ((event: MouseEvent) => any) | undefined;
        "onClick:appendInner"?: ((event: MouseEvent) => any) | undefined;
    }>, {
        name: string | undefined;
        size: "xs" | "sm" | "md" | "lg" | "xl";
        error: boolean;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        'onClick:prepend': (...args: any[]) => any;
        'onClick:append': (...args: any[]) => any;
        loading: boolean;
        active: boolean;
        disabled: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        autofocus: boolean;
        prefix: string;
        suffix: string;
        prependInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendInnerIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        type: "number" | "text" | "password" | "email" | "tel" | "url";
        role: string;
        placeholder: string;
        counter: boolean;
        limit: number;
        clearable: boolean;
        clearLabel: string;
        persistentClearable: boolean;
        'onClick:prependInner': (...args: any[]) => any;
        'onClick:appendInner': (...args: any[]) => any;
        theme: string;
    }, {}, {
        CdsInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputLabel: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {
            disabledClasses: import('vue').ComputedRef<string | undefined>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
            disabled: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputCounter: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            max: {
                type: PropType<number | string>;
                default: number;
            };
            current: {
                type: PropType<number | string>;
                default: number;
            };
        }>, () => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
            [key: string]: any;
        }>, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            max: {
                type: PropType<number | string>;
                default: number;
            };
            current: {
                type: PropType<number | string>;
                default: number;
            };
        }>> & Readonly<{}>, {
            max: string | number;
            current: string | number;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsLoader: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>, {
            attrs: {
                [x: string]: unknown;
            };
            loaderClasses: import('vue').ComputedRef<{
                'cds-loader__overlay': boolean;
                'cds-loader__fixed': boolean;
            }>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            fixed: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            overlay: {
                type: PropType<boolean>;
                default: boolean;
                description: string;
            };
            description: {
                type: PropType<string>;
                default: string;
                description: string;
            };
        }>> & Readonly<{}>, {
            fixed: boolean;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            description: string;
            overlay: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsFunctionalButton: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            href: {
                type: PropType<string>;
                default: undefined;
            };
            to: {
                type: PropType<import('vue-router').RouteLocationRaw>;
                default: undefined;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            loading: {
                type: PropType<boolean>;
                default: boolean;
            };
            href: {
                type: PropType<string>;
                default: undefined;
            };
            to: {
                type: PropType<import('vue-router').RouteLocationRaw>;
                default: undefined;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            to: import('vue-router').RouteLocationRaw;
            href: string;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            loading: boolean;
            disabled: boolean;
            readonly: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsTransition: import('vue').FunctionalComponent<import('../../composable').ITransitionProps, {}, any, {}>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsMenu: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        height: {
            type: PropType<number | string>;
            default: string;
        };
        width: {
            type: PropType<number | string>;
            default: string;
        };
        maxHeight: {
            type: PropType<number | string>;
            default: string;
        };
        maxWidth: {
            type: PropType<number | string>;
            default: string;
        };
        minHeight: {
            type: PropType<number | string>;
            default: string;
        };
        minWidth: {
            type: PropType<number | string>;
            default: string;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrollStrategy: Omit<{
            type: PropType<("close" | "none" | "block" | "reposition") | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>>;
            default: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
        };
        locationStrategy: Omit<{
            type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>>;
            default: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
        };
        location: {
            type: PropType<import('../../utils').TAnchor>;
            default: string;
        };
        origin: {
            type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
            default: string;
        };
        offset: Omit<{
            type: PropType<number | string | number[]>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number | number[]>>;
            default: NonNullable<string | number | number[]>;
        };
        closeDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        openDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        activator: {
            type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
            default: null;
        };
        activatorProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        target: {
            type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
            default: undefined;
        };
        openOnClick: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        openOnHover: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnFocus: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        closeOnContentClick: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        attach: {
            type: PropType<boolean | string | Element>;
            default: boolean;
        };
        contained: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        persistent: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrim: Omit<{
            type: PropType<boolean | string>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | boolean>>;
            default: NonNullable<string | boolean>;
        };
        modelValue: {
            type: PropType<boolean>;
            default: boolean;
        };
        closeOnBack: {
            type: PropType<boolean>;
            default: boolean;
        };
        zIndex: {
            type: PropType<number | string>;
            default: number;
        };
        contentClasses: {
            type: PropType<string | string[] | Record<string, boolean>>;
            default: null;
        };
        contentProps: {
            type: PropType<Record<string, unknown>>;
            default: () => {};
        };
        noClickAnimation: {
            type: PropType<boolean>;
            default: boolean;
        };
        opacity: {
            type: PropType<string | number>;
            default: undefined;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:modelValue': (value: boolean) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        transition: {
            type: PropType<string | boolean | (import('vue').TransitionProps & {
                component?: import('vue').Component;
            })>;
            default: string;
            validator: (value: unknown) => boolean;
        };
        height: {
            type: PropType<number | string>;
            default: string;
        };
        width: {
            type: PropType<number | string>;
            default: string;
        };
        maxHeight: {
            type: PropType<number | string>;
            default: string;
        };
        maxWidth: {
            type: PropType<number | string>;
            default: string;
        };
        minHeight: {
            type: PropType<number | string>;
            default: string;
        };
        minWidth: {
            type: PropType<number | string>;
            default: string;
        };
        eager: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrollStrategy: Omit<{
            type: PropType<("close" | "none" | "block" | "reposition") | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>>;
            default: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
        };
        locationStrategy: Omit<{
            type: PropType<("static" | "connected") | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
            default: string;
            validator: (value: any) => boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>>;
            default: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
                updateLocation: (event: Event | HTMLElement[]) => void;
            })>;
        };
        location: {
            type: PropType<import('../../utils').TAnchor>;
            default: string;
        };
        origin: {
            type: PropType<import('../../utils').TAnchor | "auto" | "overlap">;
            default: string;
        };
        offset: Omit<{
            type: PropType<number | string | number[]>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number | number[]>>;
            default: NonNullable<string | number | number[]>;
        };
        closeDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        openDelay: Omit<{
            type: PropType<number | string>;
            default: null;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | number>>;
            default: NonNullable<string | number>;
        };
        activator: {
            type: PropType<"parent" | string | Element | import('vue').ComponentPublicInstance>;
            default: null;
        };
        activatorProps: {
            type: PropType<Record<string, any>>;
            default: () => {};
        };
        target: {
            type: PropType<"parent" | "cursor" | (string & {}) | Element | import('vue').ComponentPublicInstance | [x: number, y: number] | undefined>;
            default: undefined;
        };
        openOnClick: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        openOnHover: {
            type: PropType<boolean>;
            default: boolean;
        };
        openOnFocus: {
            type: PropType<boolean | undefined>;
            default: undefined;
        };
        closeOnContentClick: Omit<{
            type: PropType<boolean>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<boolean>;
            default: boolean;
        };
        attach: {
            type: PropType<boolean | string | Element>;
            default: boolean;
        };
        contained: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        persistent: {
            type: PropType<boolean>;
            default: boolean;
        };
        scrim: Omit<{
            type: PropType<boolean | string>;
            default: boolean;
        }, "default" | "type"> & {
            type: PropType<NonNullable<string | boolean>>;
            default: NonNullable<string | boolean>;
        };
        modelValue: {
            type: PropType<boolean>;
            default: boolean;
        };
        closeOnBack: {
            type: PropType<boolean>;
            default: boolean;
        };
        zIndex: {
            type: PropType<number | string>;
            default: number;
        };
        contentClasses: {
            type: PropType<string | string[] | Record<string, boolean>>;
            default: null;
        };
        contentProps: {
            type: PropType<Record<string, unknown>>;
            default: () => {};
        };
        noClickAnimation: {
            type: PropType<boolean>;
            default: boolean;
        };
        opacity: {
            type: PropType<string | number>;
            default: undefined;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    }>, {
        location: import('../../utils').TAnchor;
        disabled: boolean;
        id: string;
        modelValue: boolean;
        transition: string | boolean | (import('vue').TransitionProps & {
            component?: import('vue').Component;
        });
        attach: string | boolean | Element;
        contained: boolean;
        persistent: boolean;
        scrim: NonNullable<string | boolean>;
        closeOnBack: boolean;
        zIndex: string | number;
        contentClasses: string | string[] | Record<string, boolean>;
        contentProps: Record<string, unknown>;
        noClickAnimation: boolean;
        opacity: string | number;
        eager: boolean;
        closeDelay: NonNullable<string | number>;
        openDelay: NonNullable<string | number>;
        height: string | number;
        width: string | number;
        maxHeight: string | number;
        maxWidth: string | number;
        minHeight: string | number;
        minWidth: string | number;
        activatorProps: Record<string, any>;
        activator: string | Element | import('vue').ComponentPublicInstance;
        theme: string;
        origin: import('../../utils').TAnchor | "auto" | "overlap";
        target: Element | "parent" | (string & {}) | import('vue').ComponentPublicInstance | "cursor" | [x: number, y: number] | undefined;
        offset: NonNullable<string | number | number[]>;
        openOnClick: boolean | undefined;
        openOnHover: boolean;
        openOnFocus: boolean | undefined;
        closeOnContentClick: boolean;
        locationStrategy: NonNullable<"static" | "connected" | ((data: import('../CdsOverlay/composable').ILocationStrategyData, props: import('../CdsOverlay/composable').ILocationStrategyProps, contentStyles: import('vue').Ref<Record<string, string>>) => undefined | {
            updateLocation: (event: Event | HTMLElement[]) => void;
        })>;
        scrollStrategy: NonNullable<"close" | "none" | "block" | "reposition" | ((data: import('../CdsOverlay/composable').IScrollStrategyData, props: import('../CdsOverlay/composable').IScrollStrategyProps, scope: import('vue').EffectScope) => void)>;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsList: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        selectStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        };
        openStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        };
        opened: PropType<unknown[]>;
        selected: PropType<unknown[]>;
        required: BooleanConstructor;
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: {
            type: PropType<boolean>;
            default: boolean;
        };
        lines: {
            type: PropType<"one" | "two" | "three" | false>;
            default: string;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:selected': (value: unknown[]) => true;
        'update:opened': (value: unknown[]) => true;
        'click:open': (value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => true;
        'click:select': (value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        selectStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TSelectStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        };
        openStrategy: {
            type: PropType<NonNullable<import('../../composable/nested').TOpenStrategyProp>>;
            default: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        };
        opened: PropType<unknown[]>;
        selected: PropType<unknown[]>;
        required: BooleanConstructor;
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        items: {
            type: PropType<any[]>;
            default: () => never[];
        };
        itemTitle: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemValue: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemChildren: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        itemProps: {
            type: PropType<import('../../composable').TItemKey>;
            default: string;
        };
        returnObject: {
            type: PropType<boolean>;
            default: boolean;
        };
        lines: {
            type: PropType<"one" | "two" | "three" | false>;
            default: string;
        };
    }>> & Readonly<{
        "onClick:open"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        "onClick:select"?: ((value: {
            id: unknown;
            value: boolean;
            path: unknown[];
            event: Event;
        }) => any) | undefined;
        "onUpdate:selected"?: ((value: unknown[]) => any) | undefined;
        "onUpdate:opened"?: ((value: unknown[]) => any) | undefined;
    }>, {
        tag: string;
        disabled: boolean;
        invertColor: boolean;
        items: any[];
        itemTitle: import('../../composable').TItemKey;
        itemValue: import('../../composable').TItemKey;
        itemChildren: import('../../composable').TItemKey;
        itemProps: import('../../composable').TItemKey;
        returnObject: boolean;
        required: boolean;
        selectStrategy: NonNullable<import('../../composable/nested').TSelectStrategyProp>;
        openStrategy: NonNullable<import('../../composable/nested').TOpenStrategyProp>;
        theme: string;
        lines: false | "one" | "two" | "three";
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsListItem: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        title: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        isClickable: {
            type: PropType<boolean>;
            default: boolean;
        };
    }>, {
        internalTag: import('vue').ComputedRef<string>;
        href: import('vue').ComputedRef<string | undefined>;
        to: import('vue').ComputedRef<import('vue-router').RouteLocationRaw | undefined>;
        slotProps: import('vue').ComputedRef<import('../../composable').IItemSlotProps>;
        hasTitle: import('vue').ComputedRef<boolean>;
        hasDescription: import('vue').ComputedRef<boolean>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
        classes: import('vue').ComputedRef<{
            'cds-list-item--active': boolean;
            'cds-list-item--clickable': boolean;
            'cds-list-item--selected': boolean;
        }>;
        disabledClasses: import('vue').ComputedRef<string | undefined>;
        tabindex: number | undefined;
        onClick: (event: MouseEvent) => void;
        onKeyDown: false | ((event: KeyboardEvent) => void);
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        click: (event: MouseEvent | KeyboardEvent | TouchEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        tag: {
            type: PropType<string>;
            default: string;
            description: string;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        title: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        active: {
            type: PropType<boolean>;
            default: boolean;
        };
        isClickable: {
            type: PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        onClick?: ((event: MouseEvent | KeyboardEvent | TouchEvent) => any) | undefined;
    }>, {
        title: string;
        to: import('vue-router').RouteLocationRaw;
        href: string;
        tag: string;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        active: boolean;
        disabled: boolean;
        description: string;
        value: any;
        isClickable: boolean;
    }, {}, {
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsCheckbox: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        indeterminate: {
            type: PropType<boolean>;
            default: boolean;
        };
    }>, {
        id: import('vue').ComputedRef<string>;
        model: import('vue').Ref<any, any> & {
            readonly externalValue: any;
        };
        hasDescription: import('vue').ComputedRef<boolean>;
        inputProps: import('vue').Ref<{
            [x: string]: unknown;
            id?: string | undefined;
            label?: string | undefined;
            description?: string | undefined;
            value?: any;
            messages?: string | string[] | undefined;
            persistentMessages?: boolean | undefined;
            disabled?: boolean | undefined;
            error?: boolean | undefined;
            errorMessages?: string | string[] | undefined;
            focused?: boolean | undefined;
            maxErrors?: string | number | undefined;
            name?: string | undefined;
            readonly?: boolean | undefined;
            rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            modelValue?: any;
            validateOn?: import('../../composable').TValidationOn | undefined;
            validationValue?: any;
            hideMessages?: boolean | undefined;
        }, Partial<import('../../composable').IInputProps & import('../../composable').IValidationProps & Record<string, unknown>> | {
            [x: string]: unknown;
            id?: string | undefined;
            label?: string | undefined;
            description?: string | undefined;
            value?: any;
            messages?: string | string[] | undefined;
            persistentMessages?: boolean | undefined;
            disabled?: boolean | undefined;
            error?: boolean | undefined;
            errorMessages?: string | string[] | undefined;
            focused?: boolean | undefined;
            maxErrors?: string | number | undefined;
            name?: string | undefined;
            readonly?: boolean | undefined;
            rules?: (import('../../composable').TValidationResult | ((value: any) => import('../../composable').TValidationResult) | ((value: any) => PromiseLike<import('../../composable').TValidationResult>) | {
                then: <TResult1 = import('../../composable').TValidationResult, TResult2 = never>(onfulfilled?: ((value: import('../../composable').TValidationResult) => TResult1 | PromiseLike<TResult1>) | null | undefined, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | null | undefined) => PromiseLike<TResult1 | TResult2>;
            })[] | undefined;
            modelValue?: any;
            validateOn?: import('../../composable').TValidationOn | undefined;
            validationValue?: any;
            hideMessages?: boolean | undefined;
        }>;
        rootAttrs: import('vue').Ref<{}, {}>;
        inputAttrs: import('vue').Ref<{}, {}>;
        isFocused: import('vue').Ref<boolean, boolean>;
        ariaChecked: import('vue').ComputedRef<any>;
        internalDisabled: import('vue').ComputedRef<boolean>;
        internalReadonly: import('vue').ComputedRef<boolean>;
        internalError: import('vue').ComputedRef<boolean>;
        isGroup: import('vue').Ref<boolean, boolean>;
        checkboxClasses: import('vue').ComputedRef<{
            'cds-checkbox--disabled': boolean;
            'cds-checkbox--checked': any;
            'cds-checkbox--indeterminate': boolean;
        }>;
        onBlur: () => void;
        onFocus: () => void;
        onInput: (event: Event) => void;
        onChange: () => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        'update:focused': (value: boolean) => true;
        'update:modelValue': (value: any) => true;
        'update:indeterminate': (value: boolean) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        readonly: {
            type: PropType<boolean>;
            default: boolean;
        };
        disabled: {
            type: PropType<boolean>;
            default: boolean;
        };
        focused: {
            type: PropType<boolean>;
            default: boolean;
        };
        error: {
            type: PropType<boolean>;
            default: boolean;
        };
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: PropType<string | number>;
            default: number;
        };
        name: {
            type: PropType<string | undefined>;
            default: undefined;
        };
        rules: {
            type: PropType<import('../../composable').TValidationRule[]>;
            default: () => never[];
        };
        modelValue: {
            type: PropType<any>;
            default: null;
        };
        validateOn: {
            type: PropType<import('../../composable').TValidationOn>;
            default: string;
            available: readonly ["blur", "input", "submit"];
            validator: (value: import('../../composable').TValidationOn) => boolean;
        };
        validationValue: {
            type: PropType<any>;
            default: undefined;
        };
        hideMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        id: {
            type: PropType<string>;
            default: undefined;
        };
        label: {
            type: PropType<string>;
            default: undefined;
        };
        description: {
            type: PropType<string>;
            default: undefined;
        };
        value: {
            type: PropType<any>;
            default: null;
        };
        messages: {
            type: PropType<string[] | string>;
            default: () => never[];
        };
        persistentMessages: {
            type: PropType<boolean>;
            default: boolean;
        };
        indeterminate: {
            type: PropType<boolean>;
            default: boolean;
        };
    }>> & Readonly<{
        "onUpdate:modelValue"?: ((value: any) => any) | undefined;
        "onUpdate:focused"?: ((value: boolean) => any) | undefined;
        "onUpdate:indeterminate"?: ((value: boolean) => any) | undefined;
    }>, {
        name: string | undefined;
        error: boolean;
        disabled: boolean;
        indeterminate: boolean;
        readonly: boolean;
        description: string;
        value: any;
        focused: boolean;
        id: string;
        label: string;
        messages: string | string[];
        persistentMessages: boolean;
        errorMessages: string | string[];
        maxErrors: string | number;
        rules: import('../../composable').TValidationRule[];
        modelValue: any;
        validateOn: "input" | "blur" | "submit";
        validationValue: any;
        hideMessages: boolean;
        theme: string;
    }, {}, {
        CdsInput: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            'update:modelValue': (value: any) => true;
            'click:control': (event: MouseEvent) => true;
            'mousedown:control': (event: MouseEvent) => true;
        }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            'onClick:prepend': PropType<import('../../utils').EventProp>;
            'onClick:append': PropType<import('../../utils').EventProp>;
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            readonly: {
                type: PropType<boolean>;
                default: boolean;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            focused: {
                type: PropType<boolean>;
                default: boolean;
            };
            error: {
                type: PropType<boolean>;
                default: boolean;
            };
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: PropType<string | number>;
                default: number;
            };
            name: {
                type: PropType<string | undefined>;
                default: undefined;
            };
            rules: {
                type: PropType<import('../../composable').TValidationRule[]>;
                default: () => never[];
            };
            modelValue: {
                type: PropType<any>;
                default: null;
            };
            validateOn: {
                type: PropType<import('../../composable').TValidationOn>;
                default: string;
                available: readonly ["blur", "input", "submit"];
                validator: (value: import('../../composable').TValidationOn) => boolean;
            };
            validationValue: {
                type: PropType<any>;
                default: undefined;
            };
            hideMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
            prependIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            appendIcon: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
            id: {
                type: PropType<string>;
                default: undefined;
            };
            label: {
                type: PropType<string>;
                default: undefined;
            };
            description: {
                type: PropType<string>;
                default: undefined;
            };
            value: {
                type: PropType<any>;
                default: null;
            };
            messages: {
                type: PropType<string[] | string>;
                default: () => never[];
            };
            persistentMessages: {
                type: PropType<boolean>;
                default: boolean;
            };
        }>> & Readonly<{
            "onUpdate:modelValue"?: ((value: any) => any) | undefined;
            "onClick:control"?: ((event: MouseEvent) => any) | undefined;
            "onMousedown:control"?: ((event: MouseEvent) => any) | undefined;
        }>, {
            name: string | undefined;
            size: "xs" | "sm" | "md" | "lg" | "xl";
            error: boolean;
            prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            disabled: boolean;
            readonly: boolean;
            description: string;
            value: any;
            focused: boolean;
            id: string;
            label: string;
            messages: string | string[];
            persistentMessages: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import('../../composable').TValidationRule[];
            modelValue: any;
            validateOn: "input" | "blur" | "submit";
            validationValue: any;
            hideMessages: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputLabel: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {
            disabledClasses: import('vue').ComputedRef<string | undefined>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: Omit<{
                type: PropType<string>;
                default: string;
                description: string;
            }, "default" | "type"> & {
                type: PropType<string>;
                default: string;
            };
            disabled: {
                type: PropType<boolean>;
                default: boolean;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
            disabled: boolean;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
        CdsInputDescription: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            tag: {
                type: PropType<string>;
                default: string;
                description: string;
            };
            text: {
                type: PropType<string | number>;
                default: undefined;
            };
        }>> & Readonly<{}>, {
            text: string | number;
            tag: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsTag: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        text: {
            type: PropType<string | number>;
            default: undefined;
        };
        color: {
            type: PropType<import('../../composable').TColor>;
            available: readonly ["default", "chocolate", "lemon", "lime", "cyan", "teal", "indigo", "purple", "pink"];
            default: string;
            validator: (value: import('../../composable').TColor) => boolean;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        removable: {
            type: PropType<boolean>;
            default: boolean;
            description: string;
        };
    }>, {
        handleRemove: (event: MouseEvent) => void;
        tagClasses: import('vue').ComputedRef<{
            'cds-tag--interactive': boolean;
        }>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        tag: string | import('vue').ComputedRef<string>;
        href: import('vue').ComputedRef<string | undefined>;
        to: import('vue').ComputedRef<import('vue-router').RouteLocationRaw | undefined>;
        tagStyles: import('vue').ComputedRef<{
            '--cds-tag-background': string;
            '--cds-tag-color': string;
            '--cds-tag-hover': string;
        }>;
        hasText: import('vue').ComputedRef<boolean>;
        hasPrepend: import('vue').ComputedRef<boolean>;
        hasAppend: import('vue').ComputedRef<boolean>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        remove: (event: MouseEvent | KeyboardEvent) => true;
    }, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        prependIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        appendIcon: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
        text: {
            type: PropType<string | number>;
            default: undefined;
        };
        color: {
            type: PropType<import('../../composable').TColor>;
            available: readonly ["default", "chocolate", "lemon", "lime", "cyan", "teal", "indigo", "purple", "pink"];
            default: string;
            validator: (value: import('../../composable').TColor) => boolean;
        };
        href: {
            type: PropType<string>;
            default: undefined;
        };
        to: {
            type: PropType<import('vue-router').RouteLocationRaw>;
            default: undefined;
        };
        removable: {
            type: PropType<boolean>;
            default: boolean;
            description: string;
        };
    }>> & Readonly<{
        onRemove?: ((event: MouseEvent | KeyboardEvent) => any) | undefined;
    }>, {
        text: string | number;
        to: import('vue-router').RouteLocationRaw;
        href: string;
        prependIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        appendIcon: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        color: "default" | "chocolate" | "lemon" | "lime" | "cyan" | "teal" | "indigo" | "purple" | "pink";
        theme: string;
        removable: boolean;
    }, {}, {
        CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>, {
            iconComponent: import('vue').ComputedRef<string>;
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
        } | {
            sizeClasses: import('vue').ComputedRef<string>;
            themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
            invertColorClasses: import('vue').ComputedRef<string | undefined>;
            iconComponent?: undefined;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            theme: {
                type: PropType<import('../../composable').TTheme | string>;
                available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
                default: undefined;
            };
            invertColor: {
                type: PropType<boolean>;
                default: boolean;
            };
            size: {
                type: PropType<import('../../composable').TSize>;
                default: string;
                available: readonly ["xs", "sm", "md", "lg", "xl"];
                validator: (value: import('../../composable').TSize) => boolean;
            };
            name: {
                type: PropType<import('@central-design-system/icons').TCdsIconsName>;
                default: undefined;
                validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
            };
        }>> & Readonly<{}>, {
            name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
            size: "xs" | "sm" | "md" | "lg" | "xl";
            invertColor: boolean;
            theme: string;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        name: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>, {
        iconComponent: import('vue').ComputedRef<string>;
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        invertColorClasses: import('vue').ComputedRef<string | undefined>;
    } | {
        sizeClasses: import('vue').ComputedRef<string>;
        themeClasses: Readonly<import('vue').ComputedRef<string | undefined>>;
        invertColorClasses: import('vue').ComputedRef<string | undefined>;
        iconComponent?: undefined;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, never[], never, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        invertColor: {
            type: PropType<boolean>;
            default: boolean;
        };
        size: {
            type: PropType<import('../../composable').TSize>;
            default: string;
            available: readonly ["xs", "sm", "md", "lg", "xl"];
            validator: (value: import('../../composable').TSize) => boolean;
        };
        name: {
            type: PropType<import('@central-design-system/icons').TCdsIconsName>;
            default: undefined;
            validator: (value: import('@central-design-system/icons').TCdsIconsName) => boolean;
        };
    }>> & Readonly<{}>, {
        name: "link" | "search" | "bold" | "delete" | "add" | "administrator" | "alert-fill" | "alert" | "analog" | "arrow-down" | "arrow-left-bottom" | "arrow-left-top" | "arrow-left" | "arrow-right-bottom" | "arrow-right-top" | "arrow-right" | "arrow-up" | "arrows-vertical" | "bookmark-fill" | "bookmark" | "calendar" | "card-bank" | "category" | "check-fill" | "check" | "checkbox-fill" | "checkbox" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "chocholate-menu" | "chocolate-menu" | "clock" | "collapse" | "comment" | "company" | "compare" | "copy" | "data-cards" | "directory-open" | "directory" | "doc-download" | "doc" | "download" | "draggable" | "edit" | "enter" | "error-fill" | "error" | "expand" | "external" | "facebook-fill" | "facebook" | "fill" | "filters" | "flag" | "format" | "formula" | "funnel" | "globe" | "highlight" | "infinity" | "info-fill" | "info" | "insert" | "italic" | "list-search" | "list" | "loader" | "location" | "locked" | "login" | "logout" | "menu" | "minus" | "notification" | "overflow-menu-horizontal" | "overflow-menu-vertical" | "password" | "pin" | "plus" | "printer" | "question-fill" | "question" | "refresh" | "remove" | "sandglass" | "save" | "settings" | "shopping-cart" | "sort-date" | "sorting-down" | "sorting-up" | "sorting" | "source" | "star-fill" | "star" | "tab-backward" | "tab-forward" | "telegram" | "timer" | "tool" | "truck" | "underline" | "unlocked" | "upload" | "user-avatar" | "user-group" | "visibility-off" | "visibility-on" | "vk" | "whatsapp" | "winner" | "workspace" | "youtube";
        size: "xs" | "sm" | "md" | "lg" | "xl";
        invertColor: boolean;
        theme: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsDivider: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        vertical: {
            type: PropType<boolean>;
            default: boolean;
        };
        length: {
            type: PropType<number | string>;
            default: undefined;
        };
        thickness: {
            type: PropType<number | string>;
            default: undefined;
        };
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        theme: {
            type: PropType<import('../../composable').TTheme | string>;
            available: readonly ["cdsLight", "cdsDark", "b2bLight", "b2bDark"];
            default: undefined;
        };
        vertical: {
            type: PropType<boolean>;
            default: boolean;
        };
        length: {
            type: PropType<number | string>;
            default: undefined;
        };
        thickness: {
            type: PropType<number | string>;
            default: undefined;
        };
    }>> & Readonly<{}>, {
        length: string | number;
        vertical: boolean;
        theme: string;
        thickness: string | number;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    CdsHighlight: typeof CdsHighlight;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
